/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis;

import org.activityinfo.analysis.map.viewModel.MapResult;
import org.activityinfo.json.JsonSerializable;
import org.activityinfo.json.JsonValue;

public interface AnalysisResult extends JsonSerializable {

    <T> T accept(AnalysisResultVisitor<T> visitor);

    static AnalysisResult fromJson(JsonValue value) {
        String type = value.getString("type");
        switch (type) {
            case PivotResult.TYPE:
                return PivotResult.fromJson(value);
            case MapResult.TYPE:
                return MapResult.fromJson(value);
            default:
                return null;

        }
    }

}
