/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.filter;

import org.activityinfo.model.formula.resolved.ResolvedNode;
import org.activityinfo.model.formula.resolved.ResolvedReference;

/**
 * Identifies "fields" in a formula AST.
 *
 * <p>In most cases, a "field" is always a {@link ResolvedReference}, but
 * in other cases, for example the TableView, a user may define a column as a custom formula, in which case we
 * want to consider this formula as a "field"</p>
 */
public interface FieldMatcher {

    boolean isField(ResolvedNode node);

    String labelField(ResolvedNode node);
}
