/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.filter;

import org.activityinfo.model.formula.FormulaNode;
import org.activityinfo.model.formula.resolved.ResolvedNode;

public class IrregularPredicate implements FilterPredicate {

    private ResolvedNode node;

    public IrregularPredicate(ResolvedNode node) {
        assert node.isValid();
        this.node = node;
    }

    @Override
    public <T> T accept(PredicateVisitor<T> visitor) {
        return visitor.visitIrregular(this);
    }

    @Override
    public FormulaNode toFormula() {
        return node.toFormula();
    }

    public String toFormulaString() {
        return node.toFormula().deparse();
    }

    @Override
    public String toString() {
        return "Irregular{" + toFormulaString() + "}";
    }

    public ResolvedNode getNode() {
        return node;
    }
}
