/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.filter;

import org.activityinfo.i18n.shared.I18N;

public enum PredicateType {
    IS("IS", I18N.CONSTANTS.operatorIs()) {
    },
    ISNOT("ISNOT", I18N.CONSTANTS.operatorIsNot()),
    STARTSWITH("STARTSWITH", I18N.CONSTANTS.startsWith()),
    ENDSWITH("ENDSWITH", I18N.CONSTANTS.endsWith()),
    CONTAINS("CONTAINS", I18N.CONSTANTS.contains()),
    GREATERTHAN("GREATERTHAN", I18N.CONSTANTS.operatorGreaterThan()),
    LESSTHAN("LESSTHAN", I18N.CONSTANTS.operatorLessThan()),
    GREATEROREQUALTO("GREATEROREQUALTO", I18N.CONSTANTS.operatorGreaterThanEqual()),
    LESSOREQUALTO("LESSOREQUALTO", I18N.CONSTANTS.operatorLessThanEqualTo()),
    BEFORE("BEFORE", I18N.CONSTANTS.before()),
    AFTER("AFTER", I18N.CONSTANTS.after()),
    BETWEEN("BETWEEN", I18N.CONSTANTS.between()),
    ISBLANK("ISBLANK", I18N.CONSTANTS.isEmpty()),
    ISNOTBLANK("ISNOTBLANK", I18N.CONSTANTS.isNotEmpty()),
    EMPTYPREDICATE("EMPTYPREDICATE", "");

    private final String id;
    private final String label;

    PredicateType(String id, String label) {
        this.id = id;
        this.label = label;
    }

    public String getId() {
        return id;
    }
    public String getLabel() {
        return label;
    }

}
