/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.longFormat;

import org.activityinfo.model.analysis.pivot.DimensionModel;
import org.activityinfo.model.analysis.pivot.MeasureModel;
import org.activityinfo.model.formTree.FormTree;
import org.activityinfo.model.formula.FormulaNode;

import java.util.List;
import java.util.Optional;

public class LongFormatModel {
    private final List<FormTree> forms;
    private final List<MeasureModel> measures;
    private final List<DimensionModel> columns;
    private final Optional<FormulaNode> filter;

    public LongFormatModel(List<FormTree> forms, List<MeasureModel> measures, List<DimensionModel> columns, Optional<FormulaNode> filter) {
        this.forms = forms;
        this.measures = measures;
        this.columns = columns;
        this.filter = filter;
    }

    public List<FormTree> getForms() {
        return forms;
    }

    public List<MeasureModel> getMeasures() {
        return measures;
    }

    public List<DimensionModel> getColumns() {
        return columns;
    }

    public Optional<FormulaNode> getFilter() {
        return filter;
    }
}
