/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.map.viewModel;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.analysis.map.Layer;
import org.activityinfo.model.analysis.map.LayerType;
import org.activityinfo.model.formula.FormulaType;
import org.activityinfo.model.query.ColumnSet;

import java.util.Collections;
import java.util.Optional;

@AutoJson
public class LayerResult {


    private final Layer layer;
    private final Optional<String> formLabel;
    private final Optional<FormulaType> formulaType;
    private final LayerType layerType;
    private final String sourceLabel;
    private final ColumnSet columnSet;

    public LayerResult(Layer layer, ColumnSet columnSet, Optional<String> formLabel, Optional<FormulaType> formulaType,
                       LayerType layerType, String sourceLabel) {
        this.layer = layer;
        this.formLabel = formLabel;
        this.formulaType = formulaType;
        this.layerType = layerType;
        this.sourceLabel = sourceLabel;
        this.columnSet = columnSet;
    }

    public Layer getLayer() {
        return layer;
    }

    public Optional<FormulaType> getFormulaType() {
        return formulaType;
    }

    public Optional<String> getFormLabel() {
        return formLabel;
    }

    public LayerType getLayerType() {
        return layerType;
    }

    public String getSourceLabel() {
        return sourceLabel;
    }

    public ColumnSet getColumnSet() {
        return columnSet;
    }
}
