package org.activityinfo.analysis.map.viewModel;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.analysis.map.LayerJson;
import org.activityinfo.model.analysis.map.LayerType;
import org.activityinfo.model.formula.FormulaType;
import org.activityinfo.model.query.ColumnSet;

public final class LayerResultJson {
  public static JsonValue toJson(LayerResult model) {
    JsonValue object = Json.createObject();
    object.put("layer", LayerJson.toJson(model.getLayer()));
    object.put("formLabel", JsonArrays.optionalToJson(model.getFormLabel(), Json::create));
    object.put("formulaType", JsonArrays.optionalToJson(model.getFormulaType(), JsonArrays::toJsonString));
    object.put("layerType", model.getLayerType().name());
    object.put("sourceLabel", model.getSourceLabel());
    object.put("columnSet", model.getColumnSet().toJson());
    return object;
  }

  public static LayerResult fromJson(JsonValue object) {
    return new LayerResult(LayerJson.fromJson(object.get("layer")),
        ColumnSet.fromJson(object.get("columnSet")),
        JsonArrays.optionalFromJson(object.get("formLabel"), JsonValue::asString),
        JsonArrays.optionalFromJson(object.get("formulaType"), j -> FormulaType.valueOf(j.asString().toUpperCase())),
        JsonArrays.enumFromJson(object.get("layerType"), LayerType::valueOf, LayerType.PROPORTIONAL_CIRCLE),
        object.getString("sourceLabel"));
  }
}
