/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.pivot.viewModel;

public class ColorScheme {

    private static final int MIN_CLASSES = 3;
    public static final int MAX_CLASSES = 7;

    public String[][] colors;

    ColorScheme(String encoded) {
        colors = new String[MAX_CLASSES - MIN_CLASSES + 1][];
        int p = 0;
        for (int n = MIN_CLASSES; n <= MAX_CLASSES; n++) {
            String[] scale = new String[n];
            for (int i = 0; i < n; i++) {
                scale[i] = encoded.substring(p, p + 6);
                p += 6;
            }
            colors[n - MIN_CLASSES] = scale;
        }
    }

    public String[] getColors(int classCount) {
        return colors[classCount - MIN_CLASSES];
    }
}
