/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.pivot.viewModel;

import java.util.ArrayList;
import java.util.List;

/**
 * The result set of all the measures from a specific form.
 */
public class FormResultSet {

    private DimensionSet dimensions;
    private List<Point> points;

    public FormResultSet() {
    }

    public FormResultSet(DimensionSet dimensions, List<Point> points) {
        this.dimensions = dimensions;
        this.points = points;
    }

    public FormResultSet(DimensionSet dimensions, Point point) {
        this.dimensions = dimensions;
        this.points = new ArrayList<>();
        points.add(point);
    }

    public List<Point> getPoints() {
        return points;
    }


    public DimensionSet getDimensions() {
        return dimensions;
    }
}
