/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.pivot.viewModel;

public class ReportStyle {

    public static final ReportStyle ACTCTIVITYINFO = new ReportStyle("Accent");
    private final ColorSchemes colorSchemes;
    private final String[] schemes;


    public ReportStyle(String[] colorSchemes) {
        this.colorSchemes = new ColorSchemes();
        this.schemes = colorSchemes;
    }

    public ReportStyle(String colorSchemes) {
        this(new String[1]);
        this.schemes[0] = colorSchemes;
    }

    public String[] getColorScheme(int numClasses) {
        return colorSchemes.get(schemes[0]).getColors(Math.min(numClasses, ColorScheme.MAX_CLASSES));
    }
}