/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.pivot.viewModel.chart;

public class Rect {
    private double left;
    private double top;
    private double right;
    private double bottom;

    public Rect(double left, double top, double right, double bottom) {
        assert left <= right;
        assert top <= bottom;

        this.left = left;
        this.top = top;
        this.right = right;
        this.bottom = bottom;
    }

    public double getLeft() {
        return left;
    }

    public double getTop() {
        return top;
    }

    public double getRight() {
        return right;
    }

    public double getBottom() {
        return bottom;
    }

    public double getHeight() {
        return bottom - top;
    }

    public double getWidth() {
        return right - left;
    }

    public double getCenterX() {
        return left + getWidth() * 0.5;
    }

    public double getCenterY() {
        return top + getHeight() * 0.5;
    }
}
