/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.pivot.viewModel.chart;

import java.util.Arrays;
import java.util.List;

public class Scale {

    private final double lower;
    private final double upper;
    private final double unit;
    private final int divisions;
    private final List<String> labels;

    Scale(double lower, double upper, double unit, int divisions, String[] labels) {
        this.lower = lower;
        this.upper = upper;
        this.unit = unit;
        this.divisions = divisions;
        this.labels = Arrays.asList(labels);
    }

    public double getLower() {
        return lower;
    }

    public double getUpper() {
        return upper;
    }

    public double getUnit() {
        return unit;
    }

    public int getDivisions() {
        return divisions;
    }

    public List<String> getLabels() {
        return labels;
    }

    public double getRange() {
        return getUpper() - getLower();
    }

    public String getLabel(int i) {
        return labels.get(i);
    }
}
