/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.resolved.ResolvedNode;
import org.activityinfo.model.type.time.LocalDate;

import java.util.Date;

public class DateFormat extends SimpleColumnFormat<Date> {

    protected DateFormat(String id, ResolvedNode formula) {
        super(id, formula);
    }

    public ColumnRenderer<LocalDate> createLocalDateRenderer() {
        return new LocalDateRenderer(getId());
    }

    public TextFormat asTextFormat() {
        return new TextFormat(getId(), getFormula());
    }

    @Override
    public <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor) {
        return visitor.visitDateColumn(columnModel, this);
    }
}
