/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.resolved.ResolvedNode;
import org.activityinfo.model.query.ColumnModel;

import java.util.Collections;
import java.util.List;

public abstract class SimpleColumnFormat<T> implements ColumnFormat {

    private String id;
    private ResolvedNode formula;

    public String getId() {
        return id;
    }

    public ResolvedNode getFormula() {
        return formula;
    }

    protected SimpleColumnFormat(String id, ResolvedNode formula) {
        this.id = id;
        this.formula = formula;
    }

    @Override
    public final List<ColumnModel> getColumnModels() {
        ColumnModel columnModel = new ColumnModel();
        columnModel.setId(id);
        columnModel.setFormula(formula.toFormula());

        return Collections.singletonList(columnModel);
    }

    @Override
    public int getExportedColumnCount() {
        return 1;
    }

}
