/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.type.*;
import org.activityinfo.model.type.attachment.AttachmentType;
import org.activityinfo.model.type.barcode.BarcodeType;
import org.activityinfo.model.type.enumerated.EnumType;
import org.activityinfo.model.type.expr.CalculatedFieldType;
import org.activityinfo.model.type.geo.GeoAreaType;
import org.activityinfo.model.type.geo.GeoPointType;
import org.activityinfo.model.type.number.QuantityType;
import org.activityinfo.model.type.primitive.TextType;
import org.activityinfo.model.type.subform.SubFormReferenceType;
import org.activityinfo.model.type.time.*;

public class SimpleTypeSupervisor implements FieldTypeVisitor<Boolean> {

    private static final boolean SIMPLE_TYPE = true;

    private static final boolean NOT_SIMPLE_TYPE = false;

    public static boolean isSimpleType(FieldType fieldType) {
        return fieldType.accept(new SimpleTypeSupervisor());
    }

    @Override
    public Boolean visitAttachment(AttachmentType attachmentType) {
        return NOT_SIMPLE_TYPE;
    }

    @Override
    public Boolean visitCalculated(CalculatedFieldType calculatedFieldType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitReference(ReferenceType referenceType) {
        return NOT_SIMPLE_TYPE;
    }

    @Override
    public Boolean visitNarrative(NarrativeType narrativeType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitQuantity(QuantityType type) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitGeoPoint(GeoPointType geoPointType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitGeoArea(GeoAreaType geoAreaType) {
        return NOT_SIMPLE_TYPE;
    }

    @Override
    public Boolean visitEnum(EnumType enumType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitBarcode(BarcodeType barcodeType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitSubForm(SubFormReferenceType subFormReferenceType) {
        return NOT_SIMPLE_TYPE;
    }

    @Override
    public Boolean visitLocalDate(LocalDateType localDateType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitMonth(MonthType monthType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitYear(YearType yearType) {
        return NOT_SIMPLE_TYPE;
    }

    @Override
    public Boolean visitFortnight(FortnightType fortnightType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitWeek(EpiWeekType epiWeekType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitLocalDateInterval(LocalDateIntervalType localDateIntervalType) {
        return NOT_SIMPLE_TYPE;
    }

    @Override
    public Boolean visitText(TextType textType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitSerialNumber(SerialNumberType serialNumberType) {
        return SIMPLE_TYPE;
    }

    @Override
    public Boolean visitSectionHeader(SectionHeaderType sectionHeaderType) {
        return NOT_SIMPLE_TYPE;
    }
}
