/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.resolved.ResolvedNode;
import org.activityinfo.model.type.enumerated.EnumType;

public class SingleEnumFormat extends SimpleColumnFormat<String> {

    private final EnumType enumType;

    protected SingleEnumFormat(String id, ResolvedNode formula, EnumType enumType) {
        super(id, formula);
        this.enumType = enumType;
    }

    public EnumType getEnumType() {
        return enumType;
    }

    @Override
    public <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor) {
        return visitor.visitSingleEnumColumn(columnModel, this);
    }

}
