/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.resolved.ResolvedNode;
import org.activityinfo.model.resource.ResourceId;

public class SubFormFormat extends SimpleColumnFormat<Integer> {

    private final ResourceId subFormId;

    protected SubFormFormat(String id, ResolvedNode formula, ResourceId subFormId) {
        super(id, formula);
        this.subFormId = subFormId;
    }

    public ResourceId getSubFormId() {
        return subFormId;
    }

    @Override
    public <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor) {
        return visitor.visitSubFormColumn(columnModel, this);
    }
}
