/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

public interface TableColumnVisitor<T> {

    T visitTextColumn(EffectiveTableColumn columnModel, TextFormat textFormat);

    T visitNumberColumn(EffectiveTableColumn columnModel, NumberFormat numberFormat);

    T visitErrorColumn(EffectiveTableColumn columnModel, ErrorFormat errorFormat);

    T visitGeoPointColumn(EffectiveTableColumn columnModel, GeoPointFormat geoPointFormat);

    T visitMultiEnumColumn(EffectiveTableColumn columnModel, MultiEnumFormat multiEnumFormat);

    T visitBooleanColumn(EffectiveTableColumn columnModel, BooleanFormat booleanFormat);

    T visitDateColumn(EffectiveTableColumn columnModel, DateFormat dateFormat);

    T visitSingleEnumColumn(EffectiveTableColumn columnModel, SingleEnumFormat singleEnumFormat);

    T visitSubFormColumn(EffectiveTableColumn columnModel, SubFormFormat subFormFormat);

    T visitInstantColumn(EffectiveTableColumn columnModel, InstantFormat instantFormat);
}
