/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.resolved.ResolvedNode;

/**
 * Simple column format for a field that can be represented as single
 * text column.
 */
public class TextFormat extends SimpleColumnFormat<String> {

    protected TextFormat(String id, ResolvedNode formula) {
        super(id, formula);
    }


    @Override
    public <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor) {
        return visitor.visitTextColumn(columnModel, this);
    }

}
