/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.i18n.shared;

import com.google.gwt.i18n.client.Constants;

/**
 *
 */
public interface UiConstants extends Constants {

    @DefaultStringValue("Form")
    String form();

    @DefaultStringValue("Add")
    String add();

    @DefaultStringValue("Add map")
    String addMap();

    @DefaultStringValue("Add record")
    String addRecord();

    @DefaultStringValue("Add pivot table")
    String addTable();

    @DefaultStringValue("Add notebook")
    String addNotebook();

    @DefaultStringValue("Add user")
    String addUser();

    @DefaultStringValue("View")
    String allowView();

    @DefaultStringValue("View all records")
    String allowViewAll();

    @DefaultStringValue("Attachments")
    String attachment();

    @DefaultStringValue("Average")
    String average();

    @DefaultStringValue("Back")
    String back();

    @DefaultStringValue("Cancel")
    String cancel();

    @DefaultStringValue("Please enter a title for your report before saving")
    String chooseReportTitle();

    @DefaultStringValue("Columns")
    String columns();

    @DefaultStringValue("Connection problem")
    String connectionProblem();

    @DefaultStringValue("Database")
    String database();

    @DefaultStringValue("Databases")
    String databases();

    @DefaultStringValue("Database settings")
    String databaseSettings();

    @DefaultStringValue("Date")
    String date();

    @DefaultStringValue("Day of month")
    String dayOfMonth();

    @DefaultStringValue("Delete")
    String delete();

    @DefaultStringValue("Hide")
    String hide();

    @DefaultStringValue("Unhide")
    String unHide();

    @DefaultStringValue("The date range falls within a period that has been locked by the owner of this database.")
    String dateFallsWithinLockedPeriodWarning();

    @DefaultStringValue("Please contact the database owner for more information.")
    String contactDatabaseOwner();

    @DefaultStringValue("Delete record")
    String deleteRecord();

    @DefaultStringValue("Delete all records")
    String deleteAllRecords();

    @DefaultStringValue("Description")
    String description();

    @DefaultStringValue("Details")
    String details();

    @DefaultStringValue("E")
    String eastHemiChars();

    @DefaultStringValue("Email")
    String email();

    @DefaultStringValue("(Blank)")
    String emptyDimensionCategory();

    @DefaultStringValue("End date")
    String endDate();

    @DefaultStringValue("Error")
    String error();

    @DefaultStringValue("An error occurred on the server.")
    String errorOnServer();

    @DefaultStringValue("Export")
    String export();

    @DefaultStringValue("Export fields")
    String exportFields();

    @DefaultStringValue("Filter by date")
    String filterByDate();

    @DefaultStringValue("from")
    String fromDate();

    @DefaultStringValue("Geography")
    String geography();

    @DefaultStringValue("History")
    String history();

    @DefaultStringValue("Image")
    String image();

    @DefaultStringValue("Minutes must be between 0-59.9")
    String invalidMinutes();

    @DefaultStringValue("Preferred language")
    String language();

    @DefaultStringValue("Switch language")
    String switchLanguage();

    @DefaultStringValue("Latitude")
    String latitude();

    @DefaultStringValue("lat")
    String latitudeShort();

    @DefaultStringValue("Load new version now")
    String loadNewVersionNow();

    @DefaultStringValue("Logout")
    String logout();

    @DefaultStringValue("Longitude")
    String longitude();

    @DefaultStringValue("long")
    String longitudeShort();

    @DefaultStringValue("Required")
    String required();

    @DefaultStringValue("Month")
    String month();

    @DefaultStringValue("Name")
    String name();

    @DefaultStringValue("Rename database")
    String renameDatabase();

    @DefaultStringValue("A new version of ActivityInfo has been downloaded. Do you want to reload now?")
    String newVersionChoice();

    @DefaultStringValue("Coordinates must specify a hemisphere (+/-/N/S)")
    String noHemisphere();

    @DefaultStringValue("Coordinates must specify a hemisphere (+/-/E/W)")
    String noHemisphereLng();

    @DefaultStringValue("Longitude must be less than 180°")
    String longitudeOutOfBounds();

    @DefaultStringValue("Latitude must be less than 90°")
    String latitudeOutOfBounds();

    @DefaultStringValue("Coordinates must have at least one number")
    String noNumber();

    @DefaultStringValue("N")
    String northHemiChars();

    @DefaultStringValue("Partner")
    String partner();

    @DefaultStringValue("Pivot Table")
    String pivotTable();

    @DefaultStringValue("Please complete the form correctly before continuing.")
    String pleaseCompleteForm();

    @DefaultStringValue("Please add at least one field to continue.")
    String pleaseFillEmptyForm();

    @DefaultStringValue("Please correct the errors in the form design")
    String pleaseCorrectErrors();

    @DefaultStringValue("Preview form")
    String previewForm();

    @DefaultStringValue("Project")
    String project();

    @DefaultStringValue("Quarter")
    String quarter();

    @DefaultStringValue("Report")
    String report();

    @DefaultStringValue("Reports")
    String reports();

    @DefaultStringValue("Retry")
    String retry();

    @DefaultStringValue("Retrying...")
    String retrying();

    @DefaultStringValue("Rows")
    String rows();

    @DefaultStringValue("Save")
    String save();

    @DefaultStringValue("Save As")
    String saveAs();

    @DefaultStringValue("Saved")
    String saved();

    @DefaultStringValue("Search")
    String search();

    @DefaultStringValue("S")
    String southHemiChars();

    @DefaultStringValue("Start date")
    String startDate();

    @DefaultStringValue("Sum")
    String sum();

    @DefaultStringValue("Locks")
    String timeLocks();

    @DefaultStringValue("Add Lock")
    String addTimeLock();

    @DefaultStringValue("Edit Lock")
    String editTimeLock();

    @DefaultStringValue("to")
    String toDate();

    @DefaultStringValue("Coordinates may have up to 3 numbers")
    String tooManyNumbers();

    @DefaultStringValue("You have unsaved changes. If you leave this page or close your browser, these changes will be lost.")
    String unsavedChangesWarning();

    @DefaultStringValue("Untitled report")
    String untitledReport();

    @DefaultStringValue("Untitled pivot table")
    String untitledPivotTable();

    @DefaultStringValue("Untitled map")
    String untitledMap();

    @DefaultStringValue("Value")
    String value();

    @DefaultStringValue("Are you sure you want to delete this record?")
    String confirmDeleteRecord();

    @DefaultStringValue("Are you sure you want to delete all selected records?")
    String confirmBulkDelete();

    @DefaultStringValue("Are you sure you want to delete this form and everything it contains?")
    String confirmDeleteForm();

    @DefaultStringValue("Are you sure you want to delete this folder and everything it contains?")
    String confirmDeleteFolder();

    @DefaultStringValue("Are you sure you want to delete this user?")
    String confirmDeleteUser();

    @DefaultStringValue("Are you sure you want to delete this role?")
    String confirmDeleteRole();

    @DefaultStringValue("Are you sure you want to revoke this personal API token?")
    String confirmRevokeToken();

    @DefaultStringValue("Week")
    String weekFieldLabel();

    @DefaultStringValue("W")
    String westHemiChars();

    @DefaultStringValue("Year")
    String year();

    @DefaultStringValue("Label")
    String labelFieldLabel();

    @DefaultStringValue("Code")
    String codeFieldLabel();

    @DefaultStringValue("Geographic coordinates")
    String geographicCoordinatesFieldLabel();

    @DefaultStringValue("Ignore this column")
    String ignoreColumnAction();

    @DefaultStringValue("Ignored")
    String ignored();

    @DefaultStringValue("Quantity")
    String fieldTypeQuantity();

    @DefaultStringValue("Date")
    String fieldTypeDate();

    @DefaultStringValue("Text")
    String fieldTypeText();

    @DefaultStringValue("Geographic point")
    String fieldTypeGeographicPoint();

    @DefaultStringValue("Multi-line text")
    String fieldTypeNarrative();

    @DefaultStringValue("Section header")
    String sectionHeaderType();

    @DefaultStringValue("To begin, select the table you want to import in Excel, copy it to the clipboard, and then paste here")
    String pasteSpreadsheetInstructions();

    @DefaultStringValue("Previous")
    String previousText();

    @DefaultStringValue("Next")
    String nextText();

    @DefaultStringValue("Select columns")
    String chooseColumns();

    @DefaultStringValue("Alternate name")
    String alternateName();

    @DefaultStringValue("This field is required")
    String requiredFieldMessage();

    @DefaultStringValue("Import")
    String importText();

    @DefaultStringValue("Fields")
    String fields();

    @DefaultStringValue("Set relevance rules")
    String setRelevanceRules();

    @DefaultStringValue("Set validation rules")
    String setValidationRules();

    @DefaultStringValue("Show this field only if")
    String relevanceShowIf();

    @DefaultStringValue("Count as valid if")
    String relevanceValidIf();

    @DefaultStringValue("all")
    String relevanceCriteriaAll();

    @DefaultStringValue("any")
    String relevanceCriteriaAny();

    @DefaultStringValue("of the following conditions are met:")
    String relevanceConditionsMet();

    @DefaultStringValue("Invalid code. Valid code must start with a letter and contain only letters, numbers, and the underscore symbol.")
    String invalidCodeMessage();

    @DefaultStringValue("A label with this name already exists. Please select another label.")
    String duplicateLabelMessage();

    @DefaultStringValue("A code with this name already exists. Please select another code.")
    String duplicateCodeMessage();

    @DefaultStringValue("An option with this name already exists. Please select another name.")
    String duplicateOptionMessage();

    @DefaultStringValue("Options")
    String options();

    @DefaultStringValue("Formula")
    String formula();

    @DefaultStringValue("Edit record")
    String editRecord();

    @DefaultStringValue("Barcode")
    String fieldTypeBarcode();

    @DefaultStringValue("Calculated")
    String fieldTypeCalculated();

    @DefaultStringValue("Multiple selection")
    String multipleSelection();

    @DefaultStringValue("Permissions")
    String permissions();

    @DefaultStringValue("Single selection")
    String singleSelection();

    @DefaultStringValue("Browse")
    String browse();

    @DefaultStringValue("Download")
    String download();

    @DefaultStringValue("Multiple")
    String multiple();

    @DefaultStringValue("Drag a file into this box or browse for the file.")
    String emptyAttachmentText();

    @DefaultStringValue("Drop your file here.")
    String dropYourFileHere();

    @DefaultStringValue("households")
    String defaultQuantityUnits();

    @DefaultStringValue("Reference")
    String reference();

    @DefaultStringValue("User")
    String fieldTypeUser();

    @DefaultStringValue("Units")
    String quantityUnits();

    @DefaultStringValue("Referenced form")
    String referencedForm();

    @DefaultStringValue("You do not have permission to view the referenced form")
    String referencedFormForbidden();

    @DefaultStringValue("The referenced form has been deleted")
    String referencedFormDeleted();

    @DefaultStringValue("The referenced form does not exist")
    String referencedFormNotFound();

    @DefaultStringValue("The referenced form no longer exists. Users cannot fill in this field.")
    String referencedFormError();

    @DefaultStringValue("One or more rules have been deleted")
    String relevanceRuleWarning();

    @DefaultStringValue("Select a form to reference")
    String chooseReference();

    @DefaultStringValue("Select forms")
    String chooseForms();

    @DefaultStringValue("Select")
    String select();

    @DefaultStringValue("Count")
    String count();

    @DefaultStringValue("Measures")
    String measures();

    @DefaultStringValue("Layers")
    String layers();

    @DefaultStringValue("Median")
    String median();

    @DefaultStringValue("Min")
    String minimum();

    @DefaultStringValue("Max")
    String maximum();

    @DefaultStringValue("Statistic")
    String statistic();

    @DefaultStringValue("Total")
    String tableTotal();

    @DefaultStringValue("Input mask")
    String inputMask();

    @DefaultStringValue("Learn more about input masks")
    String learnMoreAboutInputMasks();

    @DefaultStringValue("is")
    String operatorIs();

    @DefaultStringValue("is not")
    String operatorIsNot();

    @DefaultStringValue("is greater than")
    String operatorGreaterThan();

    @DefaultStringValue("is greater than or equal to")
    String operatorGreaterThanEqual();

    @DefaultStringValue("is less than")
    String operatorLessThan();

    @DefaultStringValue("is less than or equal to")
    String operatorLessThanEqualTo();

    @DefaultStringValue("includes")
    String operatorIncludes();

    @DefaultStringValue("does not include")
    String operatorDoesNotInclude();

    @DefaultStringValue("Learn more about serial numbers")
    String learnMoreAboutSerialNumbers();

    @DefaultStringValue("(Pending)")
    String pending();

    @DefaultStringValue("Serial number")
    String serialNumber();

    @DefaultStringValue("You may only add one serial number field")
    String maxNumberOfSerialNumberFields();

    @DefaultStringValue("Prefix Formula")
    String prefixFormula();

    @DefaultStringValue("Key")
    String keyField();

    @DefaultStringValue("Are you sure you want to delete all offline data? Any pending changes will be lost!")
    String confirmClearOfflineMode();

    @DefaultStringValue("Count distinct")
    String countDistinct();

    @DefaultStringValue("Available offline")
    String availableOffline();

    @DefaultStringValue("Selected columns")
    String selectedColumns();

    @DefaultStringValue("Folder")
    String folder();

    @DefaultStringValue("Settings")
    String settings();

    @DefaultStringValue("Subform")
    String subForm();

    @DefaultStringValue("You need to save this form before opening the subform. Do you want to save now?")
    String subFormSavePrompt();

    @DefaultStringValue("Go back to:")
    String goBackTo();

    @DefaultStringValue("Add record")
    String newRecord();

    @DefaultStringValue("We couldn’t find the data you’re looking for.")
    String dataNotFound();

    @DefaultStringValue("Permission denied.")
    String permissionDeniedHeading();

    @DefaultStringValue("This record is locked.")
    String recordLockedHeading();

    @DefaultStringValue("It appears you do not have the right permission to access this data.")
    String permissionDenied();

    @DefaultStringValue("Go back to database overview")
    String goBackToDatabaseOverview();

    @DefaultStringValue("Go back to table view")
    String goBackToTableView();

    @DefaultStringValue("Switch accounts")
    String switchAccounts();

    @DefaultStringValue("Success")
    String success();

    @DefaultStringValue("Your changes have been successfully saved.")
    String changesSaved();

    @DefaultStringValue("The record has been successfully recovered.")
    String recordRecoverySuccess();

    @DefaultStringValue("Could not reach the server. Please check your connection.")
    String saveFailedConnectionProblem();

    @DefaultStringValue("No record selected")
    String noRecordSelected();

    @DefaultStringValue("Please select a record to see more information")
    String pleaseSelectARecord();

    @DefaultStringValue("Scroll to this record")
    String scrollToThisRecord();

    @DefaultStringValue("Go to subform:")
    String goToSubforms();

    @DefaultStringValue("Report design")
    String reportDesign();

    @DefaultStringValue("Report title")
    String reportTitle();

    @DefaultStringValue("Add text")
    String reportNewText();

    @DefaultStringValue("Untitled")
    String reportNewAnalysis();

    @DefaultStringValue("Text")
    String reportTextArea();

    @DefaultStringValue("Heading")
    String reportSectionHeader();

    @DefaultStringValue("Boolean")
    String booleanFieldType();

    @DefaultStringValue("Geo Area")
    String fieldTypeGeographicArea();

    @DefaultStringValue("Done")
    String done();

    @DefaultStringValue("This could be because:")
    String dataNotFoundReason();

    @DefaultStringValue("It has been deleted")
    String dataNotFoundReasonDeleted();

    @DefaultStringValue("There is a typo in the address")
    String dataNotFoundReasonTypo();

    @DefaultStringValue("Search for a database, folder or form...")
    String formSearchPlaceholder();

    @DefaultStringValue("This form")
    String thisForm();

    @DefaultStringValue("Import data to existing form")
    String importDataExistingForm();

    @DefaultStringValue("Upload your data")
    String uploadYourData();

    @DefaultStringValue("Continue")
    String continue_();

    @DefaultStringValue("Match fields & validate fields")
    String matchFieldStep();

    @DefaultStringValue("Not matched")
    String notMatched();

    @DefaultStringValue("Transfer database")
    String transferDatabaseLabel();

    @DefaultStringValue("Cancel transfer")
    String cancelTransfer();

    @DefaultStringValue("Select a date (YYYY-MM-DD)")
    String selectDatePlaceholder();

    @DefaultStringValue("YYYY-MM-DD")
    String selectDatePlaceholderShort();

    @DefaultStringValue("Export all forms")
    String wideFormatExport();

    @DefaultStringValue("Export all quantities in a single table")
    String longFormatExportQuantity();

    @DefaultStringValue("Column matching")
    String columnMatching();

    @DefaultStringValue("Probable matches")
    String probableMatches();

    @DefaultStringValue("Some required fields in the form have not been matched. Please match all required fields to proceed.")
    String requiredFieldsNotMapped();

    @DefaultStringValue("All rows are invalid. Please correct the errors and try importing again.")
    String noValidRecordsToImport();

    @DefaultStringValue("Review invalid records")
    String reviewInvalidRecords();

    @DefaultStringValue("Review records to import")
    String reviewValidRecords();

    @DefaultStringValue("Download invalid records as CSV")
    String downloadInvalidRecordsAsCSV();

    @DefaultStringValue("Do not close this tab or window")
    String doNotClose();

    @DefaultStringValue("Import in progress")
    String importInProgress();

    @DefaultStringValue("Deletion in progress")
    String deletionInProgress();

    @DefaultStringValue("Billing account")
    String billingAccount();

    @DefaultStringValue("Bit empty in here.")
    String emptyHeader();

    @DefaultStringValue("Looks like you haven't added any reports yet. Get started by clicking the “Add pivot table” button.")
    String emptyReports();

    @DefaultStringValue("Your trial account has expired.")
    String trialAccountExpired();

    @DefaultStringValue("Your trial license has expired.")
    String trialLicense();

    @DefaultStringValue("Your ActivityInfo trial account has been closed")
    String trialAccountClosed();

    @DefaultStringValue("Your ActivityInfo billing account has been closed.")
    String billingAccountClosed();

    @DefaultStringValue("Your trial period with ActivityInfo has ended, and your trial account has been closed.")
    String trialAccountClosedMessage();

    @DefaultStringValue("Unfortunately your trial period with ActivityInfo has ended. Any databases you have added are safe, but you no longer have access to them. You can purchase a subscription to restore access.")
    String trialAccountExpiredMessage();

    @DefaultStringValue("Unfortunately your trial license for ActivityInfo has expired. Any databases you have added are safe, but you no longer have access to them. You can purchase a license to restore access.")
    String trialLicenseExpiredMessage();

    @DefaultStringValue("Unfortunately your trial period with ActivityInfo has ended. Your data is safe, but you no longer have access to it. You can either purchase a subscription to restore access, or close your trial account and delete the databases you've added.")
    String trialAccountExpiredMessageChoice();

    @DefaultStringValue("Questions? Need more time to evaluate ActivityInfo? Just reply to this email and we can work together to find a solution.")
    String trialExpiredClosing();

    @DefaultStringValue("Questions? Just reply to this email and we can work together to find a solution.")
    String accountClosedClosing();

    @DefaultStringValue("Your access to this database has expired")
    String accessExpired();

    @DefaultStringValue("The data in this database remains safe, but access is currently restricted. Please contact the database owner for more information.")
    String accessExpiredMessage();

    @DefaultStringValue("Contact us")
    String contactUs();

    @DefaultStringValue("Record")
    String record();

    @DefaultStringValue("Collapse")
    String collapse();

    @DefaultStringValue("Measure name")
    String measureName();

    @DefaultStringValue("Layer name")
    String layerName();

    @DefaultStringValue("Dimension name")
    String dimensionName();

    @DefaultStringValue("Also display")
    String alsoDisplay();

    @DefaultStringValue("Totals")
    String totals();

    @DefaultStringValue("Blanks")
    String missingValues();

    @DefaultStringValue("Percentages")
    String percentages();

    @DefaultStringValue("Column name")
    String columnName();

    @DefaultStringValue("Export selected columns")
    String exportSelectedColumns();

    @DefaultStringValue("Export selected columns with")
    String exportSelectedColumnsWith();

    @DefaultStringValue("Export selected columns with all parent columns")
    String exportSelectedColumnsWithParent();

    @DefaultStringValue("Export this form and all subforms")
    String exportFormWithAllSubforms();

    @DefaultStringValue("Export complete")
    String exportComplete();

    @DefaultStringValue("Starting export...")
    String startingExport();

    @DefaultStringValue("Export failed.")
    String exportFailed();

    @DefaultStringValue("Export in progress")
    String exportInProgress();

    @DefaultStringValue("Display as")
    String statisticsHeader();

    @DefaultStringValue("Sort ascending")
    String sortAscending();

    @DefaultStringValue("Sort descending")
    String sortDescending();

    @DefaultStringValue("Filter by text")
    String filterByText();

    @DefaultStringValue("Filter by choice")
    String filterByChoice();

    @DefaultStringValue("Containing text")
    String containingText();

    @DefaultStringValue("Filter by blank")
    String filterByMissing();

    @DefaultStringValue("Filtered by:")
    String filteredBy();

    @DefaultStringValue("Clear all filters")
    String clearAllFilters();

    @DefaultStringValue("Database design")
    String databaseDesign();

    @DefaultStringValue("Back to database")
    String backToDatabase();

    @DefaultStringValue("User management")
    String userManagement();

    @DefaultStringValue("Add form")
    String addForm();

    @DefaultStringValue("Import new form")
    String importNewForm();

    @DefaultStringValue("Relevance rules")
    String relevanceRules();

    @DefaultStringValue("Validation rules")
    String validationRules();

    @DefaultStringValue("Relevance rule set")
    String relevanceRuleSet();

    @DefaultStringValue("Validation rule set")
    String validationRuleSet();

    @DefaultStringValue("Form settings")
    String formSettings();

    @DefaultStringValue("Import succeeded.")
    String importSucceeded();

    @DefaultStringValue("Hidden")
    String hidden();

    @DefaultStringValue("Add additional information about this field")
    String descriptionPlaceholder();

    @DefaultStringValue("Delete field")
    String deleteField();

    @DefaultStringValue("Are you sure you want to delete this field?")
    String deleteFieldAlert();

    @DefaultStringValue("This field is a part of the relevance rules for one or more other fields.")
    String deleteFieldRelevanceRuleAlert();

    @DefaultStringValue("This field is referenced in a formula of one or more other fields.")
    String deleteFieldFormulaAlert();

    @DefaultStringValue("This field is used as a prefix of a serial number field.")
    String deleteFieldPrefixAlert();

    @DefaultStringValue("Add option")
    String addOption();

    @DefaultStringValue("Option name")
    String optionName();

    @DefaultStringValue("Hide from entry")
    String hideFromEntry();

    @DefaultStringValue("Hide in table")
    String hideFromTable();

    @DefaultStringValue("Open subform")
    String openSubForm();

    @DefaultStringValue("Select field type")
    String selectFieldType();

    @DefaultStringValue("Today")
    String today();

    @DefaultStringValue("Filter by date range")
    String filterByDateRange();

    @DefaultStringValue("Please enter a date using the format YYYY-MM-DD")
    String invalidDate();

    @DefaultStringValue("Please enter a week using the format YYYY WW")
    String invalidWeek();

    @DefaultStringValue("Please enter a year using the format YYYY")
    String invalidYear();

    @DefaultStringValue("Please enter a fortnight using the format YYYY WW-WW")
    String invalidFortnight();

    @DefaultStringValue("Please enter a month using the format YYYY-MM")
    String invalidMonth();

    @DefaultStringValue("Please enter a number")
    String invalidNumber();

    @DefaultStringValue("Please enter a valid email address")
    String invalidEmail();

    @DefaultStringValue("Enter a number")
    String quantityPlaceholder();

    @DefaultStringValue("Blank")
    String missing();

    @DefaultStringValue("The record has been successfully deleted.")
    String recordDeleted();

    @DefaultStringValue("Available columns")
    String availableColumns();

    @DefaultStringValue("Record ID")
    String recordId();

    @DefaultStringValue("RecordId")
    String recordIdAlternate();

    @DefaultStringValue("Last edited time")
    String lastEditTime();

    @DefaultStringValue("Record last edited time")
    String lastEditTimeAlternate();

    @DefaultStringValue("Quantity Field ID")
    String quantityFieldId();

    @DefaultStringValue("Quantity Field Code")
    String quantityFieldCode();

    @DefaultStringValue("Quantity Field")
    String quantityField();

    @DefaultStringValue("Save record")
    String saveRecord();

    @DefaultStringValue("Please select one of the choices")
    String pleaseSelectOneOfTheChoices();

    @DefaultStringValue("Enter latitude")
    String enterLatitude();

    @DefaultStringValue("Enter longitude")
    String enterLongitude();

    @DefaultStringValue("Use current GPS location")
    String useCurrentLocation();

    @DefaultStringValue("Searching for GPS location...")
    String searchingGps();

    @DefaultStringValue("Permission to access your geographic location was denied.")
    String geoLocationPermissionError();

    @DefaultStringValue("Enable")
    String geoLocationEnable();

    @DefaultStringValue("Failed to detect your geographic location")
    String geoLocationFailed();

    @DefaultStringValue("Submit record")
    String submitRecord();

    @DefaultStringValue("Scan barcode with camera")
    String scanBarcodeWithCamera();

    @DefaultStringValue("Enter barcode")
    String enterBarcode();

    @DefaultStringValue("Adding a record to a subform takes you to a new form. All your data you’ve filled in on this form remains saved until you return to it.")
    String subFormNewRecordHelp();

    @DefaultStringValue("This year")
    String thisYear();

    @DefaultStringValue("This month")
    String thisMonth();

    @DefaultStringValue("Select a month (YYYY-MM)")
    String selectMonthPlaceholder();

    @DefaultStringValue("Select a week (YYYY WW)")
    String selectWeekPlaceholder();

    @DefaultStringValue("Select a fortnight (YYYY WW-WW)")
    String selectFortnightPlaceholder();

    @DefaultStringValue("Open subform record")
    String openSubFormRecord();

    @DefaultStringValue("Logged in as")
    @Meaning("The surtitle for the name of the user in the profile dropdown")
    String loggedInAsSurtitle();

    @DefaultStringValue("Show as pivot table")
    String showAsPivotTable();

    @DefaultStringValue("Show as bar chart")
    String showAsBarChart();

    @DefaultStringValue("Show as map")
    String showAsMap();

    @DefaultStringValue("Report settings")
    String reportSettings();

    @DefaultStringValue("Rename report")
    String renameReport();

    @DefaultStringValue("Rename role")
    String renameRole();

    @DefaultStringValue("Delete report")
    String deleteReport();

    @DefaultStringValue("Enter the new name for this report")
    String newReportTitlePrompt();

    @DefaultStringValue("The report has been deleted")
    String reportDeleted();

    @DefaultStringValue("Sort alphabetically")
    String sortAlphabetically();

    @DefaultStringValue("Sort recently edited first")
    String sortRecentlyUpdated();

    @DefaultStringValue("You are here")
    String subFormNavHeader();

    @DefaultStringValue("Jump to:")
    String sectionNavHeader();

    @DefaultStringValue("Cancel this subform & go back")
    String cancelSubform();

    @DefaultStringValue("Print record")
    String printRecord();

    @DefaultStringValue("Drop your measures here")
    String dropMeasures();

    @DefaultStringValue("Drop your layers here")
    String dropLayers();

    @DefaultStringValue("Drop your dimensions here")
    String dropDimensions();

    @DefaultStringValue("Drop your columns here")
    String dropColumns();

    @DefaultStringValue("You are offline.")
    String offlineTitle();

    @DefaultStringValue("It appears you are either offline or have an unstable connection, and the requested data is not available offline.")
    String offlineDataNotAvailable();

    @DefaultStringValue("It appears you are either offline or have an unstable connection, and this page could not load.")
    String offlinePageNotAvailable();

    @DefaultStringValue("You can still use downloaded databases, they will sync upon reconnection.")
    String dataAvailableOffline();

    @DefaultStringValue("One or more attachments have not finished uploading.")
    String attachmentsInProgress();

    @DefaultStringValue("Starting download of offline content...")
    String offlineDownloadStarted();

    @DefaultStringValue("Record history is not available offline.")
    String historyNotAvailableOffline();

    @DefaultStringValue("Record added")
    String recordAdded();

    @DefaultStringValue("Record edited")
    String recordEdited();

    @DefaultStringValue("Record deleted")
    String recordDeleteChange();

    @DefaultStringValue("Record recovered")
    String recordRecovered();

    @DefaultStringValue("No selected forms")
    String noFormsSelected();

    @DefaultStringValue("You can select one or more forms from the left-hand side.")
    String formSelectionExplanation();

    @DefaultStringValue("Get started by dragging and dropping fields into measures, rows, or columns.")
    String pivotGetStartedExplanation();

    @DefaultStringValue("Get started by dragging and dropping fields into layers.")
    String mapGetStartedExplanation();

    @DefaultStringValue("It appears there’s nothing in this notebook. Get started by clicking the “Add component” button in the “Report design” side panel.")
    String reportGetStartedExplanation();

    @DefaultStringValue("If you need help getting started, read our guide or watch a step-by-step video.")
    String emptyHelpText();

    @DefaultStringValue("Go to the documentation")
    String goToDocumentation();

    @DefaultStringValue("Report design help")
    String reportDesignHelp();

    @DefaultStringValue("Save report")
    String saveReport();

    @DefaultStringValue("Bulk delete")
    String bulkDelete();

    @DefaultStringValue("Activity")
    String userActivity();

    @DefaultStringValue("Delete user")
    String deleteUser();

    @DefaultStringValue("Scroll to this user")
    String scrollToThisUser();

    @DefaultStringValue("You haven't invited any users to this database. Click “Add user” to invite your first user.")
    String emptyUserManagement();

    @DefaultStringValue("You don't have any API tokens.")
    String emptyApiToken();

    @DefaultStringValue("There are no roles defined for this database.")
    String emptyRoleManagement();

    @DefaultStringValue("Select resource")
    String selectResource();

    @DefaultStringValue("Select a user")
    String selectUser();

    @DefaultStringValue("No user selected")
    String noUserSelected();

    @DefaultStringValue("Click on any user to see their details and permissions.")
    String noUserSelectedExplanation();

    @DefaultStringValue("No role selected")
    String noRoleSelected();

    @DefaultStringValue("Click on a role to see the related permissions.")
    String noRoleSelectedExplanation();

    @DefaultStringValue("No event selected")
    String noEventSelected();

    @DefaultStringValue("Click on a event to see details.")
    String noEventSelectedExplanation();

    @DefaultStringValue("Send invite")
    String sendInvite();

    @DefaultStringValue("Resend activation email")
    String resendActivationEmail();

    @DefaultStringValue("This database")
    String thisDatabase();

    @DefaultStringValue("Database name")
    String databaseName();

    @DefaultStringValue("Delete database")
    String deleteDatabase();

    @DefaultStringValue("Delete form")
    String deleteForm();

    @DefaultStringValue("Edit form")
    String editForm();

    @DefaultStringValue("Edit subform")
    String editSubForm();

    @DefaultStringValue("Add database")
    String addDatabase();

    @DefaultStringValue("Enter your database name...")
    String enterYourDatabaseName();

    @DefaultStringValue("Select a template")
    String selectTemplate();

    @DefaultStringValue("Database added")
    String databaseAdded();

    @DefaultStringValue("It appears there's nothing here. Get started by clicking “Add form” button.")
    String emptyDatabaseExplanation();

    @DefaultStringValue("This database or folder is empty.")
    String emptyDatabase();

    @DefaultStringValue("You haven't created any databases yet. Get started by clicking “Add database” button.")
    String emptyDatabaseListExplanationOwner();

    @DefaultStringValue("Unfortunately your free trial expired before you had a chance to add a database.")
    String emptyDatabaseListExplanationExpiredTrial();

    @DefaultStringValue("No one is currently sharing any databases with you.")
    String emptyDatabaseListExplanationUser();

    @DefaultStringValue("Enter your form name here ...")
    String formNamePlaceholder();

    @DefaultStringValue("Form name")
    String formName();

    @DefaultStringValue("You have not added any fields.")
    String emptyFields();

    @DefaultStringValue("Add a field")
    String addField();

    @DefaultStringValue("Add fields")
    String addFields();

    @DefaultStringValue("There is an error in this form.")
    String errorInForm();

    @DefaultStringValue("There is an error in this field")
    String errorInField();

    @DefaultStringValue("There is an error in this section")
    String errorInSection();

    @DefaultStringValue("Add calculated field")
    String addCalculatedField();

    @DefaultStringValue("Formula editor")
    String formulaEditor();

    @DefaultStringValue("Functions")
    String functions();

    @DefaultStringValue("This formula is invalid")
    String formulaInvalid();

    @DefaultStringValue("Count of all records")
    String countRecords();

    @DefaultStringValue("Enter your formula here...")
    String formulaPlaceholder();

    @DefaultStringValue("Unhide this category")
    String showCategory();

    @DefaultStringValue("Hide this category")
    String hideCategory();

    @DefaultStringValue("Show hidden")
    String showHidden();

    @DefaultStringValue("Don't show hidden")
    String dontShowHidden();

    @DefaultStringValue("Unhide all categories")
    String unhideAllCategories();

    @DefaultStringValue("Delete measure")
    String deleteMeasure();

    @DefaultStringValue("Delete layer")
    String deleteLayer();

    @DefaultStringValue("Show only this category")
    String showOnlyThisCategory();

    @DefaultStringValue("Is administrator")
    String adminRole();

    @DefaultStringValue("Add, edit, and delete forms and folders; edit records in reference forms, and manage locks.")
    String adminTitle();

    @DefaultStringValue("View")
    String canView();

    @DefaultStringValue("Add records")
    String canAddRecords();

    @DefaultStringValue("Add any record")
    String canAddAnyRecord();

    @DefaultStringValue("Edit records")
    String canUpdateRecords();

    @DefaultStringValue("Edit all records")
    String canEditAllRecords();

    @DefaultStringValue("Delete records")
    String canDeleteRecords();

    @DefaultStringValue("Delete any record")
    String canDeleteAllRecords();

    @DefaultStringValue("Bulk record delete")
    String bulkRecordDelete();

    @DefaultStringValue("Export records")
    String canExportRecords();

    @DefaultStringValue("Manage record locks")
    String canManageLocks();

    @DefaultStringValue("Add forms and folders")
    String canAddResources();

    @DefaultStringValue("Edit forms and folders")
    String canEditResources();

    @DefaultStringValue("Delete forms and folders")
    String canDeleteResources();

    @DefaultStringValue("Manage users")
    String canManageUsers();

    @DefaultStringValue("The user has been successfully invited.")
    String userInvited();

    @DefaultStringValue("The user has been successfully deleted from the database.")
    String userDeleted();

    @DefaultStringValue("The role has been successfully deleted from the database.")
    String roleDeleted();

    @DefaultStringValue("The user's role has been successfully updated.")
    String roleUpdated();

    @DefaultStringValue("Grant permissions")
    String grantPermissions();

    @DefaultStringValue("Grants")
    String grants();

    @DefaultStringValue("Entire database")
    String entireDatabase();

    @DefaultStringValue("Add folder")
    String addFolder();

    @DefaultStringValue("Enter the name of the folder")
    String enterFolderName();

    @DefaultStringValue("Adding folder...")
    String addingFolder();

    @DefaultStringValue("Folder added")
    String folderAdded();

    @DefaultStringValue("Rename folder")
    String renameFolder();

    @DefaultStringValue("Delete folder")
    String deleteFolder();

    @DefaultStringValue("The database has been successfully deleted.")
    String databaseDeleted();

    @DefaultStringValue("Inherited")
    String inherited();

    @DefaultStringValue("Hide totals for this dimension")
    String hideTotals();

    @DefaultStringValue("Hide blank values for this dimension")
    String hideBlanks();

    @DefaultStringValue("Geometry")
    String formulaTypeGeometry();

    @DefaultStringValue("Other")
    String formulaTypeOther();

    @DefaultStringValue("Account expiry")
    String accountExpiry();

    @DefaultStringValue("Latest news")
    String latestActivityInfoNews();

    @DefaultStringValue("Read...")
    String readMore();

    @DefaultStringValue("Add ActivityInfo to your homescreen and get started faster, online or offline.")
    String installAppText();

    @DefaultStringValue("Tap the “Share” icon, then select “Add to home screen”.")
    String installAppIosInstructions();

    @DefaultStringValue("Install")
    String install();

    @DefaultStringValue("Maybe later")
    String maybeLater();

    @DefaultStringValue("ActivityInfo added to your homescreen")
    String appInstalled();

    @DefaultStringValue("There was a problem adding ActivityInfo to your homescreen")
    String appInstallFailed();

    @DefaultStringValue("Loading...")
    String loading();

    @DefaultStringValue("Forms with a serial number field may not have additional keys.")
    String formWithSerialNumberMayNotHaveAdditionalKeys();

    @DefaultStringValue("A form with a serial number cannot have any additional keys. If you add a serial number, no fields will be deleted, but they will no longer be key fields.")
    String confirmAddingSerialNumber();

    @DefaultStringValue("Use this link to reset your ActivityInfo password. The link is only valid for 24 hours.")
    String resetPasswordPreheader();

    @DefaultStringValue("Use this link to activate your ActivityInfo trial account.")
    String confirmSignupPreheader();

    @DefaultStringValue("You recently requested to reset your password for your ActivityInfo account. Use the button below to reset it.")
    String resetPasswordIntro();

    @DefaultStringValue("This password reset is only valid for the next 24 hours.")
    String resetPasswordValidity();

    @DefaultStringValue("Reset your password")
    String resetPassword();

    @DefaultStringValue("We've sent you an email with instructions how to you change your password.")
    String resetPasswordEmailSent();

    @DefaultStringValue("We can't find an ActivityInfo account with this email address. Double check that you've entered the email address you signed up with.")
    String noAccount();

    @DefaultStringValue("Please enter your email address and we will send you an email with a link that will allow you to reset your password.")
    String resetPasswordForm();

    @DefaultStringValue("If you’re having trouble with the button above, copy and paste the URL below into your web browser.")
    String emailLinkFallback();

    @DefaultStringValue("Best regards,")
    String emailSignoff();

    @DefaultStringValue("The ActivityInfo Team")
    String emailSignature();

    @DefaultStringValue("If you did not request a password reset, please ignore this email or 'reply' if you have questions.")
    String passwordResetContactSupport();

    @DefaultStringValue("Thanks for signing up for an ActivityInfo trial account! Use the button below to activate your account and get started.")
    String confirmSignupIntro();

    @DefaultStringValue("Activate your account")
    String activateAccountButton();

    @DefaultStringValue("Reset your ActivityInfo password")
    String resetPasswordSubject();

    @DefaultStringValue("Activate your ActivityInfo account")
    String confirmTrialSignupSubject();

    @DefaultStringValue("Notification settings")
    String notificationSettings();

    @DefaultStringValue("View and edit records")
    String viewEditRecords();

    @DefaultStringValue("A record with the same key fields already exists.")
    String duplicateRecord();

    @DefaultStringValue("Go to record")
    String openDuplicateRecord();

    @DefaultStringValue("This form has no visible fields")
    String noVisibleFieldsWarning();

    @DefaultStringValue("Log in")
    String login();

    @DefaultStringValue("Log in with your Windows user name")
    String loginActiveDirectoryWindows();

    @DefaultStringValue("Windows user name")
    String windowsUsername();

    @DefaultStringValue("User name")
    String username();

    @DefaultStringValue("The password is incorrect. Try again.")
    String passwordIncorrect();

    @DefaultStringValue("User name")
    String userName();

    @DefaultStringValue("Logging in...")
    String loggingIn();

    @DefaultStringValue("The login is not correct, please double check your email and password.")
    String incorrectLogin();

    @DefaultStringValue("Confirm now")
    String confirmInvitedAccount();

    @DefaultStringValue("Go to the database")
    String goToDatabase();

    @DefaultStringValue("Welcome to ActivityInfo")
    String welcomeToActivityInfo();

    @DefaultStringValue("Forgotten your password?")
    String loginProblem();

    @DefaultStringValue("Before we get started, let's set up your account.")
    String setupAccount();

    @DefaultStringValue("This makes accessing ActivityInfo easier, and more secure.")
    String ssoReason();

    @DefaultStringValue("Connected!")
    String ssoConnected();

    @DefaultStringValue("Enter your name")
    String enterYourName();

    @DefaultStringValue("Select your preferred language")
    String selectYourLanguage();

    @DefaultStringValue("Choose a password")
    String enterNewPassword();

    @DefaultStringValue("Password")
    String password();

    @DefaultStringValue("Confirm your password")
    String confirmPassword();

    @DefaultStringValue("I agree to ActivityInfo's <a>terms of service</a>")
    String agreeTos();

    @DefaultStringValue("Check this box to agree to our:")
    String agreement();

    @DefaultStringValue("Terms and conditions")
    String termsConditions();

    @DefaultStringValue("Privacy policy")
    String privacyPolicy();

    @DefaultStringValue("Would you like to receive emails with training materials, invitations to webinars, and news and updates about ActivityInfo?")
    String emailOptInPrompt();

    @DefaultStringValue("Yes, I would like to receive these emails")
    String emailOptIn();

    @DefaultStringValue("No, I do not want to receive these emails")
    String emailOptOut();

    @DefaultStringValue("Please accept the terms of service to continue.")
    String pleaseAcceptTerms();

    @DefaultStringValue("Terms of service")
    String tos();

    @DefaultStringValue("Please choose whether you wish to receive emails from the ActivityInfo team.")
    String pleaseOptEmail();

    @DefaultStringValue("The passwords entered do not match.")
    String passwordsDoNotMatch();

    @DefaultStringValue("Check your email")
    String checkYourEmail();

    @DefaultStringValue("Invitation language")
    String invitationLanguage();

    @DefaultStringValue("Invalid or expired link")
    String invalidOrExpiredLink();

    @DefaultStringValue("This link is either incorrect, has already been used, or is expired.")
    String invalidLinkDetail();

    @DefaultStringValue("Additional choices match. Keep typing to filter the list.")
    String moreItems();

    @DefaultStringValue("Export via the API")
    String exportViaApi();

    @DefaultStringValue("Roles")
    String roles();

    @DefaultStringValue("Add role")
    String addRole();

    @DefaultStringValue("Delete role")
    String deleteRole();

    @DefaultStringValue("Parameters")
    String parameters();

    @DefaultStringValue("Edit permissions")
    String editPermissions();

    @DefaultStringValue("This role has no parameters.")
    String emptyRoleParameterList();

    @DefaultStringValue("Add filter")
    String addFilter();

    @DefaultStringValue("Role")
    String role();

    @DefaultStringValue("Forms and folders")
    String formsAndFolders();

    @DefaultStringValue("Access denied")
    String accessDenied();

    @DefaultStringValue("This form is private. Only the users below have access.")
    String privateForm();

    @DefaultStringValue("This form is public. Anyone on the internet with the URL can view the form and all of its records.")
    String publicForm();

    @DefaultStringValue("This form is reference data. Any user with access to this database can view the form and all of its records, but it will not appear in the list of forms.")
    String referenceForm();

    @DefaultStringValue("This folder is private. Only the users below have access.")
    String privateFolder();

    @DefaultStringValue("This folder is for reference. It will not appear in the list of folders.")
    String referenceFolder();

    @DefaultStringValue("Change to public")
    String changeToPublic();

    @DefaultStringValue("Change to private")
    String changeToPrivate();

    @DefaultStringValue("Change to reference")
    String changeToReference();

    @DefaultStringValue("True")
    String trueResult();

    @DefaultStringValue("False")
    String falseResult();

    @DefaultStringValue("Edit")
    String edit();

    @DefaultStringValue("Your account has been temporarily locked after too many failed log in attempts. Please wait before trying again or reset your password.")
    String lockedOut();

    @DefaultStringValue("Paste field list from spreadsheet")
    String pasteFieldsFromSpreadsheet();

    @DefaultStringValue("Paste at least two rows from a spreadsheet")
    String pasteTwoRows();

    @DefaultStringValue("Duplicate role")
    String duplicateRole();

    @DefaultStringValue("Add your data here")
    String addYourDataHere();

    @DefaultStringValue("Query selected fields as JSON")
    String queryJsonUsingUrl();

    @DefaultStringValue("Query all fields as JSON")
    String queryAllJsonUsingUrl();

    @DefaultStringValue("Query using R")
    String queryFromR();

    @DefaultStringValue("Copy to clipboard")
    String copyToClipboard();

    @DefaultStringValue("Copied to clipboard")
    String copiedToClipboard();

    @DefaultStringValue("Failed to copy text to the clipboard.")
    String clipboardCopyError();

    @DefaultStringValue("Could not load ActivityInfo. Please check your internet connection and try again.")
    String applicationLoadFailed();

    @DefaultStringValue("ActivityInfo is taking longer to load than normal. Please check your internet connection and try again.")
    String applicationLoadTimeout();

    @DefaultStringValue("Fortnight")
    String fortnight();

    @DefaultStringValue("You don't have permission to modify this grant.")
    String permissionDeniedEditGrant();

    @DefaultStringValue("This user has no extra permission grants.")
    String userHasNoExplicitGrants();

    @DefaultStringValue("Edit role")
    String editRole();

    @DefaultStringValue("and")
    String and();

    @DefaultStringValue("or")
    String or();

    @DefaultStringValue("The value you've entered doesn't meet the validation criteria.")
    String invalidValue();

    @DefaultStringValue("Please enter a number which")
    String invalidNumberValue();

    @DefaultStringValue("Please enter a text which")
    String invalidTextValue();

    @DefaultStringValue("Please enter a date which")
    String invalidDateValue();

    @DefaultStringValue("Please enter a week which")
    String invalidWeekValue();

    @DefaultStringValue("Please enter a fortnight which")
    String invalidFortnightValue();

    @DefaultStringValue("Please enter a month which")
    String invalidMonthValue();

    @DefaultStringValue("after")
    String after();

    @DefaultStringValue("before")
    String before();

    @DefaultStringValue("contains")
    String contains();

    @DefaultStringValue("starts with")
    String startsWith();

    @DefaultStringValue("ends with")
    String endsWith();

    @DefaultStringValue("is empty")
    String isEmpty();

    @DefaultStringValue("is not empty")
    String isNotEmpty();

    @DefaultStringValue("between")
    String between();

    @DefaultStringValue("Duplicate form")
    String duplicateForm();

    @DefaultStringValue("The form has been successfully duplicated.")
    String formDuplicated();

    @DefaultStringValue("Move")
    String move();

    @DefaultStringValue("Database root")
    String databaseRoot();

    @DefaultStringValue("Outdated browser")
    String browserOutdatedSurtitle();

    @DefaultStringValue("Your browser is out of date. For the best experience with ActivityInfo, please use the latest version of FireFox, Chrome, or Microsoft Edge.")
    String browserOutdated();

    @DefaultStringValue("Manage reference data")
    String canManageReferenceData();

    @DefaultStringValue("This role is assigned to at least one user and cannot be deleted")
    String roleInUseError();

    @DefaultStringValue("We were not able to send the reset email at this time. Please try again later.")
    String resetEmailProblem();

    @DefaultStringValue("There have been too many password reset requests for this email. Please try again later.")
    String resetPasswordThrottled();

    @DefaultStringValue("Edit user")
    String editUser();

    @DefaultStringValue("This user has already been added to the database.")
    String alreadyAddedToDatabase();

    @DefaultStringValue("This user already has an ActivityInfo account.")
    String userHasAnAccount();

    @DefaultStringValue("Invalid email")
    String emailBounced();

    @DefaultStringValue("Invite rejected as spam")
    String emailSpamComplaint();

    @DefaultStringValue("Invite pending")
    String invitePending();

    @DefaultStringValue("This is your email address.")
    String selfInvalidEmail();

    @DefaultStringValue("This is the email address of the database owner")
    String ownerInvalidEmail();

    @DefaultStringValue("Account expired")
    String suspended();

    @DefaultStringValue("To use ActivityInfo, please enable JavaScript.")
    String javascriptRequired();

    @DefaultStringValue("Invitation time")
    String invitationTime();

    @DefaultStringValue("Activation status")
    String activationStatus();

    @DefaultStringValue("Email delivery status")
    String emailDeliveryStatus();

    @DefaultStringValue("Last login time")
    String lastLogin();

    @DefaultStringValue("Users")
    String users();

    @DefaultStringValue("Assigned Resources")
    String roleResources();

    @DefaultStringValue("Account")
    String account();

    @InternalOnly
    @DoNotTranslate
    @DefaultStringValue("Billing Accounts")
    String billingAccounts();

    @InternalOnly
    @DoNotTranslate
    @DefaultStringValue("Billing Account Users")
    String billingAccountUsers();

    @InternalOnly
    @DoNotTranslate
    @DefaultStringValue("Transfer")
    String transfer();

    @DefaultStringValue("The transfer has been successfully completed.")
    String transferSuccessfull();

    @DefaultStringValue("Remove offline copy")
    String removeOfflineCopy();

    @DefaultStringValue("Download for offline use")
    String downloadForOfflineUse();

    @DefaultStringValue("Downloading...")
    String downloading();

    @DefaultStringValue("Database owner")
    String databaseOwner();

    @DefaultStringValue("Owner")
    String owner();

    @DefaultStringValue("Your role")
    String yourRole();

    @DefaultStringValue("Account settings")
    String accountSettings();

    @DefaultStringValue("Profile settings")
    String profile();

    @DefaultStringValue("Start subscription")
    String startSubscription();

    @DefaultStringValue("Purchase a subscription now")
    String subscribeNow();

    @DefaultStringValue("Your name")
    String yourName();

    @DefaultStringValue("Your profile has been successfully updated.")
    String profileUpdated();

    @DefaultStringValue("Cancel renewal")
    String cancelRenewal();

    @DefaultStringValue("Delete the databases I added")
    String deletedOwnedDatabases();

    @DefaultStringValue("If you close your free trial account now, you will no longer be able to add new databases. You will still be able to access the other databases to which you have been invited.")
    String freeTrialConsequencesNoDatabases();

    @DefaultStringValue("If you close your free trial now, any databases you have added will be deleted, and you will not be able to add new databases. You will still be able to access the databases to which you have been invited.")
    String freeTrialConsequencesDatabasesDeleted();

    @DefaultStringValue("The following databases will be deleted:")
    String databasesDeleted();

    @DefaultStringValue("The following databases have been deleted:")
    String databasesDeletedComplete();

    @DefaultStringValue("You will still be able to access databases which have been shared with you. The following databases will NOT be deleted:")
    String databasesShared();

    @DefaultStringValue("Your free trial has been closed.")
    String freeTrialClosed();

    @DefaultStringValue("Close trial account")
    String closeTrialAccount();

    @DefaultStringValue("Delete these databases")
    String closeTrialButton();

    @DefaultStringValue("Share")
    String share();

    @DefaultStringValue("Formula is true")
    String formulaIsTrue();

    @DefaultStringValue("Please remove or correct the invalid rule")
    String invalidRuleMessage();

    @DefaultStringValue("Add record in subform")
    String addSubRecord();

    @DefaultStringValue("Delete subform record")
    String deleteSubFormRecord();

    @DefaultStringValue("Synchronized")
    String synchronizedStatus();

    @DefaultStringValue("Cancel record entry")
    String cancelRecordEntry();

    @DefaultStringValue("Downloaded")
    String downloaded();

    @DefaultStringValue("Syncing...")
    String syncing();

    @DefaultStringValue("Please complete the selection.")
    String pleaseCompleteSelection();

    @DefaultStringValue("Sharing & Publishing")
    String sharingPublishingMenu();

    @DefaultStringValue("Audit log")
    String auditLog();

    @DefaultStringValue("This user has been assigned forms or folders for which you are not authorized to manage permissions. This will limit the changes you can make.")
    String orthogonalUser();

    @DefaultStringValue("Recovering deleted record...")
    String recoveringRecord();

    @DefaultStringValue("Reverting change...")
    String reverting();

    @DefaultStringValue("form")
    String resourceTypeForm();

    @DefaultStringValue("folder")
    String resourceTypeFolder();

    @DefaultStringValue("subform")
    String resourceTypeSubform();

    @DefaultStringValue("private")
    String resourceVisibilityPrivate();

    @DefaultStringValue("public")
    String resourceVisibilityPublic();

    @DefaultStringValue("reference")
    String resourceVisibilityReference();

    @DefaultStringValue("lock")
    String resourceTypeLock();

    @DefaultStringValue("role")
    String resourceTypeRole();

    @DefaultStringValue("Added database")
    String addedDatabase();

    @DefaultStringValue("Filter")
    String filter();

    @DefaultStringValue("Filter by form or folder")
    String filterByFormOrFolder();

    @DefaultStringValue("Filter by event type")
    String filterByEventType();

    @DefaultStringValue("Filter by user")
    String filterByUser();

    @DefaultStringValue("Event")
    String eventFilterLabel();

    @DefaultStringValue("Older log entries")
    String olderLogEntries();

    @DefaultStringValue("Recover record")
    String recoverRecord();

    @DefaultStringValue("Reverted")
    String reverted();

    @DefaultStringValue("Revert")
    String revert();

    @DefaultStringValue("Time")
    String time();

    @DefaultStringValue("User")
    String user();

    @DefaultStringValue("Record history")
    String recordHistory();

    @DefaultStringValue("This report is neither shared nor published")
    String shareStatusNone();

    @DefaultStringValue("Sharing")
    String sharingTab();

    @DefaultStringValue("Publishing")
    String publishingTab();

    @DefaultStringValue("Share with…")
    String shareWithHeader();

    @DefaultStringValue("Database roles")
    String shareWithDatabaseRoles();

    @DefaultStringValue("Publish report")
    String publishReport();

    @DefaultStringValue("The data shown will be updated automatically as the report is updated.")
    String publishReportExplanation();

    @DefaultStringValue("Publish now")
    String publishNow();

    @DefaultStringValue("When published, a read-only version of this report will be available as:")
    String publishReportArtifacts();

    @DefaultStringValue("Standalone webpage")
    String publishReportStandalone();

    @DefaultStringValue("Embeddable HTML snippet")
    String publishEmbeddableHtml();

    @DefaultStringValue("Publishing…")
    String publishingProgress();

    @DefaultStringValue("Unpublish")
    String unpublish();

    @DefaultStringValue("Copy URL")
    String copyURL();

    @DefaultStringValue("Copy code")
    String copyCode();

    @DefaultStringValue("Published")
    String published();

    @DefaultStringValue("Publishing report…")
    String publishingReportStart();

    @DefaultStringValue("Your report has been successfully published.")
    String publishingReportSuccess();

    @DefaultStringValue("Unpublishing report…")
    String unpublishingReportStart();

    @DefaultStringValue("Your report has been successfully unpublished.")
    String unpublishingReportSuccess();

    @DefaultStringValue("This report is now available as:")
    String reportAvailable();

    @DefaultStringValue("Saving…")
    String saving();

    @DefaultStringValue("This report is <em>published</em>")
    String shareStatusPublished();

    @DefaultStringValue("Shared")
    String reportShared();

    @DefaultStringValue("Shared with me")
    String reportSharedWithMe();

    @DefaultStringValue("This report is <em>shared</em> and <em>published</em>")
    String shareStatusSharedAndPublished();

    @DefaultStringValue("This report is <em>shared</em>")
    String shareStatusShared();

    @DefaultStringValue("Updating report sharing settings…")
    String updatingSharing();

    @DefaultStringValue("Successfully updated report sharing settings.")
    String updatingSharingSuccessful();

    @DefaultStringValue("Audit user actions")
    String auditUserActions();

    @DefaultStringValue("Share reports")
    String shareReportsWithDatabaseUsers();

    @DefaultStringValue("Publish reports")
    String publishReports();

    @DefaultStringValue("Save report as copy")
    String saveReportCopy();

    @DefaultStringValue("You do not have permission to share")
    String noSharingPermissions();

    @DefaultStringValue("The owner of the database or databases that you have included in this report has not granted you permission to share reports with other database users.")
    String noSharingPermissionsExplanation();

    @DefaultStringValue("You do not have permission to publish")
    String noPublishPermissions();

    @DefaultStringValue("The owner of the database or databases that you have included in this report has not granted you permission to publish reports based on their data.")
    String noPublishPermissionsExplanation();

    @DefaultStringValue("Are you want to delete the grant for this resource?")
    String confirmDeleteGrant();

    @DefaultStringValue("Delete this extra grant")
    String deleteGrant();

    @DefaultStringValue("This report is no longer available")
    String reportNoLongerAvailable();

    @DefaultStringValue("The owner of this report has unpublished this report, or they no longer have permission to publish the report.")
    String reportNoLongerAvailableExplanation();

    @DefaultStringValue("The report could not be found")
    String reportNotFound();

    @DefaultStringValue("View")
    String view();

    @DefaultStringValue("Don't have an account? Contact the database owner to invite you.")
    String noAccountHelp();

    @DefaultStringValue("Share report")
    String shareReport();

    @DefaultStringValue("Select visualization")
    String selectVisualisation();

    @DefaultStringValue("Return to table")
    String returnTable();

    @DefaultStringValue("Map")
    String mapView();

    @DefaultStringValue("Street basemap")
    String streetMap();

    @DefaultStringValue("Light basemap")
    String lightMap();

    @DefaultStringValue("Satellite basemap")
    String satelliteMap();

    @DefaultStringValue("Custom")
    String customMap();

    @DefaultStringValue("Click on any record to show details for that record. You will loose your selection.")
    String recordMultipleSelection();

    @DefaultStringValue("Proportional circle")
    String proportionalCircle();

    @DefaultStringValue("Icon")
    String icon();

    @DefaultStringValue("Display as")
    String layerTypeHeader();

    @DefaultStringValue("Styling")
    String styling();

    @DefaultStringValue("Colors")
    String colors();

    @DefaultStringValue("Background color")
    String backgroundColor();

    @DefaultStringValue("None")
    String none();

    @DefaultStringValue("No geographic information found")
    String noGeographyFound();

    @DefaultStringValue("The form has been deleted or removed from the report, or you no longer have permission to view it")
    String noFormFound();

    @DefaultStringValue("The field used for this layer has been deleted")
    String deletedFieldUsedForMapReport();

    @DefaultStringValue("This user has closed their ActivityInfo account and cannot be invited.")
    String accountClosedCannotBeInvited();

    @DefaultStringValue("Action")
    String importAction();

    @DefaultStringValue("Update")
    String importActionUpdate();

    @DefaultStringValue("Add")
    String importActionAdd();

    @DefaultStringValue("Your ActivityInfo account is now more secure and easier to access.")
    String loginChanging();

    @DefaultStringValue("IMPORTANT: Logging into ActivityInfo is changing")
    String loginChangingSubject();

    @DefaultStringValue("Your ActivityInfo login has changed")
    String ssoActivated();

    @DefaultStringValue("Questions? Just reply to this email.")
    String loginChangingQuestions();

    @DefaultStringValue("Clustering")
    String clustering();

    @DefaultStringValue("You have successfully re-authenticated.")
    String successfullyReauthenticated();

    @DefaultStringValue("Log back in")
    String logBackIn();

    @DefaultStringValue("Your session has expired")
    String sessionExpired();

    @DefaultStringValue("Don’t worry — whatever you were working on is safe as long as you don’t close this window.")
    String sessionExpiredWorkSafe();

    @DefaultStringValue("Your session has expired, but you have no internet connection. You can continue working offline until you reconnect.")
    String sessionExpiredOffline();

    @DefaultStringValue("Your session has been successfully extended.")
    String sessionExtended();

    @DefaultStringValue("Log in with your Google account")
    String loginWithGoogle();

    @DefaultStringValue("Your account is still pending. Please follow the link you received by email to confirm your account.")
    String accountPending();

    @DefaultStringValue("API Tokens")
    String apiTokens();

    @DefaultStringValue("API Token")
    String apiToken();

    @DefaultStringValue("Personal API Tokens")
    String personalApiTokens();

    @DefaultStringValue("Generate")
    String generate();

    @DefaultStringValue("Add token")
    String addToken();

    @DefaultStringValue("Scope")
    String apiScope();

    @DefaultStringValue("Read-only")
    String apiReadOnly();

    @DefaultStringValue("Read & Write")
    String apiFullScope();

    @DefaultStringValue("API token successfully generated.")
    String apiTokenGenerated();

    @DefaultStringValue("Revoke token")
    String revokeToken();

    @DefaultStringValue("Time added")
    String timeAdded();

    @DefaultStringValue("A personal API access token has been added to your account")
    String apiTokenAddedSubject();

    @DefaultStringValue("Manage tokens")
    String manageTokens();

    @DefaultStringValue("Make sure to copy your new personal access token now. You won’t be able to see it again!")
    String copyApiTokenWarning();

    @DefaultStringValue("The API token has been successfully revoked.")
    String tokenRevoked();

    @DefaultStringValue("You haven't added any records on this device. Tap “Add record” to add your first.")
    String noLocalEdits();

    @DefaultStringValue("Yesterday")
    String yesterday();

    @DefaultStringValue("Ready for upload")
    String readyForUpload();

    @DefaultStringValue("Uploaded")
    String uploaded();

    @DefaultStringValue("Back to login")
    String backToLogin();

    @DefaultStringValue("You are currently not logged in")
    String notLoggedIn();

    @DefaultStringValue("Don't ask again")
    String dontAskAgain();

    @DefaultStringValue("Are you sure you want to log out?")
    String confirmLogout();

    @DefaultStringValue("Offline storage")
    String offlineStorage();

    @DefaultStringValue("Sessions")
    String sessions();

    @DefaultStringValue("You do not a have billing account.")
    String noBillingAccount();

    @DefaultStringValue("Sort alphabetically")
    String sortOptions();

    @DefaultStringValue("Use another database as a template")
    String basedOnAnExistingDatabase();

    @DefaultStringValue("Adding...")
    String adding();

    @DefaultStringValue("Unfortunately, subforms cannot be used in relevance or validation rules")
    String subformUsedInFormula();

    @DefaultStringValue("Duplicate database")
    String duplicateDatabase();

    @DefaultStringValue("Reviewer only")
    String reviewerOnly();

    @DefaultStringValue("Save profile")
    String saveProfile();

    @DefaultStringValue("The URL based on the columns you have selected exceeds the limit of 2048 characters and cannot be used. Try selecting fewer columns or shortening the column labels.")
    String exportUrlTooLong();

    @DefaultStringValue("Export account statistics")
    String exportBillingStatistics();

    @DefaultStringValue("Your request is being reviewed")
    String reviewRequired();

    @DefaultStringValue("Our support team is reviewing your request to reset your password and, if approved, you will receive a link to reset your password within 24 hours.")
    String passwordResetReactivationRequired();

    @DefaultStringValue("Validating...")
    String validating();

    @DefaultStringValue("Collection link")
    String collectionLink();

    @DefaultStringValue("Open collection link")
    String openCollectionLink();

    @DefaultStringValue("Anyone who has this link will be able to add records to this form, without logging in.")
    String collectionLinkExplanation();

    @DefaultStringValue("Opening collection link enables anyone who has the link to add records to this form, without logging in.")
    String openCollectionLinkExplanation();

    @DefaultStringValue("Open now")
    String openCollectionLinkNow();

    @DefaultStringValue("Opening…")
    String collectionLinkOpeningProgress();

    @DefaultStringValue("Close collection link")
    String closeCollectionLink();

    @DefaultStringValue("Closing collection link…")
    String closingCollectionLinkProgress();

    @DefaultStringValue("The collection link has been successfully opened")
    String collectionLinkOpenedToaster();

    @DefaultStringValue("The collection link has been successfully closed")
    String collectionLinkClosedToaster();

    @DefaultStringValue("We couldn’t find the collection link you’re looking for.")
    String collectionLinkNotFound();

    @DefaultStringValue("Collection link not found")
    String collectionLinkNotFoundTitle();

    @DefaultStringValue("Collection link closed")
    String collectionLinkClosedTitle();

    @DefaultStringValue("Collection link has been closed.")
    String collectionLinkClosed();

    @DefaultStringValue("It does not exist")
    String dataNotFoundReasonNotFound();

    @DefaultStringValue("It has been closed")
    String dataNotFoundReasonClosed();

    @DefaultStringValue("This link has been closed. You can no longer save this record.")
    String linkClosed();

    @DefaultStringValue("You cannot enter data into this form.")
    String collectionLinkClosedDetails();

    @DefaultStringValue("Your record was successfully submitted to the form!")
    String successfullySubmittedRecord();

    @DefaultStringValue("You may now close this window, or restart the process to add more data.")
    String submittedViaCollectionLinkDetail();

    @DefaultStringValue("Add another record")
    String addAnotherRecord();

    @DefaultStringValue("You are not able to open a collection link as this form refers non-public forms:")
    String nonPublicReferenceWarning();

    @DefaultStringValue("Via collection link")
    String viaCollectionLink();

    @DefaultStringValue("Collection link open")
    String collectionLinkOpen();

    @DefaultStringValue("Manage collection links")
    String canManageCollectionLinks();

    @DefaultStringValue("Add component")
    String addComponent();

    @DefaultStringValue("Go to analysis")
    String goToAnalysis();

    @DefaultStringValue("Components")
    String components();

    @DefaultStringValue("Uploading...")
    String uploading();

    @DefaultStringValue("Processing imported records...")
    String processingRecords();

    @DefaultStringValue("Preparing upload...")
    String preparingUpload();

    @DefaultStringValue("Export attachments")
    String exportAttachments();

    @DefaultStringValue("Convert to notebook")
    String convertToNotebook();

    @DefaultStringValue("Convert to single view")
    String convertToSingleView();


    @DefaultStringValue("Notebook")
    String notebook();

    @DefaultStringValue("Map")
    String map();

    @DefaultStringValue("Back to notebook")
    String backToNotebook();

    @DefaultStringValue("Add database from template")
    String addDatabaseFromTemplate();

    @DefaultStringValue("Unpublish template")
    String unpublishTemplate();

    @DefaultStringValue("Publish as template")
    String publishTemplate();

    @DefaultStringValue("Published template")
    String publishedTemplate();

    @DefaultStringValue("Leave database")
    String leaveDatabase();

    @DefaultStringValue("If you leave this database, you will no longer be able to access it. If you wish to access it later, you will need to request permission from the database owner.")
    String leaveDatabaseWarning();

    @DefaultStringValue("Yes, leave")
    String yesLeaveDatabase();

    @DefaultStringValue("You have successfully left the database")
    String leftDatabase();

    @DefaultStringValue("Take photo")
    String takePicture();

    @DefaultStringValue("k")
    String thousandsSuffix();

    @DefaultStringValue("m")
    String millionsSuffix();

    @DefaultStringValue("bn")
    String billionsSuffix();

    @DefaultStringValue("The user's access has been successfully restored.")
    String userRestored();

    @DefaultStringValue("This user has already been invited back to the database.")
    String userAlreadyRestored();

    @DefaultStringValue("Restore access")
    String restoreAccess();

    @DefaultStringValue("This user was assigned a role that has since been deleted.")
    String userRoleDeleted();

    @DefaultStringValue("Select data sources")
    String selectDataSources();

    @DefaultStringValue("Publised notebooks are not embeddable")
    String publishedEmbeddedNotebook();

    @DefaultStringValue("Select filter")
    String selectFilter();

    @DefaultStringValue("Edited on this device")
    String editedOnThisDeviceFilter();

    @DefaultStringValue("No records found")
    String noRecords();

    @DefaultStringValue("Tap “Add record” to add your first record.")
    String noRecordMobileExplanation();

    @DefaultStringValue("Clear filter")
    String clearFilter();

    @DefaultStringValue("Add bar chart")
    String addBarChart();

    @DefaultStringValue("Analyze")
    String analyze();

    @DefaultStringValue("Documentation")
    String docs();

    @DefaultStringValue("Total category name")
    String totalName();

    @DefaultStringValue("Verify your ActivityInfo login")
    String verifyYourLogin();

    @DefaultStringValue("Below is your one time passcode.")
    String oneTimeCodeMessage();

    @DefaultStringValue("Month of year")
    String monthOfYear();

    @DefaultStringValue("Quarter of year")
    String quarterOfYear();

    @DefaultStringValue("Week of year")
    String weekOfYear();

    @DefaultStringValue("Date level")
    String dateLevel();

    @DefaultStringValue("Show all records")
    String showAllRecords();

    @DefaultStringValue("Manage roles")
    String manageRoles();

    @DefaultStringValue("To use ActivityInfo, please enable cookies.")
    String cookiesRequired();

    @DefaultStringValue("Search for an icon")
    String searchForIcon();

    @DefaultStringValue("Show as line chart")
    String showAsLineChart();

    @DefaultStringValue("Add line chart")
    String addLineChart();

    @DefaultStringValue("Logical functions")
    String functionsLogical();

    @DefaultStringValue("Text functions")
    String functionsText();

    @DefaultStringValue("Date & time functions")
    String functionsDateTime();

    @DefaultStringValue("Statistical functions")
    String functionsStatistical();

    @DefaultStringValue("Mathematical functions")
    String functionsMath();

    @DefaultStringValue("Miscellaneous functions")
    String functionsMisc();

    @DefaultStringValue("Geographic functions")
    String functionsGeographic();



    @DefaultStringValue("Update your license key")
    String updateLicenseKey();

    @DefaultStringValue("Your current license")
    String currentLicense();

    @DefaultStringValue("The license is not formatted correctly.")
    String invalidLicenseFormat();

    @DefaultStringValue("The license does not have a valid signature.")
    String invalidLicenseSignature();

    @DefaultStringValue("The license has already expired.")
    String invalidLicenseExpired();

    @DefaultStringValue("The license key was successfully updated.")
    String licenseSuccess();

    @DefaultStringValue("License")
    String license();

    @DefaultStringValue("Server settings")
    String serverSettings();

    @DefaultStringValue("Request quote")
    String requestQuote();

    @DefaultStringValue("Administrators")
    String administrators();

    @DefaultStringValue("Test email")
    String testEmail();

    @DefaultStringValue("SMTP Configuration")
    String smtpConfiguration();

    @DefaultStringValue("Send test email")
    String sendTestEmail();

    @DefaultStringValue("Successfully sent test email.")
    String testEmailSuccessfullySent();

    @DefaultStringValue("The test email failed:")
    String testEmailFailed();

    @DefaultStringValue("Please enter a TCP port number between 1 and 65535")
    String pleaseEnterTcpPort();

    @DefaultStringValue("Sending test email...")
    String sendingTestEmail();

    @DefaultStringValue("Sender email")
    String emailSender();

    @DefaultStringValue("Email settings")
    String emailSettings();

    @DefaultStringValue("ActivityInfo requires a connection to your mail server via SMTP to be able to send " +
        "notifications to users, such as invitations to databases and password reset emails.")
    String emailSettingsExplanation();

    @DefaultStringValue("Host")
    String tcpHost();

    @DefaultStringValue("Port")
    String tcpPort();

    @DefaultStringValue("Username")
    String smtpUsername();

    @DefaultStringValue("License type")
    String licenseType();

    @DefaultStringValue("User limit")
    String userLimit();

    @DefaultStringValue("Expiry")
    String expirationTime();

    @DefaultStringValue("Domain")
    String certificateDomain();

    @DefaultStringValue("Domain")
    String activeDirectoryDomain();

    @DefaultStringValue("SSL Certificate")
    String certificate();

    @DefaultStringValue("Identity providers")
    String identityProviders();

    @DefaultStringValue("Add provider")
    String addIdp();

    @DefaultStringValue("Add ADFS")
    String addADFS();

    @DefaultStringValue("Add Azure Active Directory")
    String addAAD();

    @DefaultStringValue("Add Google")
    String addGoogle();

    @DefaultStringValue("No provider selected")
    String noProviderSelected();

    @DefaultStringValue("Click on any provider to see their details and permissions.")
    String noProviderSelectedExplanation();

    @DefaultStringValue("Single-Sign On")
    String sso();

    @DefaultStringValue("Provider URL")
    String providerUrl();

    @DefaultStringValue("Client ID")
    String clientId();

    @DefaultStringValue("Client Secret")
    String clientSecret();

    @DefaultStringValue("Domains")
    String domains();

    @DefaultStringValue("Add OpenID Connect")
    String addOtherOpenIdConnect();

    @DefaultStringValue("Provider ID")
    String providerId();

    @DefaultStringValue("Please enter a valid URL.")
    String validUrlMessage();

    @DefaultStringValue("Please enter a list of valid domain names, seperated by commas.")
    String validDomainName();

    @DefaultStringValue("You have not yet been invited to use ActivityInfo")
    String notInvited();

    @DefaultStringValue("Not invited")
    String notInvitedShort();

    @DefaultStringValue("Try logging in with a different account")
    String tryOtherLogin();

    @DefaultStringValue("The user name is incorrect, please try again.")
    String usernameIncorrect();

    @DefaultStringValue("Your windows account is disabled. Please contact the IT department.")
    String usernameDisabled();

    @DefaultStringValue("Add ADSI")
    String addAdsi();

    @DefaultStringValue("Active Directory Service Interfaces (ADSI)")
    String adsi();

    @DefaultStringValue("Email domains")
    String emailDomains();

    @DefaultStringValue("Type")
    String type();

    @DefaultStringValue("OpenID Connect")
    String openIdConnect();

    @DefaultStringValue("Enabled")
    String enabled();

    @DefaultStringValue("Disabled")
    String disabled();

    @DefaultStringValue("Email notifications are disabled.")
    String smtpDisabled();

    @DefaultStringValue("Parent")
    String parent();

    @DefaultStringValue("Show as pie chart")
    String showAsPieChart();

    @DefaultStringValue("Add pie chart")
    String addPieChart();

    @DefaultStringValue("X-axis")
    String xaxis();

    @DefaultStringValue("Series")
    String series();

    @DefaultStringValue("Facets")
    String facets();

    @DefaultStringValue("Automatic")
    String automatic();

}
