/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.io.csv;

import java.util.List;

public class ParsedRow {

    private final List<String> fields;

    public ParsedRow(List<String> fields) {
        this.fields = fields;
    }

    public int getColumnCount() {
        return fields.size();
    }

    @Override
    public String toString() {
        return fields.toString();
    }

    public String getColumnValue(int i) {
        if(i >= fields.size()) {
            return "";
        }
        return fields.get(i);
    }
}
