/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.io.csv;

import java.io.IOException;

public interface TableWriter extends AutoCloseable {

    /**
     * @param column zero-based column index
     * @param width width, approximately in characters. (only for xlsx format)
     */
    void setColumnWidth(int column, int width);

    void writeLine(Object... columns) throws IOException;

    /**
     * @param column zero-based column index
     * @param pattern pattern to use to format columns (only for xlsx format)
     */
    void setColumnFormat(int column, String pattern);

    @Override
    void close() throws IOException;
}
