/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.io.match.shared.coord;

class CharIterator  {

    private final String string;
    private int index;
    
    public CharIterator(String string) {
        this.string = string;
    }

    public boolean hasNext() {
        return index < string.length();
    }

    public char next() {
        return string.charAt(index++);
    }

    /**
     * Tries to match the given string at the current position, advancing the iterator
     * and returning true if there is a match.
     */
    public boolean tryMatch(String toMatch) {
        if(hasNext() && string.substring(index).startsWith(toMatch)) {
            index += toMatch.length();
            return true;
        } else {
            return false;
        }
    }
    
    /**
     * Tries to match the given character at the current position, advancing the iterator
     * and returning true if there is a match.
     */
    public boolean tryMatch(char toMatch) {
        if(hasNext() && string.charAt(index) == toMatch) {
            index++;
            return true;
        } else {
            return false;
        }
    }

}
