/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.json;

import org.checkerframework.checker.nullness.qual.Nullable;

/**
 * An interface capable of serializing and deserializing a specific Java type
 * to and from {@link JsonValue}.
 *
 * <p>Intended to be used only on the server.</p>
 */
public interface JsonSerde {

    @Nullable
    Object fromJson(JsonValue jsonValue);

    JsonValue toJson(Object value);
}
