/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.json.impl;

import org.activityinfo.json.JsonType;
import org.activityinfo.json.JsonValue;
import org.checkerframework.checker.nullness.qual.Nullable;

import java.io.ObjectStreamException;

/**
 * Server-side implementation of JsonObject.
 */
class JreJsonNull extends JreJsonValue {

    private static final long serialVersionUID = 1L;

    public static final JsonValue NULL_INSTANCE = new JreJsonNull();

    @Override
    public double asNumber() {
        return 0;
    }

    @Override
    public boolean asBoolean() {
        return false;
    }

    @Override
    public @Nullable String asString() {
        return null;
    }

    public JsonType getType() {
        return JsonType.NULL;
    }

    @Override
    public int length() {
        return 0;
    }

    @Override
    public void traverse(JsonVisitor visitor, JsonContext ctx) {
        visitor.visitNull(ctx);
    }

    @Override
    public boolean isJsonNull() {
        return true;
    }

    public String toJson() {
        return "null";
    }

    @com.google.gwt.core.shared.GwtIncompatible
    private Object readResolve() throws ObjectStreamException {
        return NULL_INSTANCE;
    }
}
