/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.json.impl;

import org.activityinfo.json.JsonValue;

/**
 * Represents the current location where a value is stored, and allows
 * the value's replacement or deletion.
 */
abstract class JsonContext {

    private JsonValue value;

    private boolean isFirst = true;

    JsonContext(JsonValue value) {
        this.value = value;
    }

    /**
     * Return the underlying JsonValue (Array or Object) that backs the
     * context.
     */
    public JsonValue getValue() {
        return value;
    }

    /**
     * Whether or not the current context location within the value is the first
     * key or array index.
     */
    public boolean isFirst() {
        return isFirst;
    }

    public void setFirst(boolean first) {
        isFirst = first;
    }

    void setValue(JsonValue value) {
        this.value = value;
    }
}
