/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

/**
 * Describes the Activation state
 */
public enum ActivationStatus {
    /**
     * The email has no account in the system
     */
    NO_ACCOUNT,

    /**
     * The user has been invited to access a database, or started signing up for a free trial,
     * but has not confirmed their account.
     */
    PENDING,

    /**
     * The user has activated their account and accepted the terms of service.
     */
    ACTIVE,

    /**
     * The user no longer has access to any databases, nor do they have an active trial or billing
     * account.
     */
    INACTIVE,

    /**
     * The user has requested the closure of their account.
      */
    CLOSED;
}
