/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;

@AutoJson
@AutoBuilder
public class AddTestUserRequest {
    private final String email;
    private final String password;
    private final String name;
    private final PlatformRole platformRole;
    private final String locale;
    private final boolean trial;

    public AddTestUserRequest(String email, String password, String name, PlatformRole platformRole, String locale, boolean trial) {
        this.email = email;
        this.password = password;
        this.name = name;
        this.platformRole = platformRole;
        this.locale = locale;
        this.trial = trial;
    }

    public String getEmail() {
        return email;
    }

    public String getPassword() {
        return password;
    }

    public PlatformRole getPlatformRole() {
        return platformRole;
    }

    public String getLocale() {
        return locale;
    }

    public String getName() {
        return name;
    }

    public boolean isTrial() {
        return trial;
    }


}
