package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class AddTestUserRequestJson {
  public static JsonValue toJson(AddTestUserRequest model) {
    JsonValue object = Json.createObject();
    object.put("email", model.getEmail());
    object.put("password", model.getPassword());
    object.put("name", model.getName());
    object.put("platformRole", model.getPlatformRole().name());
    object.put("locale", model.getLocale());
    object.put("trial", model.isTrial());
    return object;
  }

  public static AddTestUserRequest fromJson(JsonValue object) {
    return new AddTestUserRequest(object.getString("email"),
        object.getString("password"),
        object.getString("name"),
        JsonArrays.enumFromJson(object.get("platformRole"), PlatformRole::valueOf, PlatformRole.NONE),
        object.getString("locale"),
        object.getBoolean("trial"));
  }
}
