/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.Builder;
import org.activityinfo.model.resource.ResourceId;

@AutoJson
public class ApiToken {

    private final ResourceId id;
    private final String label;
    private final AuthenticationScope scope;
    private final double timeCreated;
    private final double timeLastUsed;

    @Builder
    public ApiToken(ResourceId id, String label, AuthenticationScope scope, double timeCreated, double timeLastUsed) {
        this.id = id;
        this.label = label;
        this.scope = scope;
        this.timeCreated = timeCreated;
        this.timeLastUsed = timeLastUsed;
    }

    public ResourceId getId() {
        return id;
    }

    public String getLabel() {
        return label;
    }

    public double getTimeCreated() {
        return timeCreated;
    }

    public double getTimeLastUsed() {
        return timeLastUsed;
    }

    public AuthenticationScope getScope() {
        return scope;
    }
}
