package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class ApiTokenJson {
  public static JsonValue toJson(ApiToken model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId().asString());
    object.put("label", model.getLabel());
    object.put("scope", model.getScope().name());
    object.put("timeCreated", model.getTimeCreated());
    object.put("timeLastUsed", model.getTimeLastUsed());
    return object;
  }

  public static ApiToken fromJson(JsonValue object) {
    return new ApiToken(ResourceId.valueOf(object.getString("id")),
        object.getString("label"),
        JsonArrays.enumFromJson(object.get("scope"), AuthenticationScope::valueOf, AuthenticationScope.LOGIN),
        (double)object.getNumber("timeCreated"),
        (double)object.getNumber("timeLastUsed"));
  }
}
