/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

/**
 * Describes the method by which a user has authenticated with the server.
 */
public enum AuthMethod {

    /**
     * Authenticated via username and password
     */
    PASSWORD,

    /**
     * Authenticated via an email link
     */
    EMAIL,

    /**
     * Authenticated with a mobile invitation code
     */
    MOBILE_CODE,

    /**
     * Authenticated via Humanitarian id or another Identity provider (IdP)
     */
    OAUTH;
}
