/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;

import java.util.Optional;

/**
 * Describes a device/browser that is authenticated on behalf of a user.
 */
@AutoJson
@AutoBuilder
public class AuthenticatedDevice {
    private String id;
    private Optional<DeviceProfile> deviceProfile;
    private String location;
    private double authenticationTime;
    private double expirationTime;

    public AuthenticatedDevice(String id, Optional<DeviceProfile> deviceProfile, String location, double authenticationTime, double expirationTime) {
        this.id = id;
        this.deviceProfile = deviceProfile;
        this.location = location;
        this.authenticationTime = authenticationTime;
        this.expirationTime = expirationTime;
    }

    public String getId() {
        return id;
    }

    public Optional<DeviceProfile> getDeviceProfile() {
        return deviceProfile;
    }

    public String getLocation() {
        return location;
    }

    public double getAuthenticationTime() {
        return authenticationTime;
    }

    public double getExpirationTime() {
        return expirationTime;
    }
}
