package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class AuthenticatedDeviceJson {
  public static JsonValue toJson(AuthenticatedDevice model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("deviceProfile", JsonArrays.optionalToJson(model.getDeviceProfile(), DeviceProfileJson::toJson));
    object.put("location", model.getLocation());
    object.put("authenticationTime", model.getAuthenticationTime());
    object.put("expirationTime", model.getExpirationTime());
    return object;
  }

  public static AuthenticatedDevice fromJson(JsonValue object) {
    return new AuthenticatedDevice(object.getString("id"),
        JsonArrays.optionalFromJson(object.get("deviceProfile"), DeviceProfileJson::fromJson),
        object.getString("location"),
        (double)object.getNumber("authenticationTime"),
        (double)object.getNumber("expirationTime"));
  }
}
