package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class BillingAccountJson {
  public static JsonValue toJson(BillingAccount model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("name", model.getName());
    object.put("trial", model.isTrial());
    object.put("expirationTime", model.getExpirationTime());
    object.put("userLimit", model.getUserLimit());
    object.put("userCount", model.getUserCount());
    object.put("adminUserCount", model.getAdminUserCount());
    object.put("reportingUserCount", model.getReportingUserCount());
    object.put("databaseCount", model.getDatabaseCount());
    object.put("expectedPaymentTime", model.getExpectedPaymentTime());
    object.put("status", model.getStatus().name());
    object.put("staleCounts", model.isStaleCounts());
    object.put("planName", model.getPlanName());
    object.put("automaticCollection", model.isAutomaticCollection());
    return object;
  }

  public static BillingAccount fromJson(JsonValue object) {
    return new BillingAccount((long)object.getNumber("id"),
        object.getString("name"),
        object.getBoolean("trial"),
        (double)object.getNumber("expirationTime"),
        (int)object.getNumber("userLimit"),
        (int)object.getNumber("userCount"),
        (int)object.getNumber("adminUserCount"),
        (int)object.getNumber("reportingUserCount"),
        (int)object.getNumber("databaseCount"),
        (double)object.getNumber("expectedPaymentTime"),
        JsonArrays.enumFromJson(object.get("status"), BillingAccountStatus::valueOf, BillingAccountStatus.ACTIVE),
        object.getBoolean("staleCounts"),
        object.getString("planName"),
        object.getBoolean("automaticCollection"));
  }
}
