package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class BillingRoleAssignmentJson {
  public static JsonValue toJson(BillingRoleAssignment model) {
    JsonValue object = Json.createObject();
    object.put("billingAccountId", model.getBillingAccountId());
    object.put("role", model.getRole().name());
    return object;
  }

  public static BillingRoleAssignment fromJson(JsonValue object) {
    return new BillingRoleAssignment((long)object.getNumber("billingAccountId"),
        JsonArrays.enumFromJson(object.get("role"), BillingAccountRole::valueOf, BillingAccountRole.OWNER));
  }
}
