/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

public enum  DeliveryStatus {

    /**
     * No record of email delivery is available for this user.
     */
    UNKNOWN,

    /**
     * Email has been successfully delivered to this user.
     */
    OK,

    /**
     * Attempts to email this user failed with a "hard bounce," meaning that
     * the account does not exist, or the domain is not accepting email.
     */
    HARD_BOUNCE,

    /**
     * Attempts to email this user were rejected as spam by their mail server.
     * No additional attempt will be made to send email to this user.
     */
    SPAM_COMPLAINT,

    /**
     * Mail to this address have been manually blocked by ActivityInfo support staff.
     */
    MANUAL_SUPPRESSION
}
