/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.Builder;

@AutoJson
public class GenerateApiTokenRequest {
    private final String label;
    private final AuthenticationScope scope;

    @Builder
    public GenerateApiTokenRequest(String label, AuthenticationScope scope) {
        this.label = label;
        this.scope = scope;
    }

    public String getLabel() {
        return label;
    }

    public AuthenticationScope getScope() {
        return scope;
    }
}
