/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

public class Initials {
    public static String initials(String userName) {
        String t = userName.trim()
                .toUpperCase()
                .replaceAll("\\bD'", "");

        if(t.isEmpty()) {
            return t;
        }
        // If this name has exactly two word, then use
        // two-letter initials.
        String[] parts = t.split("\\s+");
        if(parts.length == 2) {
            return parts[0].substring(0, 1) + parts[1].substring(0, 1);
        }

        // Otherwise, fall back to one-letter initial
        return parts[0].substring(0, 1);
    }
}
