/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.promise.HttpError;

public enum TransferBillingAccountRoleResult implements HttpError {
    TRANSFERRED(200),
    PERMISSION_DENIED(FORBIDDEN_403),
    BILLING_ACCOUNT_NOT_FOUND(NOT_FOUND_404),
    EXISTING_USER_NOT_FOUND(BAD_REQUEST_400),
    TRANSFEREE_HAS_NO_ACCOUNT(BAD_REQUEST_400);

    private int statusCode;

    TransferBillingAccountRoleResult(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
