package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class TransitionBillingAccountRequestJson {
  public static JsonValue toJson(TransitionBillingAccountRequest model) {
    JsonValue object = Json.createObject();
    object.put("billingAccountId", model.getBillingAccountId());
    object.put("status", model.getStatus().name());
    object.put("notify", model.isNotify());
    return object;
  }

  public static TransitionBillingAccountRequest fromJson(JsonValue object) {
    return new TransitionBillingAccountRequest((long)object.getNumber("billingAccountId"),
        JsonArrays.enumFromJson(object.get("status"), BillingAccountStatus::valueOf, BillingAccountStatus.ACTIVE),
        object.getBoolean("notify"));
  }
}
