/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;

@AutoJson
public class TrialProfile {

    private final double lastLoginTime;
    private final String lastLoginLocation;
    private final String email;
    private final long capsuleId;
    private final double capsuleLastContact;

    public TrialProfile(double lastLoginTime, String lastLoginLocation, String email, long capsuleId, double capsuleLastContact) {
        this.lastLoginTime = lastLoginTime;
        this.lastLoginLocation = lastLoginLocation;
        this.email = email;
        this.capsuleId = capsuleId;
        this.capsuleLastContact = capsuleLastContact;
    }

    public double getLastLoginTime() {
        return lastLoginTime;
    }

    public String getLastLoginLocation() {
        return lastLoginLocation;
    }

    public String getEmail() {
        return email;
    }

    public long getCapsuleId() {
        return capsuleId;
    }

    public double getCapsuleLastContact() {
        return capsuleLastContact;
    }
}
