/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;

import java.util.Optional;

@AutoJson
@AutoBuilder
public class UpdateBillingAccountRequest {

    private final Optional<String> name;
    private final Optional<Boolean> trial;
    private final Optional<String> planName;
    private final Optional<Double> expireTime;
    private final Optional<Integer> userLimit;
    private final Optional<Double> expectedPaymentTime;

    public UpdateBillingAccountRequest(Optional<String> name, Optional<Boolean> trial, Optional<String> planName, Optional<Double> expireTime, Optional<Integer> userLimit, Optional<Double> expectedPaymentTime) {
        this.name = name;
        this.trial = trial;
        this.planName = planName;
        this.expireTime = expireTime;
        this.userLimit = userLimit;
        this.expectedPaymentTime = expectedPaymentTime;
    }

    public Optional<String> getName() {
        return name;
    }

    public Optional<Boolean> getTrial() {
        return trial;
    }

    public Optional<String> getPlanName() {
        return planName;
    }

    public Optional<Double> getExpireTime() {
        return expireTime;
    }

    public Optional<Integer> getUserLimit() {
        return userLimit;
    }

    public Optional<Double> getExpectedPaymentTime() {
        return expectedPaymentTime;
    }
}
