package org.activityinfo.model.account;

import java.lang.Boolean;
import java.lang.Double;
import java.lang.Integer;
import java.lang.String;
import java.util.Optional;
import javax.annotation.Nonnull;

public final class UpdateBillingAccountRequestBuilder {
  Optional<String> name = Optional.empty();

  Optional<Boolean> trial = Optional.empty();

  Optional<String> planName = Optional.empty();

  Optional<Double> expireTime = Optional.empty();

  Optional<Integer> userLimit = Optional.empty();

  Optional<Double> expectedPaymentTime = Optional.empty();

  public UpdateBillingAccountRequestBuilder() {
  }

  public UpdateBillingAccountRequestBuilder(UpdateBillingAccountRequest toCopy) {
    this.name = toCopy.getName();
    this.trial = toCopy.getTrial();
    this.planName = toCopy.getPlanName();
    this.expireTime = toCopy.getExpireTime();
    this.userLimit = toCopy.getUserLimit();
    this.expectedPaymentTime = toCopy.getExpectedPaymentTime();
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder name(@Nonnull String value) {
    this.name = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder name(@Nonnull Optional<String> value) {
    this.name = value;
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder trial(@Nonnull Boolean value) {
    this.trial = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder trial(@Nonnull Optional<Boolean> value) {
    this.trial = value;
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder planName(@Nonnull String value) {
    this.planName = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder planName(@Nonnull Optional<String> value) {
    this.planName = value;
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder expireTime(@Nonnull Double value) {
    this.expireTime = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder expireTime(@Nonnull Optional<Double> value) {
    this.expireTime = value;
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder userLimit(@Nonnull Integer value) {
    this.userLimit = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder userLimit(@Nonnull Optional<Integer> value) {
    this.userLimit = value;
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder expectedPaymentTime(@Nonnull Double value) {
    this.expectedPaymentTime = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequestBuilder expectedPaymentTime(@Nonnull Optional<Double> value) {
    this.expectedPaymentTime = value;
    return this;
  }

  @Nonnull
  public UpdateBillingAccountRequest build() {
    return new UpdateBillingAccountRequest(name,trial,planName,expireTime,userLimit,expectedPaymentTime);
  }
}
