package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class UpdateBillingAccountRequestJson {
  public static JsonValue toJson(UpdateBillingAccountRequest model) {
    JsonValue object = Json.createObject();
    object.put("name", JsonArrays.optionalToJson(model.getName(), Json::create));
    object.put("trial", JsonArrays.optionalToJson(model.getTrial(), JsonArrays::boolToJson));
    object.put("planName", JsonArrays.optionalToJson(model.getPlanName(), Json::create));
    object.put("expireTime", JsonArrays.optionalToJson(model.getExpireTime(), JsonArrays::doubleToJson));
    object.put("userLimit", JsonArrays.optionalToJson(model.getUserLimit(), JsonArrays::intToJson));
    object.put("expectedPaymentTime", JsonArrays.optionalToJson(model.getExpectedPaymentTime(), JsonArrays::doubleToJson));
    return object;
  }

  public static UpdateBillingAccountRequest fromJson(JsonValue object) {
    return new UpdateBillingAccountRequest(JsonArrays.optionalFromJson(object.get("name"), JsonValue::asString),
        JsonArrays.optionalFromJson(object.get("trial"), JsonValue::asBoolean),
        JsonArrays.optionalFromJson(object.get("planName"), JsonValue::asString),
        JsonArrays.optionalFromJson(object.get("expireTime"), JsonValue::asNumber),
        JsonArrays.optionalFromJson(object.get("userLimit"), JsonValue::asInt),
        JsonArrays.optionalFromJson(object.get("expectedPaymentTime"), JsonValue::asNumber));
  }
}
