package org.activityinfo.model.account;

import org.activityinfo.i18n.shared.ApplicationLocale;
import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class UpdateProfileRequestJson {
  public static JsonValue toJson(UpdateProfileRequest model) {
    JsonValue object = Json.createObject();
    object.put("name", JsonArrays.optionalToJson(model.getName(), Json::create));
    object.put("locale", JsonArrays.optionalToJson(model.getLocale(), JsonArrays::toJsonString));
    return object;
  }

  public static UpdateProfileRequest fromJson(JsonValue object) {
    return new UpdateProfileRequest(JsonArrays.optionalFromJson(object.get("name"), JsonValue::asString),
        JsonArrays.optionalFromJson(object.get("locale"), j -> ApplicationLocale.valueOf(j.asString().toUpperCase())));
  }
}
