/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;

@AutoJson
public class UserSession {
    private final double time;
    private final String location;
    private final String device;
    private final AuthMethod authMethod;

    public UserSession(double time, String location, String device, AuthMethod authMethod) {
        this.time = time;
        this.location = location;
        this.device = device;
        this.authMethod = authMethod;
    }

    public double getTime() {
        return time;
    }

    public String getLocation() {
        return location;
    }

    public String getDevice() {
        return device;
    }

    public AuthMethod getAuthMethod() {
        return authMethod;
    }
}
