package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class UserSessionJson {
  public static JsonValue toJson(UserSession model) {
    JsonValue object = Json.createObject();
    object.put("time", model.getTime());
    object.put("location", model.getLocation());
    object.put("device", model.getDevice());
    object.put("authMethod", model.getAuthMethod().name());
    return object;
  }

  public static UserSession fromJson(JsonValue object) {
    return new UserSession((double)object.getNumber("time"),
        object.getString("location"),
        object.getString("device"),
        JsonArrays.enumFromJson(object.get("authMethod"), AuthMethod::valueOf, AuthMethod.PASSWORD));
  }
}
