package org.activityinfo.model.analysis;

import java.lang.String;
import javax.annotation.Nonnull;

public final class AnalysisBuilder {
  private String id = "";

  private AnalysisModel model;

  public AnalysisBuilder() {
    id = "";
  }

  public AnalysisBuilder(Analysis toCopy) {
    this.id = toCopy.getId();
    this.model = toCopy.getModel();
  }

  @Nonnull
  public AnalysisBuilder id(@Nonnull String id) {
    this.id = id;
    return this;
  }

  @Nonnull
  public AnalysisBuilder model(@Nonnull AnalysisModel model) {
    this.model = model;
    return this;
  }

  @Nonnull
  public Analysis build() {
    assert this.id != null : "id is missing";
    assert this.model != null : "model is missing";
    return new Analysis(id,model);
  }
}
