/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis;

import org.activityinfo.json.AutoJson;

import java.util.List;

@AutoJson
public class PublishedReport {
    private final String id;
    private final String label;
    private final ReportLayout layout;
    private final List<ReportComponent> components;

    public PublishedReport(String id, String label, ReportLayout layout, List<ReportComponent> components) {
        this.id = id;
        this.label = label;
        this.layout = layout;
        this.components = components;
    }

    public String getId() {
        return id;
    }

    public String getLabel() {
        return label;
    }

    public ReportLayout getLayout() {
        return layout;
    }

    public List<ReportComponent> getComponents() {
        return components;
    }
}
