package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class PublishedReportJson {
  public static JsonValue toJson(PublishedReport model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("label", model.getLabel());
    object.put("layout", model.getLayout().name());
    object.put("components", JsonArrays.toJsonArray(model.getComponents(), ReportComponentJson::toJson));
    return object;
  }

  public static PublishedReport fromJson(JsonValue object) {
    return new PublishedReport(object.getString("id"),
        object.getString("label"),
        JsonArrays.enumFromJson(object.get("layout"), ReportLayout::valueOf, ReportLayout.SINGLE),
        JsonArrays.listFromJson(object.get("components"), ReportComponentJson::fromJson));
  }
}
