package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class ReportComponentJson {
  public static JsonValue toJson(ReportComponent model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("type", model.getType().name());
    object.put("content", JsonArrays.optionalToJson(model.getContent(), Json::create));
    object.put("analysisType", JsonArrays.optionalToJson(model.getAnalysisType(), Json::create));
    object.put("visible", model.isVisible());
    return object;
  }

  public static ReportComponent fromJson(JsonValue object) {
    return new ReportComponent(object.getString("id"),
        JsonArrays.optionalFromJson(object.get("content"), JsonValue::asString),
        object.getBoolean("visible"),
        JsonArrays.enumFromJson(object.get("type"), ReportComponentType::valueOf, ReportComponentType.SECTION_HEADER),
        JsonArrays.optionalFromJson(object.get("analysisType"), JsonValue::asString));
  }
}
