package org.activityinfo.model.analysis;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import javax.annotation.Nonnull;

public final class ReportGrantSetBuilder {
  List<ReportRoleGrant> roles = new ArrayList();

  public ReportGrantSetBuilder() {
    this.roles = new ArrayList();
  }

  public ReportGrantSetBuilder(ReportGrantSet toCopy) {
    this.roles = new ArrayList(toCopy.getRoles());
  }

  @Nonnull
  public ReportGrantSetBuilder addRoles(@Nonnull Collection<ReportRoleGrant> collection) {
    this.roles.addAll(collection);
    return this;
  }

  @Nonnull
  public ReportGrantSetBuilder addRole(@Nonnull ReportRoleGrant element) {
    this.roles.add(element);
    return this;
  }

  @Nonnull
  public ReportGrantSetBuilder removeRole(@Nonnull ReportRoleGrant element) {
    this.roles.remove(element);
    return this;
  }

  public ReportGrantSetBuilder addRoles(@Nonnull ReportRoleGrant... array) {
    this.roles.addAll(Arrays.asList(array));
    return this;
  }

  @Nonnull
  public ReportGrantSetBuilder roles(@Nonnull ReportRoleGrant... array) {
    return roles(Arrays.asList(array));
  }

  @Nonnull
  public ReportGrantSetBuilder roles(@Nonnull Collection<ReportRoleGrant> collection) {
    this.roles.clear();
    this.roles.addAll(collection);
    return this;
  }

  @Nonnull
  public ReportGrantSet build() {
    return new ReportGrantSet(roles);
  }
}
