package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class ReportHeaderJson {
  public static JsonValue toJson(ReportHeader model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("label", model.getLabel());
    object.put("icon", model.getIcon());
    object.put("pivotSource", model.isPivotSource());
    object.put("published", model.isPublished());
    object.put("shared", model.isShared());
    object.put("owned", model.isOwned());
    object.put("lastUpdateTime", model.getLastUpdateTime());
    return object;
  }

  public static ReportHeader fromJson(JsonValue object) {
    return new ReportHeader(object.getString("id"),
        object.getString("label"),
        object.getString("icon"),
        object.getBoolean("pivotSource"),
        object.getBoolean("published"),
        object.getBoolean("shared"),
        object.getBoolean("owned"),
        (double)object.getNumber("lastUpdateTime"));
  }
}
