package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class ReportRoleGrantJson {
  public static JsonValue toJson(ReportRoleGrant model) {
    JsonValue object = Json.createObject();
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("roleId", JsonArrays.optionalToJson(model.getRoleId(), ResourceId::toJson));
    object.put("permission", model.getPermission().name());
    return object;
  }

  public static ReportRoleGrant fromJson(JsonValue object) {
    return new ReportRoleGrant(ResourceId.valueOf(object.getString("databaseId")),
        JsonArrays.optionalFromJson(object.get("roleId"), ResourceId::fromJson),
        JsonArrays.enumFromJson(object.get("permission"), ReportPermission::valueOf, ReportPermission.NONE));
  }
}
