package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class ReportSourcesJson {
  public static JsonValue toJson(ReportSources model) {
    JsonValue object = Json.createObject();
    object.put("forms", JsonArrays.toJsonArray(model.getForms(), ResourceId::toJson));
    object.put("reports", JsonArrays.toJsonArray(model.getReports(), ResourceId::toJson));
    return object;
  }

  public static ReportSources fromJson(JsonValue object) {
    return new ReportSources(JsonArrays.setFromJson(object.get("forms"), ResourceId::fromJson),
        JsonArrays.setFromJson(object.get("reports"), ResourceId::fromJson));
  }
}
