package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class TableAnalysisModelJson {
  public static JsonValue toJson(TableAnalysisModel model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId().asString());
    object.put("columns", JsonArrays.toJsonArray(model.getColumns(), TableColumnJson::toJson));
    object.put("ordering", JsonArrays.toJsonArray(model.getOrdering(), SortOrderJson::toJson));
    object.put("filter", JsonArrays.optionalToJson(model.getFilter(), Json::create));
    return object;
  }

  public static TableAnalysisModel fromJson(JsonValue object) {
    return new TableAnalysisModel(ResourceId.valueOf(object.getString("formId")),
        JsonArrays.listFromJson(object.get("columns"), TableColumnJson::fromJson),
        JsonArrays.listFromJson(object.get("ordering"), SortOrderJson::fromJson),
        JsonArrays.optionalFromJson(object.get("filter"), JsonValue::asString));
  }
}
