package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class TableColumnJson {
  public static JsonValue toJson(TableColumn model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("label", JsonArrays.optionalToJson(model.getLabel(), Json::create));
    object.put("width", model.getWidth());
    object.put("formula", model.getFormula());
    return object;
  }

  public static TableColumn fromJson(JsonValue object) {
    return new TableColumn(object.getString("id"),
        JsonArrays.optionalFromJson(object.get("label"), JsonValue::asString),
        (int)object.getNumber("width"),
        object.getString("formula"));
  }
}
