/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;
import org.activityinfo.model.annotation.Builder;

import java.util.List;
import java.util.Optional;

@AutoJson
@AutoBuilder
public final class UpdateReportRequest {

    private final String id;
    private final Optional<String> label;
    private final Optional<ReportLayout> layout;
    private final Optional<ReportSources> sources;
    private final List<ReportComponent> components;
    private final Optional<Boolean> publish;
    private final List<ReportRoleGrant> roleGrants;
    private final List<Analysis> analyses;


    @Builder
    public UpdateReportRequest(String id,
                               Optional<String> label,
                               Optional<ReportSources> sources,
                               List<ReportComponent> components,
                               Optional<Boolean> publish,
                               List<ReportRoleGrant> roleGrants,
                               List<Analysis> analyses,
                               Optional<ReportLayout> layout) {
        this.id = id;
        this.label = label;
        this.sources = sources;
        this.components = components;
        this.publish = publish;
        this.roleGrants = roleGrants;
        this.analyses = analyses;
        this.layout = layout;
    }

    public String getId() {
        return id;
    }

    public Optional<String> getLabel() {
        return label;
    }

    public Optional<ReportSources> getSources() {
        return sources;
    }

    public List<ReportComponent> getComponents() {
        return components;
    }

    public Optional<Boolean> getPublish() {
        return publish;
    }

    public List<ReportRoleGrant> getRoleGrants() {
        return roleGrants;
    }

    public List<Analysis> getAnalyses() {
        return analyses;
    }

    public Optional<ReportLayout> getLayout() {
        return layout;
    }

}
