package org.activityinfo.model.analysis.map;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class IconModelJson {
  public static JsonValue toJson(IconModel model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("label", model.getLabel());
    object.put("keywords", JsonArrays.toJsonArray(model.getKeywords(), Json::create));
    object.put("path", model.getPath());
    return object;
  }

  public static IconModel fromJson(JsonValue object) {
    return new IconModel(object.getString("id"),
        object.getString("label"),
        JsonArrays.listFromJson(object.get("keywords"), JsonValue::asString),
        object.getString("path"));
  }
}
