/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis.map;

import org.activityinfo.i18n.shared.I18N;

import java.util.ArrayList;
import java.util.List;

public enum LayerType {

    PROPORTIONAL_CIRCLE {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.proportionalCircle();
        }
    },
    ICON {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.icon();
        }
    };

    LayerType() {}

    public abstract String getLabel();

    public static List<String> labels() {
        List<String> labels = new ArrayList<>();
        for (LayerType type : values()) {
            labels.add(type.getLabel());
        }
        return labels;
    }

}
