package org.activityinfo.model.analysis.map;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.type.geo.GeoPoint;

public final class MapModelJson {
  public static JsonValue toJson(MapModel model) {
    JsonValue object = Json.createObject();
    object.put("baseMap", model.getBaseMap());
    object.put("layers", JsonArrays.toJsonArray(model.getLayers(), LayerJson::toJson));
    object.put("zoomLevel", model.getZoomLevel());
    object.put("center", model.getCenter().toJson());
    return object;
  }

  public static MapModel fromJson(JsonValue object) {
    return new MapModel(object.getString("baseMap"),
        JsonArrays.listFromJson(object.get("layers"), LayerJson::fromJson),
        (double)object.getNumber("zoomLevel"),
        GeoPoint.fromJson(object.get("center")));
  }
}
