/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis.pivot;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.resource.ResourceId;

/**
 * An ad hoc calculated field that the user has added to a report model.
 */
@AutoJson
public class CalculatedField {
    private ResourceId formId;
    private ResourceId calculationId;
    private String formula;

    public CalculatedField(ResourceId formId, ResourceId calculationId, String formula) {
        this.formId = formId;
        this.calculationId = calculationId;
        this.formula = formula;
    }

    public ResourceId getCalculationId() {
        return calculationId;
    }

    public ResourceId getFormId() {
        return formId;
    }

    public String getFormula() {
        return formula;
    }
}
