package org.activityinfo.model.analysis.pivot;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class CalculatedFieldJson {
  public static JsonValue toJson(CalculatedField model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId().asString());
    object.put("calculationId", model.getCalculationId().asString());
    object.put("formula", model.getFormula());
    return object;
  }

  public static CalculatedField fromJson(JsonValue object) {
    return new CalculatedField(ResourceId.valueOf(object.getString("formId")),
        ResourceId.valueOf(object.getString("calculationId")),
        object.getString("formula"));
  }
}
