package org.activityinfo.model.analysis.pivot;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class CategoryMappingJson {
  public static JsonValue toJson(CategoryMapping model) {
    JsonValue object = Json.createObject();
    object.put("label", model.getLabel());
    object.put("source", JsonArrays.toJsonArray(model.getSource(), Json::create));
    object.put("visible", model.isVisible());
    return object;
  }

  public static CategoryMapping fromJson(JsonValue object) {
    return new CategoryMapping(object.getString("label"),
        JsonArrays.setFromJson(object.get("source"), JsonValue::asString),
        object.getBoolean("visible"));
  }
}
