/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis.pivot;

import org.activityinfo.i18n.shared.I18N;

public enum DateLevel {
    DATE{ //YYYY-MM-dd
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.fieldTypeDate();
        }
    },
    WEEK{ //YYYYW31
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.weekFieldLabel();
        }
    },
    MONTH{ //YYYY-MM
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.month();
        }
    },
    QUARTER{ //YYYYQ3
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.quarter();
        }
    },
    YEAR{ //YYYY
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.year();
        }
    },
    WEEKYEAR{ //W42
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.weekOfYear();
        }
    },
    MONTHYEAR{ //M
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.monthOfYear();
        }
    },
    QUARTERYEAR{ //Q1
        @Override
        public String getLabel(){
            return I18N.CONSTANTS.quarterOfYear();
        }
    };

    public abstract String getLabel();
}
