package org.activityinfo.model.analysis.pivot;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class MeasureModelJson {
  public static JsonValue toJson(MeasureModel model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("code", model.getCode());
    object.put("label", model.getLabel());
    object.put("formId", model.getFormId().asString());
    object.put("formula", model.getFormula());
    object.put("statistics", JsonArrays.toJsonArrayFromEnums(model.getStatistics()));
    return object;
  }

  public static MeasureModel fromJson(JsonValue object) {
    return new MeasureModel(object.getString("id"),
        object.getString("code"),
        object.getString("label"),
        ResourceId.valueOf(object.getString("formId")),
        object.getString("formula"),
        JsonArrays.setFromJson(object.get("statistics"), j -> Statistic.valueOf(j.asString().toUpperCase())));
  }
}
