package org.activityinfo.model.analysis.pivot;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class PivotModelJson {
  public static JsonValue toJson(PivotModel model) {
    JsonValue object = Json.createObject();
    object.put("visualization", model.getVisualization().name());
    object.put("measures", JsonArrays.toJsonArray(model.getMeasures(), MeasureModelJson::toJson));
    object.put("dimensions", JsonArrays.toJsonArray(model.getDimensions(), DimensionModelJson::toJson));
    return object;
  }

  public static PivotModel fromJson(JsonValue object) {
    return new PivotModel(JsonArrays.enumFromJson(object.get("visualization"), VisualizationType::valueOf, VisualizationType.TABLE),
        JsonArrays.listFromJson(object.get("measures"), MeasureModelJson::fromJson),
        JsonArrays.listFromJson(object.get("dimensions"), DimensionModelJson::fromJson));
  }
}
