/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.collectionLink;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;
import org.activityinfo.model.resource.ResourceId;

@AutoJson
@AutoBuilder
public class CollectionLink {

    private final ResourceId formId;
    private final String linkId;
    private final ResourceId databaseId;
    private final CollectionLinkStatus status;

    public CollectionLink(ResourceId formId, String linkId, ResourceId databaseId, CollectionLinkStatus status) {
        this.formId = formId;
        this.linkId = linkId;
        this.databaseId = databaseId;
        this.status = status;
    }

    public ResourceId getFormId() {
        return formId;
    }

    public String getLinkId() {
        return linkId;
    }

    public ResourceId getDatabaseId() {
        return databaseId;
    }

    public CollectionLinkStatus getStatus() {
        return status;
    }

}
