package org.activityinfo.model.collectionLink;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class CollectionLinkJson {
  public static JsonValue toJson(CollectionLink model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId().asString());
    object.put("linkId", model.getLinkId());
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("status", model.getStatus().name());
    return object;
  }

  public static CollectionLink fromJson(JsonValue object) {
    return new CollectionLink(ResourceId.valueOf(object.getString("formId")),
        object.getString("linkId"),
        ResourceId.valueOf(object.getString("databaseId")),
        JsonArrays.enumFromJson(object.get("status"), CollectionLinkStatus::valueOf, CollectionLinkStatus.OPEN));
  }
}
