/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.collectionLink;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.database.RecordLockSet;
import org.activityinfo.model.formTree.FormTree;
import org.activityinfo.model.resource.ResourceId;

import java.util.Optional;

/**
 * Includes all the information required to construct the collection link form.
 */
@AutoJson
public class CollectionLinkMetadata {
    private ResourceId linkId;
    private String label;
    private Optional<FormTree> formTree;
    private RecordLockSet lockSet;

    public CollectionLinkMetadata(ResourceId linkId, String label, Optional<FormTree> formTree, RecordLockSet lockSet) {
        this.linkId = linkId;
        this.label = label;
        this.formTree = formTree;
        this.lockSet = lockSet;
    }

    public ResourceId getLinkId() {
        return linkId;
    }

    public Optional<FormTree> getFormTree() {
        return formTree;
    }

    public String getLabel() {
        return label;
    }

    public RecordLockSet getLockSet() {
        return lockSet;
    }
}
