package org.activityinfo.model.collectionLink;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.database.RecordLockSet;
import org.activityinfo.model.formTree.FormTree;
import org.activityinfo.model.resource.ResourceId;

public final class CollectionLinkMetadataJson {
  public static JsonValue toJson(CollectionLinkMetadata model) {
    JsonValue object = Json.createObject();
    object.put("linkId", model.getLinkId().asString());
    object.put("label", model.getLabel());
    object.put("formTree", JsonArrays.optionalToJson(model.getFormTree(), FormTree::toJson));
    object.put("lockSet", model.getLockSet().toJson());
    return object;
  }

  public static CollectionLinkMetadata fromJson(JsonValue object) {
    return new CollectionLinkMetadata(ResourceId.valueOf(object.getString("linkId")),
        object.getString("label"),
        JsonArrays.optionalFromJson(object.get("formTree"), FormTree::fromJson),
        RecordLockSet.fromJson(object.get("lockSet")));
  }
}
