/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.collectionLink;

import org.activityinfo.promise.HttpError;

public enum OpenCollectionLinkError implements HttpError  {

    /**
     * The databaseId specified in the request does not exist.
     */
    DATABASE_DOES_NOT_EXIST(BAD_REQUEST_400),

    /**
     * One of the forms or folders specified in the request does not exist.
     */
    RESOURCE_DOES_NOT_EXIST(BAD_REQUEST_400),

    /**
     * You do not have the "Manage collection links" permission.
     */
    PERMISSION_DENIED(FORBIDDEN_403),

    /**
     * A collection link with the same ID has already been added to a different database
     */
    COLLECTION_LINK_EXISTS_IN_DIFFERENT_DATABASE(BAD_REQUEST_400),

    INVALID_LOCALE(BAD_REQUEST_400),

    INVALID_LABEL(BAD_REQUEST_400);

    private int statusCode;

    OpenCollectionLinkError(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
