/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.collectionLink;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.resource.ResourceId;

@AutoJson
public class OpenCollectionLinkRequest {
    private final ResourceId formId;
    private final String label;
    private final ResourceId databaseId;
    private final String locale;

    public OpenCollectionLinkRequest(ResourceId formId, String label, ResourceId databaseId, String locale) {
        this.formId = formId;
        this.label = label;
        this.databaseId = databaseId;
        this.locale = locale;
    }

    public ResourceId getFormId() {
        return formId;
    }

    public String getLabel() {
        return label;
    }

    public ResourceId getDatabaseId() {
        return databaseId;
    }

    public String getLocale() {
        return locale;
    }

}
