package org.activityinfo.model.collectionLink;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class OpenCollectionLinkRequestJson {
  public static JsonValue toJson(OpenCollectionLinkRequest model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId().asString());
    object.put("label", model.getLabel());
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("locale", model.getLocale());
    return object;
  }

  public static OpenCollectionLinkRequest fromJson(JsonValue object) {
    return new OpenCollectionLinkRequest(ResourceId.valueOf(object.getString("formId")),
        object.getString("label"),
        ResourceId.valueOf(object.getString("databaseId")),
        object.getString("locale"));
  }
}
