/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.collectionLink;


import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;
import org.activityinfo.model.annotation.Builder;

import java.util.Optional;

@AutoJson
@AutoBuilder
public class UpdateCollectionLinkRequest {

    private final String formId;
    private final String linkId;
    private final Optional<String> label;
    private final Optional<String> locale;
    private final Optional<CollectionLinkStatus> status;


    @Builder
    public UpdateCollectionLinkRequest(String formId,
                                       String linkId,
                                       Optional<String> label,
                                       Optional<String> locale,
                                       Optional<CollectionLinkStatus> status) {
        this.formId = formId;
        this.linkId = linkId;
        this.label = label;
        this.locale = locale;
        this.status = status;
    }

    public String getFormId() {
        return formId;
    }

    public String getLinkId() {
        return linkId;
    }

    public Optional<String> getLabel() {
        return label;
    }

    public Optional<String> getLocale() {
        return locale;
    }

    public Optional<CollectionLinkStatus> getStatus() {
        return status;
    }
}

