package org.activityinfo.model.collectionLink;

import java.lang.String;
import java.util.Optional;
import javax.annotation.Nonnull;

public final class UpdateCollectionLinkRequestBuilder {
  private String formId = "";

  private String linkId = "";

  Optional<String> label = Optional.empty();

  Optional<String> locale = Optional.empty();

  Optional<CollectionLinkStatus> status = Optional.empty();

  public UpdateCollectionLinkRequestBuilder() {
    formId = "";
    linkId = "";
  }

  public UpdateCollectionLinkRequestBuilder(UpdateCollectionLinkRequest toCopy) {
    this.formId = toCopy.getFormId();
    this.linkId = toCopy.getLinkId();
    this.label = toCopy.getLabel();
    this.locale = toCopy.getLocale();
    this.status = toCopy.getStatus();
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder formId(@Nonnull String formId) {
    this.formId = formId;
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder linkId(@Nonnull String linkId) {
    this.linkId = linkId;
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder label(@Nonnull String value) {
    this.label = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder label(@Nonnull Optional<String> value) {
    this.label = value;
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder locale(@Nonnull String value) {
    this.locale = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder locale(@Nonnull Optional<String> value) {
    this.locale = value;
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder status(@Nonnull CollectionLinkStatus value) {
    this.status = Optional.of(value);
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequestBuilder status(@Nonnull Optional<CollectionLinkStatus> value) {
    this.status = value;
    return this;
  }

  @Nonnull
  public UpdateCollectionLinkRequest build() {
    assert this.formId != null : "formId is missing";
    assert this.linkId != null : "linkId is missing";
    return new UpdateCollectionLinkRequest(formId,linkId,label,locale,status);
  }
}
