package org.activityinfo.model.collectionLink;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class UpdateCollectionLinkRequestJson {
  public static JsonValue toJson(UpdateCollectionLinkRequest model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId());
    object.put("linkId", model.getLinkId());
    object.put("label", JsonArrays.optionalToJson(model.getLabel(), Json::create));
    object.put("locale", JsonArrays.optionalToJson(model.getLocale(), Json::create));
    object.put("status", JsonArrays.optionalToJson(model.getStatus(), JsonArrays::toJsonString));
    return object;
  }

  public static UpdateCollectionLinkRequest fromJson(JsonValue object) {
    return new UpdateCollectionLinkRequest(object.getString("formId"),
        object.getString("linkId"),
        JsonArrays.optionalFromJson(object.get("label"), JsonValue::asString),
        JsonArrays.optionalFromJson(object.get("locale"), JsonValue::asString),
        JsonArrays.optionalFromJson(object.get("status"), j -> CollectionLinkStatus.valueOf(j.asString().toUpperCase())));
  }
}
