/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum AddDatabaseError implements HttpError {

    /**
     * A database with this id already exists.
     */
    DATABASE_EXISTS(409),

    /**
     * The authenticated user has no billing account, and so cannot add a database.
     */
    NO_BILLING_ACCOUNT(400),

    /**
     * The authenticated user's billing account is not active.
     */
    BILLING_ACCOUNT_NOT_ACTIVE(400);

    private final int status;

    AddDatabaseError(int status) {
        this.status = status;
    }

    @Override
    public int getHttpStatusCode() {
        return status;
    }
}
