package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class AddDatabaseRequestJson {
  public static JsonValue toJson(AddDatabaseRequest model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId().asString());
    object.put("label", model.getLabel());
    object.put("templateId", model.getTemplateId());
    object.put("description", JsonArrays.optionalToJson(model.getDescription(), Json::create));
    return object;
  }

  public static AddDatabaseRequest fromJson(JsonValue object) {
    return new AddDatabaseRequest(ResourceId.valueOf(object.getString("id")),
        object.getString("label"),
        object.getString("templateId"),
        JsonArrays.optionalFromJson(object.get("description"), JsonValue::asString));
  }
}
