package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class AddDatabaseUserRequestJson {
  public static JsonValue toJson(AddDatabaseUserRequest model) {
    JsonValue object = Json.createObject();
    object.put("email", model.getEmail());
    object.put("name", model.getName());
    object.put("locale", model.getLocale());
    object.put("role", model.getRole().toJson());
    object.put("grants", JsonArrays.toJsonArray(model.getGrants(), DatabaseUserGrant::toJson));
    return object;
  }

  public static AddDatabaseUserRequest fromJson(JsonValue object) {
    return new AddDatabaseUserRequest(object.getString("email"),
        object.getString("name"),
        object.getString("locale"),
        RoleAssignment.fromJson(object.get("role")),
        JsonArrays.listFromJson(object.get("grants"), DatabaseUserGrant::fromJson));
  }
}
