package org.activityinfo.model.database;

import javax.annotation.Nonnull;
import org.activityinfo.model.form.FormClass;

public final class AddFormRequestBuilder {
  private Resource formResource;

  private FormClass formClass;

  public AddFormRequestBuilder() {
  }

  public AddFormRequestBuilder(AddFormRequest toCopy) {
    this.formResource = toCopy.getFormResource();
    this.formClass = toCopy.getFormClass();
  }

  @Nonnull
  public AddFormRequestBuilder formResource(@Nonnull Resource formResource) {
    this.formResource = formResource;
    return this;
  }

  @Nonnull
  public AddFormRequestBuilder formClass(@Nonnull FormClass formClass) {
    this.formClass = formClass;
    return this;
  }

  @Nonnull
  public AddFormRequest build() {
    assert this.formResource != null : "formResource is missing";
    assert this.formClass != null : "formClass is missing";
    return new AddFormRequest(formResource,formClass);
  }
}
