package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class AuditEventListJson {
  public static JsonValue toJson(AuditEventList model) {
    JsonValue object = Json.createObject();
    object.put("events", JsonArrays.toJsonArray(model.getEvents(), AuditEventJson::toJson));
    object.put("startTime", model.getStartTime());
    object.put("endTime", model.getEndTime());
    object.put("moreEvents", model.isMoreEvents());
    return object;
  }

  public static AuditEventList fromJson(JsonValue object) {
    return new AuditEventList(JsonArrays.listFromJson(object.get("events"), AuditEventJson::fromJson),
        (double)object.getNumber("startTime"),
        (double)object.getNumber("endTime"),
        object.getBoolean("moreEvents"));
  }
}
