package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class AuditRequestJson {
  public static JsonValue toJson(AuditRequest model) {
    JsonValue object = Json.createObject();
    object.put("resourceFilter", JsonArrays.optionalToJson(model.getResourceFilter(), ResourceId::toJson));
    object.put("typeFilter", JsonArrays.toJsonArrayFromEnums(model.getTypeFilter()));
    object.put("startTime", model.getStartTime());
    return object;
  }

  public static AuditRequest fromJson(JsonValue object) {
    return new AuditRequest(JsonArrays.optionalFromJson(object.get("resourceFilter"), ResourceId::fromJson),
        JsonArrays.setFromJson(object.get("typeFilter"), j -> AuditResourceType.valueOf(j.asString().toUpperCase())),
        (long)object.getNumber("startTime"));
  }
}
