/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum ClaimSupportAccessResult implements HttpError {

    /**
     * The user is not authorized to claim a support role
     */
    CLAIM_FORBIDDEN(FORBIDDEN_403),

    /**
     * There is no such database
     */
    NO_SUCH_DATABASE(NOT_FOUND_404),

    ALREADY_HAVE_ACCESS(400),

    CLAIMED(200);


    private final int status;

    ClaimSupportAccessResult(int status) {
        this.status = status;
    }

    @Override
    public int getHttpStatusCode() {
        return status;
    }
}
