package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class DatabaseHeaderJson {
  public static JsonValue toJson(DatabaseHeader model) {
    JsonValue object = Json.createObject();
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("label", model.getLabel());
    object.put("description", model.getDescription());
    object.put("ownerId", model.getOwnerId().asString());
    object.put("billingAccountId", model.getBillingAccountId());
    object.put("suspended", model.isSuspended());
    object.put("publishedTemplate", model.isPublishedTemplate());
    return object;
  }

  public static DatabaseHeader fromJson(JsonValue object) {
    return new DatabaseHeader(ResourceId.valueOf(object.getString("databaseId")),
        object.getString("label"),
        object.getString("description"),
        ResourceId.valueOf(object.getString("ownerId")),
        (long)object.getNumber("billingAccountId"),
        object.getBoolean("suspended"),
        object.getBoolean("publishedTemplate"));
  }
}
