package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.account.DeliveryStatus;
import org.activityinfo.model.resource.ResourceId;

public final class DatabaseUserJson {
  public static JsonValue toJson(DatabaseUser model) {
    JsonValue object = Json.createObject();
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("userId", model.getUserId().asString());
    object.put("name", model.getName());
    object.put("email", model.getEmail());
    object.put("role", model.getRole().toJson());
    object.put("version", model.getVersion());
    object.put("inviteDate", model.getInviteDate());
    object.put("deliveryStatus", model.getDeliveryStatus().name());
    object.put("inviteAccepted", model.isInviteAccepted());
    return object;
  }

  public static DatabaseUser fromJson(JsonValue object) {
    return new DatabaseUser(ResourceId.valueOf(object.getString("databaseId")),
        ResourceId.valueOf(object.getString("userId")),
        object.getString("name"),
        object.getString("email"),
        RoleAssignment.fromJson(object.get("role")),
        (long)object.getNumber("version"),
        object.getString("inviteDate"),
        JsonArrays.enumFromJson(object.get("deliveryStatus"), DeliveryStatus::valueOf, DeliveryStatus.UNKNOWN),
        object.getBoolean("inviteAccepted"));
  }
}
