/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum DeleteDatabaseResponse implements HttpError {
    /**
     * The database was successfully deleted.
     */
    OK(200),

    /**
     * Database with this ID could not be found.
     */
    DATABASE_NOT_FOUND(NOT_FOUND_404),

    /**
     * The database has already been deleted.
     */
    ALREADY_DELETED(BAD_REQUEST_400),

    /**
     * Only the database's owner can delete a database.
     */
    PERMISSION_DENIED(FORBIDDEN_403);


    private int statusCode;

    DeleteDatabaseResponse(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}