/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum DeleteDatabaseUserResponse implements HttpError {
    /**
     * The user was successfully deleted from the database
     */
    OK(200),

    /**
     * The database was deleted and no longer exists.
     */
    DATABASE_DELETED(BAD_REQUEST_400),

    /**
     * A database with this id could not be found.
     */
    DATABASE_NOT_FOUND(BAD_REQUEST_400),

    /**
     * A user with this id could not be found in the database.
     */
    USER_NOT_FOUND(BAD_REQUEST_400),

    /**
     * You do not have the permission to manage users in this database.
     */
    MANAGE_USER_PERMISSION_MISSING(FORBIDDEN_403),

    /**
     * The user with this id has permissions superior to yours and so you
     * may not delete the user.
     */
    DELETED_USERS_PERMISSION_SUPERIOR(FORBIDDEN_403);

    private int statusCode;

    DeleteDatabaseUserResponse(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}