package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.permission.Operation;
import org.activityinfo.model.resource.ResourceId;

public final class FilteredPermissionJson {
  public static JsonValue toJson(FilteredPermission model) {
    JsonValue object = Json.createObject();
    object.put("operation", model.getOperation().name());
    object.put("filter", JsonArrays.optionalToJson(model.getFilter(), Json::create));
    object.put("securityCategories", JsonArrays.toJsonArray(model.getSecurityCategories(), ResourceId::toJson));
    return object;
  }

  public static FilteredPermission fromJson(JsonValue object) {
    return new FilteredPermission(JsonArrays.enumFromJson(object.get("operation"), Operation::valueOf, Operation.VIEW),
        JsonArrays.optionalFromJson(object.get("filter"), JsonValue::asString),
        JsonArrays.setFromJson(object.get("securityCategories"), ResourceId::fromJson));
  }
}
