/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum LeaveDatabaseResult implements HttpError {

    LEFT(200),

    /**
     * This database does not exist.
     */
    NO_SUCH_DATABASE(404),

    /**
     * You have not been invited to the database
     */
    NOT_INVITED(BAD_REQUEST_400),

    /**
     * You are the owner of the database and cannot leave the database.
     */
    OWNER(BAD_REQUEST_400);

    private final int status;

    LeaveDatabaseResult(int status) {
        this.status = status;
    }

    @Override
    public int getHttpStatusCode() {
        return status;
    }
}
