package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.account.ActivationStatus;
import org.activityinfo.model.resource.ResourceId;

public final class PreflightUserResponseJson {
  public static JsonValue toJson(PreflightUserResponse model) {
    JsonValue object = Json.createObject();
    object.put("userId", JsonArrays.optionalToJson(model.getUserId(), ResourceId::toJson));
    object.put("activationStatus", model.getActivationStatus().name());
    object.put("name", model.getName());
    object.put("addedToDatabase", model.isAddedToDatabase());
    object.put("validEmail", model.isValidEmail());
    object.put("localizedErrorMessage", model.getLocalizedErrorMessage());
    return object;
  }

  public static PreflightUserResponse fromJson(JsonValue object) {
    return new PreflightUserResponse(JsonArrays.optionalFromJson(object.get("userId"), ResourceId::fromJson),
        JsonArrays.enumFromJson(object.get("activationStatus"), ActivationStatus::valueOf, ActivationStatus.NO_ACCOUNT),
        object.getString("name"),
        object.getBoolean("addedToDatabase"),
        object.getBoolean("validEmail"),
        object.getString("localizedErrorMessage"));
  }
}
