package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.model.type.time.LocalDateInterval;

public final class RecordLockJson {
  public static JsonValue toJson(RecordLock model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId().asString());
    object.put("label", model.getLabel());
    object.put("resourceId", model.getResourceId().asString());
    object.put("dateRange", model.getDateRange().toJson());
    return object;
  }

  public static RecordLock fromJson(JsonValue object) {
    return new RecordLock(ResourceId.valueOf(object.getString("id")),
        object.getString("label"),
        ResourceId.valueOf(object.getString("resourceId")),
        LocalDateInterval.fromJson(object.get("dateRange")));
  }
}
