/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum RevertUpdateDatabaseError implements HttpError {
    REVERTED(200),
    DATABASE_NOT_FOUND(404),
    VERSION_NOT_FOUND(404),
    EMPTY(BAD_REQUEST_400),
    AUDIT_NOT_AUTHORIZED(FORBIDDEN_403),
    ADD_RESOURCE_NOT_AUTHORIZED(FORBIDDEN_403);

    private final int statusCode;

    RevertUpdateDatabaseError(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
