/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.resource.ResourceId;

/**
 * RoleFilters are pre-defined filters associated with a role that can be
 * easily applied to record-level permissions.
 */
@AutoJson
public class RoleFilter {

    /**
     * This filter's id.
     */
    private final ResourceId id;

    /**
     * This filter's human-readable label
     */
    private final String label;

    /**
     * A formula that can be used to filter a record-level permission.
     */
    private final String filter;

    public RoleFilter(ResourceId id, String label, String filter) {
        this.id = id;
        this.label = label;
        this.filter = filter;
    }

    public ResourceId getId() {
        return id;
    }

    public String getLabel() {
        return label;
    }

    public String getFilter() {
        return filter;
    }
}
