package org.activityinfo.model.database;

import java.lang.String;
import javax.annotation.Nonnull;
import org.activityinfo.model.resource.ResourceId;

public final class RoleParameterBuilder {
  private ResourceId parameterId;

  private String label = "";

  private ResourceId range;

  public RoleParameterBuilder() {
    label = "";
  }

  public RoleParameterBuilder(RoleParameter toCopy) {
    this.parameterId = toCopy.getParameterId();
    this.label = toCopy.getLabel();
    this.range = toCopy.getRange();
  }

  @Nonnull
  public RoleParameterBuilder parameterId(@Nonnull ResourceId parameterId) {
    this.parameterId = parameterId;
    return this;
  }

  @Nonnull
  public RoleParameterBuilder label(@Nonnull String label) {
    this.label = label;
    return this;
  }

  @Nonnull
  public RoleParameterBuilder range(@Nonnull ResourceId range) {
    this.range = range;
    return this;
  }

  @Nonnull
  public RoleParameter build() {
    assert this.parameterId != null : "parameterId is missing";
    assert this.label != null : "label is missing";
    assert this.range != null : "range is missing";
    return new RoleParameter(parameterId,label,range);
  }
}
