package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class RoleParameterJson {
  public static JsonValue toJson(RoleParameter model) {
    JsonValue object = Json.createObject();
    object.put("parameterId", model.getParameterId().asString());
    object.put("label", model.getLabel());
    object.put("range", model.getRange().asString());
    return object;
  }

  public static RoleParameter fromJson(JsonValue object) {
    return new RoleParameter(ResourceId.valueOf(object.getString("parameterId")),
        object.getString("label"),
        ResourceId.valueOf(object.getString("range")));
  }
}
