/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;
import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.annotation.Builder;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.model.type.FieldValue;
import org.activityinfo.model.type.RecordRef;

import java.util.Optional;

@AutoJson
public class RoleParameterValue {
    private ResourceId parameterId;
    private JsonValue value;

    @Builder
    public RoleParameterValue(ResourceId parameterId, JsonValue value) {
        this.parameterId = parameterId;
        this.value = value;
    }

    public RoleParameterValue(ResourceId id, Optional<FieldValue> value) {
        this.parameterId = id;
        if(value.isPresent()) {
            this.value = value.get().toJson();
        } else {
            this.value = Json.createNull();
        }
    }

    public ResourceId getParameterId() {
        return parameterId;
    }

    public JsonValue getValue() {
        return value;
    }
}
