/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;
import org.activityinfo.model.resource.ResourceId;

import java.util.Collections;
import java.util.List;

@AutoJson
@AutoBuilder
public class SecurityCategory {

    public static final SecurityCategory REVIEWER = new SecurityCategory(ResourceId.valueOf("reviewer"), "Reviewer only");

    public static final List<SecurityCategory> DEFAULT_SECURITY_CATEGORIES = Collections.singletonList(SecurityCategory.REVIEWER);

    /**
     * This security category's id
     */
    private final ResourceId id;

    /**
     * This security category's human-readable label
     */
    private final String label;

    public SecurityCategory(ResourceId id, String label) {
        this.id = id;
        this.label = label;
    }

    public ResourceId getId() {
        return id;
    }

    public String getLabel() {
        return label;
    }
}
