package org.activityinfo.model.database;

import java.lang.String;
import javax.annotation.Nonnull;
import org.activityinfo.model.resource.ResourceId;

public final class SecurityCategoryBuilder {
  private ResourceId id;

  private String label = "";

  public SecurityCategoryBuilder() {
    label = "";
  }

  public SecurityCategoryBuilder(SecurityCategory toCopy) {
    this.id = toCopy.getId();
    this.label = toCopy.getLabel();
  }

  @Nonnull
  public SecurityCategoryBuilder id(@Nonnull ResourceId id) {
    this.id = id;
    return this;
  }

  @Nonnull
  public SecurityCategoryBuilder label(@Nonnull String label) {
    this.label = label;
    return this;
  }

  @Nonnull
  public SecurityCategory build() {
    assert this.id != null : "id is missing";
    assert this.label != null : "label is missing";
    return new SecurityCategory(id,label);
  }
}
