/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum UpdateDatabaseErrorCode implements HttpError {

    DATABASE_NOT_FOUND(NOT_FOUND_404),

    /**
     * One of the items to be deleted could not be found
     */
    INVALID_UPDATE(BAD_REQUEST_400),

    PERMISSION_DENIED(FORBIDDEN_403);

    private int statusCode;

    UpdateDatabaseErrorCode(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
