package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class UpdateDatabaseErrorJson {
  public static JsonValue toJson(UpdateDatabaseError model) {
    JsonValue object = Json.createObject();
    object.put("code", model.getCode().name());
    object.put("messages", JsonArrays.toJsonArray(model.getMessages(), Json::create));
    object.put("localizedMessage", JsonArrays.optionalToJson(model.getLocalizedMessage(), Json::create));
    return object;
  }

  public static UpdateDatabaseError fromJson(JsonValue object) {
    return new UpdateDatabaseError(JsonArrays.enumFromJson(object.get("code"), UpdateDatabaseErrorCode::valueOf, UpdateDatabaseErrorCode.DATABASE_NOT_FOUND),
        JsonArrays.listFromJson(object.get("messages"), JsonValue::asString),
        JsonArrays.optionalFromJson(object.get("localizedMessage"), JsonValue::asString));
  }
}
