package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class UpdateDatabaseRequestJson {
  public static JsonValue toJson(UpdateDatabaseRequest model) {
    JsonValue object = Json.createObject();
    object.put("resourceUpdates", JsonArrays.toJsonArray(model.getResourceUpdates(), Resource::toJson));
    object.put("resourceDeletions", JsonArrays.toJsonArray(model.getResourceDeletions(), ResourceId::toJson));
    object.put("lockUpdates", JsonArrays.toJsonArray(model.getLockUpdates(), RecordLockJson::toJson));
    object.put("lockDeletions", JsonArrays.toJsonArray(model.getLockDeletions(), ResourceId::toJson));
    object.put("roleUpdates", JsonArrays.toJsonArray(model.getRoleUpdates(), RoleJson::toJson));
    object.put("roleDeletions", JsonArrays.toJsonArray(model.getRoleDeletions(), ResourceId::toJson));
    object.put("publishedTemplate", JsonArrays.optionalToJson(model.getPublishedTemplate(), JsonArrays::boolToJson));
    return object;
  }

  public static UpdateDatabaseRequest fromJson(JsonValue object) {
    return new UpdateDatabaseRequest(JsonArrays.listFromJson(object.get("resourceUpdates"), Resource::fromJson),
        JsonArrays.listFromJson(object.get("resourceDeletions"), ResourceId::fromJson),
        JsonArrays.listFromJson(object.get("lockUpdates"), RecordLockJson::fromJson),
        JsonArrays.listFromJson(object.get("lockDeletions"), ResourceId::fromJson),
        JsonArrays.listFromJson(object.get("roleUpdates"), RoleJson::fromJson),
        JsonArrays.listFromJson(object.get("roleDeletions"), ResourceId::fromJson),
        JsonArrays.optionalFromJson(object.get("publishedTemplate"), JsonValue::asBoolean));
  }
}
