/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum  UpdateDatabaseUserError implements HttpError {
    DATABASE_NOT_FOUND(NOT_FOUND_404),
    USER_NOT_FOUND(NOT_FOUND_404),
    CANNOT_MANAGE_SELF(FORBIDDEN_403),
    RESOURCE_NOT_FOUND(BAD_REQUEST_400),
    ROLE_NOT_FOUND(BAD_REQUEST_400),
    PERMISSION_DENIED(FORBIDDEN_403);

    private final int statusCode;

    UpdateDatabaseUserError(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
