package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.form.FormMetadata;

public final class UpdateFormResponseJson {
  public static JsonValue toJson(UpdateFormResponse model) {
    JsonValue object = Json.createObject();
    object.put("database", VisibleDatabaseTreeJson.toJson(model.getDatabase()));
    object.put("forms", JsonArrays.toJsonArray(model.getForms(), FormMetadata::toJson));
    return object;
  }

  public static UpdateFormResponse fromJson(JsonValue object) {
    return new UpdateFormResponse(VisibleDatabaseTreeJson.fromJson(object.get("database")),
        JsonArrays.listFromJson(object.get("forms"), FormMetadata::fromJson));
  }
}
