package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class UpdateGrantSetRequestJson {
  public static JsonValue toJson(UpdateGrantSetRequest model) {
    JsonValue object = Json.createObject();
    object.put("roleUpdates", JsonArrays.toJsonArray(model.getRoleUpdates(), RoleAssignment::toJson));
    object.put("grantUpdates", JsonArrays.toJsonArray(model.getGrantUpdates(), DatabaseUserGrant::toJson));
    object.put("grantDeletions", JsonArrays.toJsonArray(model.getGrantDeletions(), ResourceId::toJson));
    return object;
  }

  public static UpdateGrantSetRequest fromJson(JsonValue object) {
    return new UpdateGrantSetRequest(JsonArrays.listFromJson(object.get("roleUpdates"), RoleAssignment::fromJson),
        JsonArrays.listFromJson(object.get("grantUpdates"), DatabaseUserGrant::fromJson),
        JsonArrays.listFromJson(object.get("grantDeletions"), ResourceId::fromJson));
  }
}
