/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.Builder;

import java.util.Collections;
import java.util.List;

@AutoJson
public class UpdateRoleAssignmentRequest {
    private List<RoleAssignment> assignments;

    @Builder
    public UpdateRoleAssignmentRequest(List<RoleAssignment> assignments) {
        this.assignments = assignments;
    }

    public UpdateRoleAssignmentRequest(RoleAssignment assignment) {
        this.assignments = Collections.singletonList(assignment);
    }

    public List<RoleAssignment> getAssignments() {
        return assignments;
    }


}
