package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class UserRefJson {
  public static JsonValue toJson(UserRef model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId().asString());
    object.put("name", model.getName());
    object.put("email", model.getEmail());
    return object;
  }

  public static UserRef fromJson(JsonValue object) {
    return new UserRef(ResourceId.valueOf(object.getString("id")),
        object.getString("name"),
        object.getString("email"));
  }
}
