/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.error;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.Builder;

@AutoJson
public class ApiErrorResponse {

    private final String code;
    private final String message;
    private final String localizedMessage;

    public ApiErrorResponse(String code) {
        this.code = code;
        this.message = null;
        this.localizedMessage = null;
    }

    @Builder
    public ApiErrorResponse(String code, String message, String localizedMessage) {
        this.code = code;
        this.message = message;
        this.localizedMessage = localizedMessage;
    }

    public ApiErrorResponse(String code, String message) {
        this.code = code;
        this.message = message;
        this.localizedMessage = null;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getLocalizedMessage() {
        return localizedMessage;
    }
}
