/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.form;

import org.activityinfo.promise.HttpError;

public enum DuplicateFormError implements HttpError {

    DATABASE_NOT_FOUND(BAD_REQUEST_400),
    FORM_NOT_FOUND(BAD_REQUEST_400),
    PERMISSION_DENIED(FORBIDDEN_403),
    SUBFORMS_CANNOT_BE_DUPLICATED(BAD_REQUEST_400),
    SUBFORMS_NOT_ALL_VISIBLE(FORBIDDEN_403),
    MISSING_FORM_SCHEMAS(500);

    private int statusCode;

    private DuplicateFormError(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
