/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.form;


import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;


@AutoJson
@AutoBuilder
public final class FieldValueChange {
    private final String fieldId;
    private final String fieldLabel;
    private final String oldValueLabel;
    private final String newValueLabel;

    public FieldValueChange(String fieldId, String fieldLabel, String oldValueLabel, String newValueLabel) {
        this.fieldId = fieldId;
        this.fieldLabel = fieldLabel;
        this.oldValueLabel = oldValueLabel;
        this.newValueLabel = newValueLabel;
    }

    public String getFieldId() {
        return fieldId;
    }

    public String getFieldLabel() {
        return fieldLabel;
    }

    public String getOldValueLabel() {
        return oldValueLabel;
    }

    public String getNewValueLabel() {
        return newValueLabel;
    }

}
