package org.activityinfo.model.form;

import java.lang.String;
import javax.annotation.Nonnull;

public final class FieldValueChangeBuilder {
  private String fieldId = "";

  private String fieldLabel = "";

  private String oldValueLabel = "";

  private String newValueLabel = "";

  public FieldValueChangeBuilder() {
    fieldId = "";
    fieldLabel = "";
    oldValueLabel = "";
    newValueLabel = "";
  }

  public FieldValueChangeBuilder(FieldValueChange toCopy) {
    this.fieldId = toCopy.getFieldId();
    this.fieldLabel = toCopy.getFieldLabel();
    this.oldValueLabel = toCopy.getOldValueLabel();
    this.newValueLabel = toCopy.getNewValueLabel();
  }

  @Nonnull
  public FieldValueChangeBuilder fieldId(@Nonnull String fieldId) {
    this.fieldId = fieldId;
    return this;
  }

  @Nonnull
  public FieldValueChangeBuilder fieldLabel(@Nonnull String fieldLabel) {
    this.fieldLabel = fieldLabel;
    return this;
  }

  @Nonnull
  public FieldValueChangeBuilder oldValueLabel(@Nonnull String oldValueLabel) {
    this.oldValueLabel = oldValueLabel;
    return this;
  }

  @Nonnull
  public FieldValueChangeBuilder newValueLabel(@Nonnull String newValueLabel) {
    this.newValueLabel = newValueLabel;
    return this;
  }

  @Nonnull
  public FieldValueChange build() {
    assert this.fieldId != null : "fieldId is missing";
    assert this.fieldLabel != null : "fieldLabel is missing";
    assert this.oldValueLabel != null : "oldValueLabel is missing";
    assert this.newValueLabel != null : "newValueLabel is missing";
    return new FieldValueChange(fieldId,fieldLabel,oldValueLabel,newValueLabel);
  }
}
