/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.form;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.Builder;
import org.activityinfo.model.resource.ResourceId;

import java.util.Optional;

@AutoJson
public class FormValidationError {
    private Optional<ResourceId> fieldId;
    private final String message;

    public FormValidationError(String message) {
        this.fieldId = Optional.empty();
        this.message = message;
    }

    public FormValidationError(ResourceId fieldId, String message) {
        this.fieldId = Optional.of(fieldId);
        this.message = message;
    }

    @Builder
    public FormValidationError(Optional<ResourceId> fieldId, String message) {
        this.fieldId = fieldId;
        this.message = message;
    }

    public Optional<ResourceId> getFieldId() {
        return fieldId;
    }

    public String getMessage() {
        return message;
    }

    @Override
    public String toString() {
        if(fieldId.isPresent()) {
            return "FormValidationError{" +
                "fieldId=" + fieldId.get() +
                ", message='" + message + '\'' +
                '}';
        } else {
            return "FormValidationError{" +
                "message='" + message + '\'' +
                '}';
        }

    }
}
