package org.activityinfo.model.form;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class FormValidationErrorJson {
  public static JsonValue toJson(FormValidationError model) {
    JsonValue object = Json.createObject();
    object.put("fieldId", JsonArrays.optionalToJson(model.getFieldId(), ResourceId::toJson));
    object.put("message", model.getMessage());
    return object;
  }

  public static FormValidationError fromJson(JsonValue object) {
    return new FormValidationError(JsonArrays.optionalFromJson(object.get("fieldId"), ResourceId::fromJson),
        object.getString("message"));
  }
}
