/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.form;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;
import org.activityinfo.model.database.UserRef;

import java.util.List;
import java.util.Optional;

@AutoJson
@AutoBuilder
public final class RecordHistoryEntry {

    private String formId;
    private String recordId;
    private int time;
    private String subFieldId;
    private String subFieldLabel;
    private String subRecordKey;
    private String changeType;
    private Optional<UserRef> user;

    private List<FieldValueChange> values;

    public RecordHistoryEntry(String formId, String recordId, int time, String subFieldId, String subFieldLabel, String subRecordKey, String changeType, Optional<UserRef> user, List<FieldValueChange> values) {
        this.formId = formId;
        this.recordId = recordId;
        this.time = time;
        this.subFieldId = subFieldId;
        this.subFieldLabel = subFieldLabel;
        this.subRecordKey = subRecordKey;
        this.changeType = changeType;
        this.user = user;
        this.values = values;
    }

    public String getFormId() {
        return formId;
    }

    public String getRecordId() {
        return recordId;
    }

    public int getTime() {
        return time;
    }

    public String getSubFieldId() {
        return subFieldId;
    }

    public String getSubFieldLabel() {
        return subFieldLabel;
    }

    public String getSubRecordKey() {
        return subRecordKey;
    }

    public String getChangeType() {
        return changeType;
    }

    public List<FieldValueChange> getValues() {
        return values;
    }

    public Optional<UserRef> getUser() {
        return user;
    }
}
