package org.activityinfo.model.form;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.database.UserRefJson;

public final class RecordHistoryEntryJson {
  public static JsonValue toJson(RecordHistoryEntry model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId());
    object.put("recordId", model.getRecordId());
    object.put("time", model.getTime());
    object.put("subFieldId", model.getSubFieldId());
    object.put("subFieldLabel", model.getSubFieldLabel());
    object.put("subRecordKey", model.getSubRecordKey());
    object.put("changeType", model.getChangeType());
    object.put("user", JsonArrays.optionalToJson(model.getUser(), UserRefJson::toJson));
    object.put("values", JsonArrays.toJsonArray(model.getValues(), FieldValueChangeJson::toJson));
    return object;
  }

  public static RecordHistoryEntry fromJson(JsonValue object) {
    return new RecordHistoryEntry(object.getString("formId"),
        object.getString("recordId"),
        (int)object.getNumber("time"),
        object.getString("subFieldId"),
        object.getString("subFieldLabel"),
        object.getString("subRecordKey"),
        object.getString("changeType"),
        JsonArrays.optionalFromJson(object.get("user"), UserRefJson::fromJson),
        JsonArrays.listFromJson(object.get("values"), FieldValueChangeJson::fromJson));
  }
}
