package org.activityinfo.model.form;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class UpdateFormErrorJson {
  public static JsonValue toJson(UpdateFormError model) {
    JsonValue object = Json.createObject();
    object.put("code", model.getCode().name());
    object.put("errors", JsonArrays.toJsonArray(model.getErrors(), FormValidationErrorJson::toJson));
    return object;
  }

  public static UpdateFormError fromJson(JsonValue object) {
    return new UpdateFormError(JsonArrays.enumFromJson(object.get("code"), UpdateFormError.Code::valueOf, UpdateFormError.Code.DATABASE_DELETED),
        JsonArrays.listFromJson(object.get("errors"), FormValidationErrorJson::fromJson));
  }
}
