/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula;

import javax.annotation.Nonnull;

public class ErrorFormulaNode extends FormulaNode {

    @Nonnull
    private String formula;

    public ErrorFormulaNode(@Nonnull String formula) {
        this.formula = formula;
    }

    public String getFormula() {
        return this.formula;
    }

    @Override
    public String deparse() {
        return formula;
    }

    @Override
    public <T> T accept(FormulaVisitor<T> visitor) {
        return visitor.visitError(this);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        ErrorFormulaNode other = (ErrorFormulaNode) o;
        return formula.equals(other.formula);
    }

    @Override
    public int hashCode() {
        return formula.hashCode();
    }
}
