/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula;

import java.util.function.Function;


/**
 * Root of the formula Abstract Syntax Tree (AST). Formulas are used for validation and
 * calculation.
 */
public abstract class FormulaNode {

    SourceRange sourceRange;

    /**
     * @return this formula node in String form.
     */
    public abstract String deparse();

    public abstract <T> T accept(FormulaVisitor<T> visitor);

    public SourceRange getSourceRange() {
        return sourceRange;
    }

    public FormulaNode transform(Function<FormulaNode, FormulaNode> function) {
        return function.apply(this);
    }

}
