/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula;

import org.activityinfo.model.query.ColumnType;

public enum FormulaType {
    /**
     * A value from a field that is either blank, or not.
     */
    OPAQUE,

    STRING,

    NUMBER,

    BOOLEAN,

    LOCAL_DATE,

    INSTANT,

    GEOMETRY;

    public static FormulaType of(ColumnType type) {
        switch (type) {
            case BOOLEAN:
                return BOOLEAN;
            case NUMBER:
                return NUMBER;
            default:
            case STRING:
                return STRING;
        }
    }
}
