/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula;

public enum TokenType {


    /**
     * "("
     */
    PAREN_START,

    /**
     * ")"
     */
    PAREN_END,


    /**
     * """
     */
    STRING_LITERAL,


    /**
     * Operator : +, /, -, &&, || etc
     */
    OPERATOR,


    /**
     * A named value
     */
    SYMBOL,


    /**
     * Comma: ','
     */
    COMMA,

    /**
     * Dot '.'
     */
    DOT,

    /**
     * Numeric Literal: 1, 3 ...
     */
    NUMBER,

    /**
     * Boolean literal : true, false
     */
    BOOLEAN_LITERAL,

    /**
     * Whitespace
     */
    WHITESPACE,

    EOF


}
