/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class AddFunction extends RealValuedFunction {

    public static final AddFunction INSTANCE = new AddFunction();

    private AddFunction() {
        super("+");
    }

    @Override
    protected double apply(double a) {
        return +a;
    }

    @Override
    protected double apply(double a, double b) {
        return a + b;
    }

    @Override
    public int getReferenceTopicId() {
        return 880412;
    }

    @Override
    public String getHelpLabel() {
        return "ADD";
    }

    @Override
    public boolean isCommutative() {
        return true;
    }
}
