/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

import org.activityinfo.model.query.ColumnView;

public class AndFunction extends BinaryBooleanOperator {

    public static final AndFunction INSTANCE = new AndFunction();

    public static final String NAME = "&&";

    private AndFunction() {
        super(NAME);
    }

    @Override
    public FunctionCategory getCategory() {
        return FunctionCategory.LOGICAL;
    }

    @Override
    public String getHelpLabel() {
        return "AND";
    }

    @Override
    public int getReferenceTopicId() {
        return 871262;
    }

    @Override
    public boolean apply(boolean a, boolean b) {
        return a && b;
    }

    @Override
    public int apply(int a, int b) {
        if(a == ColumnView.TRUE && b == ColumnView.TRUE) {
            return ColumnView.TRUE;
        } else if(a == ColumnView.FALSE || b == ColumnView.FALSE) {
            return ColumnView.FALSE;
        } else {
            return ColumnView.BLANK;
        }
    }
}
