/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class AverageFunction extends StatFunction {

    public static final AverageFunction INSTANCE = new AverageFunction();

    @Override
    public String getId() {
        return "average";
    }

    @Override
    public int getReferenceTopicId() {
        return 889866;
    }

    @Override
    public double compute(double[] values, int start, int end) {
        double sum = 0;
        int count = 0;
        for (int i = start; i < end; i++) {
            double value = values[i];
            if(!Double.isNaN(value)) {
                sum += value;
                count++;
            }
        }
        return sum / (double)count;
    }
}
