/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class CountFunction extends StatFunction {

    public static final CountFunction INSTANCE = new CountFunction();

    private CountFunction() {
    }

    @Override
    public String getId() {
        return "count";
    }

    @Override
    public int getReferenceTopicId() {
        return 889875;
    }

    @Override
    public double compute(double[] values, int start, int end) {
        int count = 0;
        for (int i = start; i < end; i++) {
            if(!Double.isNaN(values[i])) {
                count++;
            }
        }
        return count;
    }

    @Override
    public double emptyValue() {
        return 0;
    }
}
