/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class DivideFunction extends RealValuedFunction {

    public static final DivideFunction INSTANCE = new DivideFunction();

    private DivideFunction() {
        super("/");
    }

    @Override
    protected double apply(double a) {
        throw new IllegalStateException("Illegal unary input to " + getLabel() + "()");
    }

    @Override
    protected double apply(double a, double b) {
        if(b == 0) {
            return Double.NaN;
        }
        return a / b;
    }

    @Override
    public int getReferenceTopicId() {
        return 880416;
    }

    @Override
    public String getHelpLabel() {
        return "DIVIDE";
    }
}
