/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class EqualFunction extends ComparisonOperator {

    public static final EqualFunction INSTANCE = new EqualFunction();

    public EqualFunction() {
        super("==");
    }

    @Override
    public int getReferenceTopicId() {
        return 878535;
    }

    @Override
    public String getHelpLabel() {
        return "EQUAL";
    }

    @Override
    public ComparisonOperator negate() {
        return NotEqualFunction.INSTANCE;
    }

    private boolean relevancyCalculation(String a, String b) {
        return a.equals(b);
    }

    @Override
    protected boolean apply(double x, double y) {
        return x == y;
    }
}
