/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

import java.text.DecimalFormat;
import java.util.function.DoubleFunction;
import java.util.logging.Logger;

/**
 * Creates a formatter from a pattern, using JDK java.text classes.
 * There is an alternate version for GWT provided in the super source directory.
 */
class FormatterFactory {

    private static final Logger LOGGER = Logger.getLogger(FormatterFactory.class.getName());

    public static DoubleFunction<String> createFormatter(String pattern) {
        try {
            DecimalFormat format = new DecimalFormat(pattern);
            return format::format;
        } catch (RuntimeException e) {
            LOGGER.severe("The pattern is invalid: " + e.getMessage());
            return (format) -> "#errPattern";
        }

    }

}
