/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

import org.activityinfo.i18n.shared.I18N;

public enum  FunctionCategory {

    LOGICAL() {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.functionsLogical();
        }
    },
    TEXT {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.functionsText();
        }
    },
    DATE_TIME {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.functionsDateTime();
        }
    },
    STATISTICAL {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.functionsStatistical();
        }
    },
    MATH {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.functionsMath();
        }
    },
    MISC {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.functionsMisc();
        }
    },
    GEOGRAPHIC {
        @Override
        public String getLabel() {
            return I18N.CONSTANTS.functionsGeographic();
        }
    },
    DEPRECATED {
        @Override
        public String getLabel() {
            return "";
        }
    };

    public abstract String getLabel();
}
