/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

/**
 * @author yuriyz on 10/08/2015.
 */
public class GreaterFunction extends ComparisonOperator {

    public static final GreaterFunction INSTANCE = new GreaterFunction();

    public GreaterFunction() {
        super(">");
    }

    @Override
    public String getHelpLabel() {
        return "GREATER";
    }

    @Override
    public int getReferenceTopicId() {
        return 880255;
    }

    @Override
    public ComparisonOperator negate() {
        return LessOrEqualFunction.INSTANCE;
    }

    @Override
    protected boolean apply(double x, double y) {
        return x > y;
    }
}
