/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

/**
 * @author yuriyz on 10/08/2015.
 */
public class GreaterOrEqualFunction extends ComparisonOperator {

    public static final GreaterOrEqualFunction INSTANCE = new GreaterOrEqualFunction();

    public GreaterOrEqualFunction() {
        super(">=");
    }

    @Override
    public String getHelpLabel() {
        return "GREATER OR EQUAL";
    }

    @Override
    public int getReferenceTopicId() {
        return 880258;
    }

    @Override
    public ComparisonOperator negate() {
        return LessFunction.INSTANCE;
    }

    @Override
    protected boolean apply(double x, double y) {
        return x >= y;
    }
}
