/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

/**
 * @author yuriyz on 10/08/2015.
 */
public class LessFunction extends ComparisonOperator {

    public static final LessFunction INSTANCE = new LessFunction();

    public LessFunction() {
        super("<");
    }


    @Override
    public int getReferenceTopicId() {
        return 880259;
    }

    @Override
    public String getHelpLabel() {
        return "LESS";
    }

    @Override
    public ComparisonOperator negate() {
        return GreaterOrEqualFunction.INSTANCE;
    }

    @Override
    protected boolean apply(double x, double y) {
        return x < y;
    }
}

