/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

/**
 * @author yuriyz on 10/08/2015.
 */
public class LessOrEqualFunction extends ComparisonOperator {

    public static final LessOrEqualFunction INSTANCE = new LessOrEqualFunction();

    public LessOrEqualFunction() {
        super("<=");
    }

    @Override
    public int getReferenceTopicId() {
        return 880261;
    }

    @Override
    public ComparisonOperator negate() {
        return GreaterFunction.INSTANCE;
    }

    @Override
    public String getHelpLabel() {
        return "LESS OR EQUAL";
    }

    @Override
    protected boolean apply(double x, double y) {
        return x <= y;
    }
}

