/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

/**
 * Computes the maximum value of its arguments
 */
public class MaxFunction extends StatFunction implements ColumnFunction {
    
    public static final MaxFunction INSTANCE = new MaxFunction();
    
    private MaxFunction() {
    }
    
    @Override
    public String getId() {
        return "max";
    }

    @Override
    public int getReferenceTopicId() {
        return 889872;
    }

    @Override
    public double compute(double[] values, int start, int end) {
        double max = Double.NaN;
        for(int i=start;i<end;++i) {
            double value = values[i];
            if(Double.isNaN(max)) {
                max = value;
            } else if(!Double.isNaN(value)) {
                if(value > max) {
                    max = value;
                }
            }
        }
        return max;
    }
}
