/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class MultiplyFunction extends RealValuedFunction {

    public static final MultiplyFunction INSTANCE = new MultiplyFunction();

    private MultiplyFunction() {
        super("*");
    }

    @Override
    protected double apply(double a) {
        throw new IllegalStateException("Illegal unary input to " + getLabel() + "()");
    }

    @Override
    protected double apply(double a, double b) {
        return a * b;
    }

    @Override
    public int getReferenceTopicId() {
        return 880415;
    }

    @Override
    public String getHelpLabel() {
        return "MULTIPLY";
    }

    @Override
    public boolean isCommutative() {
        return true;
    }
}
