/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

import org.activityinfo.model.type.FieldValue;

public class NotEqualFunction extends ComparisonOperator {

    public static final NotEqualFunction INSTANCE = new NotEqualFunction();

    private NotEqualFunction() {
        super("!=");
    }

    @Override
    public String getHelpLabel() {
        return "NOT EQUAL";
    }

    @Override
    public int getReferenceTopicId() {
        return 880262;
    }

    @Override
    public ComparisonOperator negate() {
        return EqualFunction.INSTANCE;
    }

    @Override
    protected boolean apply(double x, double y) {
        return x != y;
    }
}
