/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

import org.activityinfo.model.formula.diagnostic.ArityException;

class PowerFunction extends RealValuedFunction {

    public static final PowerFunction INSTANCE = new PowerFunction();

    private PowerFunction() {
        super("POWER");
    }

    @Override
    protected double apply(double a) {
        throw new ArityException(this, 2, 2, 1);
    }

    @Override
    protected double apply(double a, double b) {
        return Math.pow(a, b);
    }

    @Override
    public int getReferenceTopicId() {
        return 1486206;
    }

    @Override
    public String getHelpLabel() {
        return "POWER";
    }
}
