/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class SubtractFunction extends RealValuedFunction {

    public static final SubtractFunction INSTANCE = new SubtractFunction();

    private SubtractFunction() {
        super("-");
    }

    @Override
    protected double apply(double a) {
        return -a;
    }

    @Override
    protected double apply(double a, double b) {
        return a - b;
    }

    @Override
    public int getReferenceTopicId() {
        return 880415;
    }

    @Override
    public String getHelpLabel() {
        return "SUBTRACT";
    }
}
