/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

/**
 * Computes the sum of its arguments.
 */
public class SumFunction extends StatFunction {

    public static final SumFunction INSTANCE = new SumFunction();

    @Override
    public String getId() {
        return "sum";
    }

    @Override
    public int getReferenceTopicId() {
        return 889867;
    }


    @Override
    public double compute(double[] values, int start, int end) {
        double sum = 0;
        for (int i = start; i < end; i++) {
            double value = values[i];
            if(!Double.isNaN(value)) {
                sum += value;
            }
        }
        return sum;
    }

    @Override
    public double emptyValue() {
        return 0;
    }
}
