/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions.date;

import org.activityinfo.model.type.time.LocalDate;


public class DayFunction extends DateComponentFunction {

    public static final DayFunction INSTANCE = new DayFunction();

    private DayFunction() {}

    @Override
    public String getId() {
        return "day";
    }

    @Override
    public int getReferenceTopicId() {
        return 889536;
    }

    @Override
    protected int apply(LocalDate date) {
        return date.getDayOfMonth();
    }

}
