/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions.date;

import org.activityinfo.model.type.time.LocalDate;

/**
 * Returns the month of year of the given date.
 */
public class MonthFunction extends DateComponentFunction {

    public static final MonthFunction INSTANCE = new MonthFunction();

    private MonthFunction() {}

    @Override
    public String getId() {
        return "month";
    }

    @Override
    protected int apply(LocalDate date) {
        return date.getMonthOfYear();
    }

    @Override
    public int getReferenceTopicId() {
        return 889540;
    }

    public static int fromIsoString(String string) {
        return Integer.parseInt(string.substring(5, 7));
    }
}
