/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions.date;

import org.activityinfo.model.type.time.LocalDate;

public class QuarterFunction extends DateComponentFunction {

    public static final QuarterFunction INSTANCE = new QuarterFunction();

    private QuarterFunction() {}

    @Override
    public String getId() {
        return "quarter";
    }

    @Override
    public int getReferenceTopicId() {
        return 889545;
    }

    @Override
    protected int apply(LocalDate date) {
        return fromMonth(date.getMonthOfYear());
    }

    public static int fromMonth(int month) {
        assert month >= 1 && month <= 12;
        return 1 + ( (month-1) / 3);
    }
}
