/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions.date;

import org.activityinfo.model.type.time.LocalDate;


public class YearFunction extends DateComponentFunction {

    public static final YearFunction INSTANCE = new YearFunction();

    private YearFunction() {}

    @Override
    public String getId() {
        return "year";
    }

    @Override
    public int getReferenceTopicId() {
        return 889543;
    }

    @Override
    protected int apply(LocalDate date) {
        return date.getYear();
    }

}
