/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

import org.activityinfo.model.formTree.FormTree;
import org.activityinfo.model.formula.FormulaType;

import java.util.Optional;

public class CalculatedFieldNode extends FieldReferenceNode {

    private final ResolvedNode resolved;

    public CalculatedFieldNode(FormTree.Node fieldNode, ResolvedNode resolved) {
        super(fieldNode);
        this.resolved = resolved;
    }

    @Override
    public <T> T accept(ReferenceVisitor<T> visitor) {
        return visitor.visitCalculatedField(this);
    }

    @Override
    public Optional<FormulaType> getResolvedFormulaType() {
        return resolved.getResolvedType();
    }

    public ResolvedNode getResolved() {
        return resolved;
    }

    @Override
    public boolean isValid() {
        return resolved.isValid();
    }
}
