/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

import org.activityinfo.model.formula.FormulaNode;
import org.activityinfo.model.resource.ResourceId;

import java.util.Objects;

public class FieldRef {
    private final FormulaNode formulaNode;
    private ResourceId formId;
    private ResourceId fieldId;

    public FieldRef(FormulaNode formulaNode, ResourceId formId, ResourceId fieldId) {
        this.formulaNode = formulaNode;
        this.formId = formId;
        this.fieldId = fieldId;
    }


    public FormulaNode getFormulaNode() {
        return formulaNode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        FieldRef fieldRef = (FieldRef) o;
        return formId.equals(fieldRef.formId) &&
            fieldId.equals(fieldRef.fieldId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(formId, fieldId);
    }

}
