/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

import org.activityinfo.model.formula.FormulaNode;
import org.activityinfo.model.formula.SourceRange;


public class FieldReference {
    private final FormulaNode formulaNode;
    private NodeMatch match;

    public FieldReference(FormulaNode formulaNode, NodeMatch match) {
        this.formulaNode = formulaNode;
        this.match = match;
    }

    public SourceRange getSourceRange() {
        return formulaNode.getSourceRange();
    }

    public String getDescription() {
        if(match.isEnumBoolean()) {
            return match.getFieldNode().getField().getLabel() + " is " + match.getEnumItem().getLabel();
        } else {
            return match.getFieldNode().getField().getLabel();
        }
    }

    public NodeMatch getMatch() {
        return match;
    }

    public FormulaNode toFormula() {
        return formulaNode;
    }
}
