/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

import org.activityinfo.model.formula.FormulaNode;
import org.activityinfo.model.formula.SourceRange;

public class FormulaError {
    private SourceRange sourceRange;
    private String message;

    public FormulaError(SourceRange sourceRange, String message) {
        this.sourceRange = sourceRange;
        this.message = message;
    }

    public FormulaError(FormulaNode node, String message) {
        this(node.getSourceRange(), message);
    }

    public FormulaError(String message) {
        this.message = message;
        this.sourceRange = null;
    }

    public SourceRange getSourceRange() {
        return sourceRange;
    }

    public String getMessage() {
        return message;
    }

    public boolean hasSourceRange() {
        return sourceRange != null;
    }

}
