/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

import org.activityinfo.model.formula.ConstantNode;

public interface ResolvedNodeVisitor<T> {

    T visitConstant(ConstantNode node);

    T visitInvalidSyntax(InvalidSyntaxNode node);

    T visitReferenceNode(ResolvedReference node);

    T visitInvalidReferenceNode(InvalidReferenceNode node);

    T visitCallNode(ResolvedCallNode node);

    T visitInvalidCall(InvalidCallNode invalidCallNode);

    T visitInvalidArgumentNode(InvalidArgumentNode invalidArgumentNode);
}
