package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class DuplicateDatabaseJobJson {
  public static JsonValue toJson(DuplicateDatabaseJob model) {
    JsonValue object = Json.createObject();
    object.put("templateDatabaseId", model.getTemplateDatabaseId().asString());
    object.put("databaseLabel", model.getDatabaseLabel());
    object.put("duplicateRecords", model.isDuplicateRecords());
    return object;
  }

  public static DuplicateDatabaseJob fromJson(JsonValue object) {
    return new DuplicateDatabaseJob(ResourceId.valueOf(object.getString("templateDatabaseId")),
        object.getString("databaseLabel"),
        object.getBoolean("duplicateRecords"));
  }
}
