package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class ExportAttachmentsJobJson {
  public static JsonValue toJson(ExportAttachmentsJob model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId().asString());
    object.put("filter", JsonArrays.optionalToJson(model.getFilter(), Json::create));
    return object;
  }

  public static ExportAttachmentsJob fromJson(JsonValue object) {
    return new ExportAttachmentsJob(ResourceId.valueOf(object.getString("formId")),
        JsonArrays.optionalFromJson(object.get("filter"), JsonValue::asString));
  }
}
