/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

import static org.activityinfo.json.Json.createObject;

public class ExportAuditLog implements JobDescriptor<ExportResult> {

    public static final String TYPE = "exportAuditLog";

    private ResourceId databaseId;

    public ExportAuditLog(ResourceId databaseId) {
        this.databaseId = databaseId;
    }

    @Override
    public String getType() {
        return TYPE;
    }

    @Override
    public ExportResult parseResult(JsonValue resultObject) {
        return ExportResult.fromJson(resultObject);
    }

    @Override
    public <R> R accept(JobVisitor<R> visitor) {
        throw new UnsupportedOperationException();
    }

    @Override
    public boolean isReadOnly() {
        return true;
    }

    @Override
    public JsonValue toJson() {
        JsonValue object = createObject();
        object.put("databaseId", databaseId.asString());
        return object;
    }

    public static ExportAuditLog fromJson(JsonValue object) {
        return new ExportAuditLog(ResourceId.valueOf(object.getString("databaseId")));
    }

    public ResourceId getDatabaseId() {
        return databaseId;
    }
}
