package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class ExportDatabaseFormsJobJson {
  public static JsonValue toJson(ExportDatabaseFormsJob model) {
    JsonValue object = Json.createObject();
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("folderId", JsonArrays.optionalToJson(model.getFolderId(), ResourceId::toJson));
    object.put("format", model.getFormat().name());
    object.put("fileFormat", model.getFileFormat().name());
    object.put("filter", JsonArrays.optionalToJson(model.getFilter(), Json::create));
    object.put("includeBlanks", model.isIncludeBlanks());
    object.put("utcOffset", model.getUtcOffset());
    return object;
  }

  public static ExportDatabaseFormsJob fromJson(JsonValue object) {
    return new ExportDatabaseFormsJob(ResourceId.valueOf(object.getString("databaseId")),
        JsonArrays.optionalFromJson(object.get("folderId"), ResourceId::fromJson),
        JsonArrays.enumFromJson(object.get("format"), ExportFormat::valueOf, ExportFormat.LONG),
        JsonArrays.enumFromJson(object.get("fileFormat"), ExportFileFormat::valueOf, ExportFileFormat.XLSX),
        JsonArrays.optionalFromJson(object.get("filter"), JsonValue::asString),
        object.getBoolean("includeBlanks"),
        (int)object.getNumber("utcOffset"));
  }
}
