/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

import org.activityinfo.json.JsonValue;

import static org.activityinfo.json.Json.createObject;

/**
 * Result for a job that results in a download.
 */
public class ExportResult implements JobResult {

    /**
     * The filename of the export.
     */
    private final String filename;

    /**
     * The (par
     */
    private final String downloadUrl;

    public ExportResult(String filename, String downloadUrl) {
        this.filename = filename;
        this.downloadUrl = downloadUrl;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public String getFilename() {
        return filename;
    }

    @Override
    public JsonValue toJson() {
        JsonValue object = createObject();
        object.put("downloadUrl", downloadUrl);
        object.put("filename", filename);
        return object;
    }

    public static ExportResult fromJson(JsonValue resultObject) {
        return new ExportResult(
            resultObject.getString("filename"),
            resultObject.getString("downloadUrl"));
    }
}
