/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

import org.activityinfo.json.AutoJson;
import org.activityinfo.json.JsonValue;

import java.util.Optional;

@AutoJson
public class ImportRecordsCheckpoint {

    /**
     * The number of records already committed.
     */
    private final int importCount;

    public ImportRecordsCheckpoint(int importCount) {
        this.importCount = importCount;
    }

    public int getImportCount() {
        return importCount;
    }

    public static int importCount(Optional<JsonValue> jsonValue) {
        return jsonValue.map(ImportRecordsCheckpointJson::fromJson).map(c -> c.getImportCount()).orElse(0);
    }
}
