/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

import org.activityinfo.json.AutoJson;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

@AutoJson
public class ImportRecordsJob implements JobDescriptor<ImportResult> {

    public static final String TYPE = "importRecords";

    private final ResourceId formId;
    private final String importId;

    public ImportRecordsJob(ResourceId formId, String importId) {
        this.formId = formId;
        this.importId = importId;
    }

    @Override
    public String getType() {
        return TYPE;
    }

    @Override
    public ImportResult parseResult(JsonValue resultObject) {
        return new ImportResult();
    }

    @Override
    public <R> R accept(JobVisitor<R> visitor) {
        return visitor.visit(this);
    }

    public ResourceId getFormId() {
        return formId;
    }

    public String getImportId() {
        return importId;
    }

    @Override
    public boolean isReadOnly() {
        return false;
    }

    @Override
    public JsonValue toJson() {
        return ImportRecordsJobJson.toJson(this);
    }
}
