/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.query;

public class BlankColumnView extends ColumnView {

    private ColumnType type;
    private int rowCount;

    protected BlankColumnView() {
    }

    public BlankColumnView(ColumnType type, int rowCount) {
        this.type = type;
        this.rowCount = rowCount;
    }

    @Override
    public ColumnType getType() {
        return type;
    }

    @Override
    public int numRows() {
        return rowCount;
    }

    @Override
    public Object get(int row) {
        return null;
    }

    @Override
    public double getDouble(int row) {
        return Double.NaN;
    }

    @Override
    public String getString(int row) {
        return null;
    }

    @Override
    public int getBoolean(int row) {
        return BLANK;
    }

    @Override
    public boolean isBlank(int row) {
        return true;
    }

    @Override
    public ColumnView select(int[] selectedRows) {
        return new BlankColumnView(this.type, selectedRows.length);
    }

    @Override
    public String toString() {
        return "[ " + numRows() + " empty values ]";
    }

    @Override
    public int[] order(int[] sortVector, SortDir direction, int[] range) {
        return sortVector;
    }
}
