/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.resource;

import org.activityinfo.promise.HttpError;

public enum RecoverRecordResult implements HttpError {
    RECOVERED(200),
    FORM_NOT_FOUND(NOT_FOUND_404),
    RECORD_NOT_FOUND(NOT_FOUND_404),
    RECORD_NOT_DELETED(BAD_REQUEST_400),
    UNSUPPORTED(BAD_REQUEST_400),
    PERMISSION_DENIED(FORBIDDEN_403);

    private int statusCode;

    RecoverRecordResult(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
