/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.resource;

import org.activityinfo.promise.HttpError;

public enum UploadAttachmentResult implements HttpError {

    OK(200),

    FORM_NOT_FOUND(NOT_FOUND_404),

    /**
     * The collection link has been closed, and no uploads can be made.
     */
    COLLECTION_LINK_CLOSED(FORBIDDEN_403),

    /**
     * Users must have ADD_RECORD or EDIT_RECORD to stage an attachment
     */
    MISSING_ADD_OR_EDIT_PERMISSION(FORBIDDEN_403),

    /**
     * An attachment with this id already exists.
     */
    ATTACHMENT_ALREADY_EXISTS(409),

    COLLECTION_LINK_NOT_FOUND(NOT_FOUND_404),

    STORAGE_ERROR(500);

    private int statusCode;

    UploadAttachmentResult(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
