package org.activityinfo.model.search;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class SearchResultsJson {
  public static JsonValue toJson(SearchResults model) {
    JsonValue object = Json.createObject();
    object.put("searchString", model.getSearchString());
    object.put("results", JsonArrays.toJsonArray(model.getResults(), SearchResultJson::toJson));
    object.put("truncated", model.isTruncated());
    object.put("partial", model.isPartial());
    return object;
  }

  public static SearchResults fromJson(JsonValue object) {
    return new SearchResults(object.getString("searchString"),
        JsonArrays.listFromJson(object.get("results"), SearchResultJson::fromJson),
        object.getBoolean("truncated"),
        object.getBoolean("partial"));
  }
}
