/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.setup;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;
import org.activityinfo.model.annotation.Builder;

import java.util.Optional;

@AutoJson
@AutoBuilder
public class CertificateConfiguration {

    private final boolean httpsProxyEnabled;

    private final String domain;
    private final boolean licensed;
    private final int httpPort;
    private final Optional<PendingCertificateOrder> pendingOrder;
    private final Optional<CertificateStatus> current;

    @Builder
    public CertificateConfiguration(boolean httpsProxyEnabled, String domain, boolean licensed, int httpPort, Optional<PendingCertificateOrder> pendingOrder, Optional<CertificateStatus> current) {
        this.httpsProxyEnabled = httpsProxyEnabled;
        this.domain = domain;
        this.licensed = licensed;
        this.httpPort = httpPort;
        this.pendingOrder = pendingOrder;
        this.current = current;
    }

    public String getDomain() {
        return domain;
    }

    public boolean isLicensed() {
        return licensed;
    }

    public int getHttpPort() {
        return httpPort;
    }

    public Optional<PendingCertificateOrder> getPendingOrder() {
        return pendingOrder;
    }

    public Optional<CertificateStatus> getCurrent() {
        return current;
    }

    public boolean isHttpsProxyEnabled() {
        return httpsProxyEnabled;
    }
}
