package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class CertificateConfigurationJson {
  public static JsonValue toJson(CertificateConfiguration model) {
    JsonValue object = Json.createObject();
    object.put("httpsProxyEnabled", model.isHttpsProxyEnabled());
    object.put("domain", model.getDomain());
    object.put("licensed", model.isLicensed());
    object.put("httpPort", model.getHttpPort());
    object.put("pendingOrder", JsonArrays.optionalToJson(model.getPendingOrder(), PendingCertificateOrderJson::toJson));
    object.put("current", JsonArrays.optionalToJson(model.getCurrent(), CertificateStatusJson::toJson));
    return object;
  }

  public static CertificateConfiguration fromJson(JsonValue object) {
    return new CertificateConfiguration(object.getBoolean("httpsProxyEnabled"),
        object.getString("domain"),
        object.getBoolean("licensed"),
        (int)object.getNumber("httpPort"),
        JsonArrays.optionalFromJson(object.get("pendingOrder"), PendingCertificateOrderJson::fromJson),
        JsonArrays.optionalFromJson(object.get("current"), CertificateStatusJson::fromJson));
  }
}
