/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.setup;

import org.activityinfo.json.AutoJson;

import java.util.List;

@AutoJson
public class IdpConfiguration {

    public static final String AZURE_COMMON = "https://login.microsoftonline.com/common/v2.0";

    private final String id;
    private final IdpType type;
    private final String url;
    private final String clientId;
    private final String clientSecret;
    private final List<String> domains;

    public IdpConfiguration(String id, IdpType type, String url, String clientId, String clientSecret, List<String> domains) {
        this.id = id;
        this.type = type;
        this.url = url;
        this.clientId = clientId;
        this.clientSecret = clientSecret;
        this.domains = domains;
    }

    public IdpType getType() {
        return type;
    }

    public String getId() {
        return id;
    }

    public String getUrl() {
        return url;
    }

    public String getClientId() {
        return clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public List<String> getDomains() {
        return domains;
    }
}
