package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class IdpConfigurationJson {
  public static JsonValue toJson(IdpConfiguration model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("type", model.getType().name());
    object.put("url", model.getUrl());
    object.put("clientId", model.getClientId());
    object.put("clientSecret", model.getClientSecret());
    object.put("domains", JsonArrays.toJsonArray(model.getDomains(), Json::create));
    return object;
  }

  public static IdpConfiguration fromJson(JsonValue object) {
    return new IdpConfiguration(object.getString("id"),
        JsonArrays.enumFromJson(object.get("type"), IdpType::valueOf, IdpType.OPENID_CONNECT),
        object.getString("url"),
        object.getString("clientId"),
        object.getString("clientSecret"),
        JsonArrays.listFromJson(object.get("domains"), JsonValue::asString));
  }
}
