/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.setup;

import org.activityinfo.json.AutoJson;

@AutoJson
public class PendingCertificateOrder {

    public static final String PENDING_STATUS = "PENDING";

    public static final String INVALID_STATUS = "INVALID";

    private final String domain;
    private final String status;
    private final String errorMessage;

    public PendingCertificateOrder(String domain, String status, String errorMessage) {
        this.domain = domain;
        this.status = status;
        this.errorMessage = errorMessage;
    }

    public String getDomain() {
        return domain;
    }

    public String getStatus() {
        return status;
    }

    public boolean isChallengeFailed() {
        return status.equals(INVALID_STATUS);
    }

    public String getErrorMessage() {
        return errorMessage;
    }
}
