/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.setup;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.AutoBuilder;

@AutoJson
@AutoBuilder
public class SmtpConfiguration {

    private final boolean enabled;
    private final String senderAddress;
    private final String host;
    private final String username;
    private final String password;
    private final int port;

    public SmtpConfiguration(boolean enabled, String senderAddress, String host, int port, String username, String password) {
        this.enabled = enabled;
        this.senderAddress = senderAddress;
        this.host = host;
        this.username = username;
        this.password = password;
        this.port = port;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public String getSenderAddress() {
        return senderAddress;
    }

    public String getHost() {
        return host;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

    public int getPort() {
        return port;
    }
}
