package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class SmtpConfigurationJson {
  public static JsonValue toJson(SmtpConfiguration model) {
    JsonValue object = Json.createObject();
    object.put("enabled", model.isEnabled());
    object.put("senderAddress", model.getSenderAddress());
    object.put("host", model.getHost());
    object.put("username", model.getUsername());
    object.put("password", model.getPassword());
    object.put("port", model.getPort());
    return object;
  }

  public static SmtpConfiguration fromJson(JsonValue object) {
    return new SmtpConfiguration(object.getBoolean("enabled"),
        object.getString("senderAddress"),
        object.getString("host"),
        (int)object.getNumber("port"),
        object.getString("username"),
        object.getString("password"));
  }
}
