
package java.util.concurrent;

/**
 * Simple drop-in replacement for ThreadLocalRandom for compilation to JavaScript. Since
 * the JavaScript runtime is single-threaded, we just return a reference to a singlelton instance of Random.
 */
public class ThreadLocalRandom extends java.util.Random {

    private static ThreadLocalRandom INSTANCE = new ThreadLocalRandom();

    public static ThreadLocalRandom current() {
        return INSTANCE;
    }
}