package org.activityinfo.model.formula.functions;

import com.google.gwt.i18n.client.NumberFormat;

import java.util.function.DoubleFunction;

/**
 * Alternate version of FormatterFactory for GWT.
 */
class FormatterFactory {

    public static DoubleFunction<String> createFormatter(String pattern) {
        try {
            NumberFormat numberFormat = NumberFormat.getFormat(pattern);
            return numberFormat::format;
        } catch (RuntimeException e) {
            return (format) -> "#errPattern";
        }
    }
}
