package org.activityinfo.model.sync;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class RecordSyncRequestJson {
  public static JsonValue toJson(RecordSyncRequest model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId().asString());
    object.put("localVersion", model.getLocalVersion());
    object.put("version", model.getVersion());
    object.put("cursor", JsonArrays.optionalToJson(model.getCursor(), Json::create));
    return object;
  }

  public static RecordSyncRequest fromJson(JsonValue object) {
    return new RecordSyncRequest(ResourceId.valueOf(object.getString("formId")),
        object.getString("localVersion"),
        object.getString("version"),
        JsonArrays.optionalFromJson(object.get("cursor"), JsonValue::asString));
  }
}
