package org.activityinfo.model.sync;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class SyncDeltaJson {
  public static JsonValue toJson(SyncDelta model) {
    JsonValue object = Json.createObject();
    object.put("updatedDatabases", JsonArrays.toJsonArray(model.getUpdatedDatabases(), UpdatedDatabaseJson::toJson));
    object.put("updatedForms", JsonArrays.toJsonArray(model.getUpdatedForms(), UpdatedFormJson::toJson));
    object.put("removedDatabases", JsonArrays.toJsonArray(model.getRemovedDatabases(), ResourceId::toJson));
    object.put("removedForms", JsonArrays.toJsonArray(model.getRemovedForms(), ResourceId::toJson));
    return object;
  }

  public static SyncDelta fromJson(JsonValue object) {
    return new SyncDelta(JsonArrays.listFromJson(object.get("updatedDatabases"), UpdatedDatabaseJson::fromJson),
        JsonArrays.listFromJson(object.get("updatedForms"), UpdatedFormJson::fromJson),
        JsonArrays.listFromJson(object.get("removedDatabases"), ResourceId::fromJson),
        JsonArrays.listFromJson(object.get("removedForms"), ResourceId::fromJson));
  }
}
