/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.sync;

import org.activityinfo.json.AutoJson;

/**
 * Describes what the user wants offline, and what they currently have.
 */
@AutoJson
public class SyncRequest {

    private final OfflineSet offlineSet;
    private final OfflineSnapshot offlineSnapshot;

    public SyncRequest(OfflineSet offlineSet, OfflineSnapshot offlineSnapshot) {
        this.offlineSet = offlineSet;
        this.offlineSnapshot = offlineSnapshot;
    }

    /**
     * @return the set of databases the user has requested to store offline.
     */
    public OfflineSet getOfflineSet() {
        return offlineSet;
    }

    /**
     *
     * @return the status of the current offline snapshot
     */
    public OfflineSnapshot getOfflineSnapshot() {
        return offlineSnapshot;
    }

    public boolean isEmpty() {
        return offlineSet.isEmpty() && offlineSnapshot.isEmpty();
    }

}
