package org.activityinfo.model.sync;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.database.VisibleDatabaseTreeJson;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.promise.Maybe;

public final class UpdatedDatabaseJson {
  public static JsonValue toJson(UpdatedDatabase model) {
    JsonValue object = Json.createObject();
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("version", model.getVersion());
    object.put("state", model.getState().name());
    object.put("tree", JsonArrays.optionalToJson(model.getTree(), VisibleDatabaseTreeJson::toJson));
    return object;
  }

  public static UpdatedDatabase fromJson(JsonValue object) {
    return new UpdatedDatabase(ResourceId.valueOf(object.getString("databaseId")),
        object.getString("version"),
        JsonArrays.enumFromJson(object.get("state"), Maybe.State::valueOf, Maybe.State.VISIBLE),
        JsonArrays.optionalFromJson(object.get("tree"), VisibleDatabaseTreeJson::fromJson));
  }
}
