/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type;

import org.activityinfo.json.JsonValue;
import org.activityinfo.model.form.JsonParsing;

/**
 * @author yuriyz on 2/6/14.
 */
public enum Cardinality {

    /**
     * At most one instance may linked to the field
     */
    SINGLE,

    /**
     * Any number of instances may be linked to the field
     */
    MULTIPLE;

    public static Cardinality valueOf(JsonValue element) {
        return valueOf(JsonParsing.fromEnumValue(element));
    }
}
