/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type;

import org.activityinfo.json.JsonValue;
import org.activityinfo.model.formula.FormulaType;
import org.activityinfo.model.query.ColumnView;

public interface FieldType {

    /**
     * @return the {@code FieldTypeClass} of which this {@code FieldType}
     * is a member
     */
    FieldTypeClass getTypeClass();

    FieldValue parseJsonValue(JsonValue value);

    <T> T accept(FieldTypeVisitor<T> visitor);

    /**
     * @return true if fields of this type can be set by the user.
     */
    boolean isUpdatable();

    FormulaType getFormulaType();

    ColumnView toFormulaValue(FieldValue fieldValue);

    default boolean hasValue() {
        return true;
    }
}
