/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type;

import org.activityinfo.model.type.attachment.AttachmentType;
import org.activityinfo.model.type.barcode.BarcodeType;
import org.activityinfo.model.type.enumerated.EnumType;
import org.activityinfo.model.type.expr.CalculatedFieldType;
import org.activityinfo.model.type.geo.GeoAreaType;
import org.activityinfo.model.type.geo.GeoPointType;
import org.activityinfo.model.type.number.QuantityType;
import org.activityinfo.model.type.primitive.TextType;
import org.activityinfo.model.type.subform.SubFormReferenceType;
import org.activityinfo.model.type.time.*;

public interface FieldTypeVisitor<T> {
    T visitAttachment(AttachmentType attachmentType);

    T visitCalculated(CalculatedFieldType calculatedFieldType);

    T visitReference(ReferenceType referenceType);

    T visitNarrative(NarrativeType narrativeType);

    T visitQuantity(QuantityType type);

    T visitGeoPoint(GeoPointType geoPointType);

    T visitGeoArea(GeoAreaType geoAreaType);

    T visitEnum(EnumType enumType);

    T visitBarcode(BarcodeType barcodeType);

    T visitSubForm(SubFormReferenceType subFormReferenceType);

    T visitLocalDate(LocalDateType localDateType);

    T visitMonth(MonthType monthType);

    T visitYear(YearType yearType);

    T visitFortnight(FortnightType fortnightType);

    T visitWeek(EpiWeekType epiWeekType);

    T visitLocalDateInterval(LocalDateIntervalType localDateIntervalType);

    T visitText(TextType textType);

    T visitSerialNumber(SerialNumberType serialNumberType);

    T visitSectionHeader(SectionHeaderType sectionHeaderType);

}
