/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type;

import org.activityinfo.json.JsonValue;
import org.activityinfo.model.formula.FormulaType;
import org.activityinfo.model.query.ColumnView;

public class SectionHeaderType implements FieldType {

    public static final SectionHeaderType INSTANCE = new SectionHeaderType();

    public static final FieldTypeClass TYPE_CLASS = new RecordFieldTypeClass() {
        @Override
        public String getId() {
            return "section";
        }

        @Override
        public FieldType createType() {
            return INSTANCE;
        }
    };

    private SectionHeaderType() {
    }

    @Override
    public FieldTypeClass getTypeClass() {
        return TYPE_CLASS;
    }

    @Override
    public FieldValue parseJsonValue(JsonValue value) {
        // Section headers don't have values
        return null;
    }

    @Override
    public <T> T accept(FieldTypeVisitor<T> visitor) {
        return visitor.visitSectionHeader(this);
    }

    @Override
    public boolean isUpdatable() {
        return false;
    }

    @Override
    public FormulaType getFormulaType() {
        return FormulaType.OPAQUE;
    }

    public ColumnView toFormulaValue(FieldValue fieldValue) {
        throw new UnsupportedOperationException();
    }

    @Override
    public boolean hasValue() {
        return false;
    }
}
