/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type.attachment;

import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.model.type.RecordRef;

public class AttachmentRef {
    private RecordRef recordRef;
    private ResourceId fieldId;
    private String attachmentId;

    public AttachmentRef(RecordRef recordRef, ResourceId fieldId, String attachmentId) {
        this.recordRef = recordRef;
        this.fieldId = fieldId;
        this.attachmentId = attachmentId;
    }

    public AttachmentRef(RecordRef recordRef, String fieldId, String blobId) {
        this(recordRef, ResourceId.valueOf(fieldId), blobId);
    }

    public RecordRef getRecordRef() {
        return recordRef;
    }

    public ResourceId getFieldId() {
        return fieldId;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public ResourceId getFormId() {
        return recordRef.getFormId();
    }

    public ResourceId getRecordId() {
        return recordRef.getRecordId();
    }

    @Override
    public String toString() {
        return "AttachmentRef{" +
            "recordRef=" + recordRef +
            ", fieldId=" + fieldId +
            ", attachmentId='" + attachmentId + '\'' +
            '}';
    }
}
