/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type.number;

import com.google.gwt.i18n.client.LocaleInfo;
import com.google.gwt.i18n.client.NumberFormat;
import com.google.gwt.i18n.client.constants.NumberConstants;

/**
 * Describes the formatting of a quantity field / column.
 */
public class QuantityFormat {
    private int fractionDigits;

    public QuantityFormat(int fractionDigits) {
        this.fractionDigits = fractionDigits;
    }

    public int getFractionDigits() {
        return fractionDigits;
    }


    public NumberFormat createFormatter() {
        NumberConstants numberConstants = LocaleInfo.getCurrentLocale().getNumberConstants();
        return NumberFormat.getFormat(numberConstants.decimalPattern())
                .overrideFractionDigits(getFractionDigits());
    }
}
