/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type.time;

import org.activityinfo.model.type.FieldType;
import org.activityinfo.model.type.RecordRef;

/**
 * Marker interface for FieldTypes describing a calendar interval
 */
public interface PeriodType extends FieldType {

    PeriodValue parseString(String string);

    PeriodValue fromSubFormKey(RecordRef ref);

    /**
     * Returns the {@code PeriodValue} of this type that contains the given
     * {@code localDate}
     */
    PeriodValue containingDate(LocalDate localDate);


}