/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.observable;

import com.google.gwt.core.shared.GwtIncompatible;

import java.util.function.Function;

public class ConstantObservable<T> extends Observable<T> {
    
    private final T value;

    public ConstantObservable(T value) {
        this.value = value;
        this.cachedValue = value;
    }

    @Override
    public <R> Observable<R> transform(Function<T, R> function) {
        return Observable.just(function.apply(value));
    }

    @Override
    public <R> Observable<R> join(Function<T, Observable<R>> function) {
        return function.apply(value);
    }

    @Override
    @GwtIncompatible
    public T waitFor() {
        return value;
    }
}
