/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.observable;

import com.google.gwt.core.shared.GWT;

public final class EventLoopScheduler implements Scheduler {

    public static final EventLoopScheduler SCHEDULER = new EventLoopScheduler();

    private EventLoopScheduler() {}

    @Override
    public void schedule(Runnable runnable) {
        if(GWT.isScript()) {
            com.google.gwt.core.client.Scheduler.get().scheduleDeferred(() -> runnable.run());
        } else {
            runnable.run();
        }
    }
}
