/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.server.api.common;

import org.activityinfo.model.form.FormMetadata;
import org.activityinfo.model.formTree.FormMetadataProvider;
import org.activityinfo.model.permission.FormPermissions;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.store.spi.RecordTransaction;

/**
 * Used to build a form tree while evaluting permission formulas
 */
public class UnsupervisedFormClassProvider implements FormMetadataProvider {

    private RecordTransaction tx;

    public UnsupervisedFormClassProvider(RecordTransaction tx) {
        this.tx = tx;
    }

    @Override
    public FormMetadata getFormMetadata(ResourceId formId) {
        return tx.getFormClass(formId)
            .map(schema -> FormMetadata.of(schema, FormPermissions.readonly()))
            .orElse(FormMetadata.notFound(formId));
    }
}
