
<#ftl output_format="HTML">

<#-- HTML for Emails is the worst.
     This template is based on Cerberus fluid template:
     https://github.com/TedGoas/Cerberus
     MIT License -->


<#assign black="#243233">
<#assign grey1="#f2f7f7">
<#assign background="#f2f7f7">

<#assign fontFamily="Helvetica,Arial,Tahoma,sans-serif">

<#assign maxWidth="640">

<#assign horizontalPadding="20px">

<#assign bodyFontSize="15px">
<#assign bodyLineHeight="20px">
<#assign buttonFontSize="15px">

<#-- Flip left and right when the language is RTL -->
<#if dir=="ltr">
    <#assign left="left">
    <#assign right="right">
<#else>
    <#assign left="right">
    <#assign right="left">
</#if>

<#macro table style="" align="" width="">
<table role="presentation" align="${align}" dir="${dir}" border="0" cellpadding="0" cellspacing="0"<#if align?has_content> align="${align}"</#if><#if width?has_content> width="${width}"</#if><#if style?has_content> style="${style}"</#if>>
<#nested>
</table>
</#macro>

<#macro container>
<#compress>
    <!DOCTYPE html>
    <html lang="${language}" dir="${dir}" xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
    <head>
        <meta http-equiv="Content-Type" content="text/html charset=UTF-8" />
        <meta charset="utf-8"> <#-- utf-8    works for most cases -->
        <meta name="viewport" content="width=device-width"> <#-- Forcing initial-scale shouldn't be necessary -->
        <meta http-equiv="X-UA-Compatible" content="IE=edge"> <#-- Use the latest (edge) version of IE rendering engine -->
        <meta name="x-apple-disable-message-reformatting">  <#-- Disable auto-scale in iOS 10 Mail entirely -->
        <meta name="format-detection" content="telephone=no,address=no,email=no,date=no,url=no"> <#-- Tell iOS not to automatically link certain text strings. -->
        <title>${subject}</title> <#-- The title tag shows in email notifications, like Android 4.4. -->

        <#-- CSS Reset : BEGIN -->
        <style>
            <#-- What it does: Remove spaces around the email design added by some email clients.  -->
            <#-- Beware: It can remove the padding / margin and add a background color to the compose a reply window.  -->
            html,
            body {
                margin: 0 auto !important;
                padding: 0 !important;
                height: 100% !important;
                width: 100% !important;
            }
            <#-- What it does: Stops email clients resizing small text.  -->
            * {
                -ms-text-size-adjust: 100%;
                -webkit-text-size-adjust: 100%;
            }
            <#-- What it does: Centers email on Android 4.4  -->
            div[style*="margin: 16px 0"] {
                margin: 0 !important;
            }

            <#-- What it does: forces Samsung Android mail clients to use the entire viewport -->
            #MessageViewBody, #MessageWebViewDiv{
                width: 100% !important;
            }

            <#-- What it does: Stops Outlook from adding extra spacing to tables.  -->
            table,
            td {
                mso-table-lspace: 0pt !important;
                mso-table-rspace: 0pt !important;
            }
            <#-- What it does: Fixes webkit padding issue.  -->
            table {
                border-spacing: 0 !important;
                border-collapse: collapse !important;
                table-layout: fixed !important;
                margin: 0 auto !important;
            }
            <#-- What it does: Uses a better rendering method when resizing images in IE.  -->
            img {
                -ms-interpolation-mode:bicubic;
            }
            <#-- What it does: Prevents Windows 10 Mail from underlining links despite inline CSS. Styles for underlined links should be inline.  -->
            a {
                text-decoration: none;
            }
            <#-- What it does: A work-around for email clients meddling in triggered links.  -->
            a[x-apple-data-detectors],  <#-- iOS  -->
            .unstyle-auto-detected-links a,
            .aBn {
                border-bottom: 0 !important;
                cursor: default !important;
                color: inherit !important;
                text-decoration: none !important;
                font-size: inherit !important;
                font-family: inherit !important;
                font-weight: inherit !important;
                line-height: inherit !important;
            }
            <#-- What it does: Prevents Gmail from displaying a download button on large, non-linked images.  -->
            .a6S {
                display: none !important;
                opacity: 0.01 !important;
            }
            <#-- What it does: Prevents Gmail from changing the text color in conversation threads.  -->
            .im {
                color: inherit !important;
            }
            <#-- If the above doesn't work, add a .g-img class to any image in question.  -->
            img.g-img + div {
                display: none !important;
            }
            <#-- What it does: Removes right gutter in Gmail iOS app: https://github.com/TedGoas/Cerberus/issues/89   -->
            <#-- Create one of these media queries for each additional viewport size you'd like to fix  -->
            <#-- iPhone 4, 4S, 5, 5S, 5C, and 5SE  -->
            @media only screen and (min-device-width: 320px) and (max-device-width: 374px) {
                u ~ div .email-container {
                    min-width: 320px !important;
                }
            }
            <#-- iPhone 6, 6S, 7, 8, and X  -->
            @media only screen and (min-device-width: 375px) and (max-device-width: 413px) {
                u ~ div .email-container {
                    min-width: 375px !important;
                }
            }
            <#-- iPhone 6+, 7+, and 8+  -->
            @media only screen and (min-device-width: 414px) {
                u ~ div .email-container {
                    min-width: 414px !important;
                }
            }
        </style>

        <#-- What it does: Makes background images in 72ppi Outlook render at correct size. -->
        <!--[if gte mso 9]>
        <xml>
            <o:OfficeDocumentSettings>
                <o:AllowPNG/>
                <o:PixelsPerInch>96</o:PixelsPerInch>
            </o:OfficeDocumentSettings>
        </xml>
        <![endif]-->

        <#-- CSS Reset : END -->

        <#-- Progressive Enhancements : BEGIN -->
        <style>

            <#-- Add additional padding when the screen is large enough -->
            @media screen and (min-width: 400px ) {
                .email-footer,
                .email-body {
                    padding-left: 40px !important;
                    padding-right: 40px !important;
                }
            }
            @media screen and (min-width: 700px ) {
                .email-footer,
                .email-body {
                    padding-left: 60px !important;
                    padding-right: 60px !important;
                }
                .email-body {
                    padding-top: 40px !important;
                }
            }
            <#-- hide avatars on very small screens -->
            @media screen and (max-width: 400px) {
                .avatar {
                    display: none;
                }
            }
            .plainlink:visited {
                color: #466366;
            }
        </style>

        <#-- Outlook desktop does not support media queries, but assume that the desktop will be wide
             enough to warrant additional padding -->
        <!--[if mso | IE]>
        <style>
            .email-body {
                padding-top: 40px !important;
            }
            .email-body,
            .email-footer {
                padding-left: 40px !important;
                padding-right: 40px !important;
            }
        </style>
        <![endif]-->

        <#-- Progressive Enhancements : END -->

    </head>
    <#--
        The email background color (${background}) is defined in three places:
        1. body tag: for most email clients
        2. center tag: for Gmail and Inbox mobile apps and web versions of Gmail, GSuite, Inbox, Yahoo, AOL, Libero, Comcast, freenet, Mail.ru, Orange.fr
        3. mso conditional: For Windows 10 Mail
    -->
    <body width="100%" style="margin: 0; padding: 0 !important; mso-line-height-rule: exactly; background-color: ${background};" x-ms-format-detection="none">
    <center role="article" aria-roledescription="email" lang="${language}" style="width: 100%; background-color: ${background};">
        <!--[if mso | IE]>
        <@table width="100%" style="background-color: ${background};">
            <tr>
                <td>
        <![endif]-->

        <#-- Visually Hidden Preheader Text : BEGIN -->
        <#if preheader?has_content>
        <div style="display: none; font-size: 1px; line-height: 1px; max-height: 0px; max-width: 0px; opacity: 0; overflow: hidden; mso-hide: all; font-family: sans-serif;">
            <#-- (Optional) This text will appear in the inbox preview, but not the email body. It can be used to supplement
                the email subject line or even summarize the email's contents. Extended text preheaders (~490 characters)
                 seems like a better UX for anyone using a screenreader or voice-command apps like Siri to dictate the contents
                 of an email. If this text is not included, email clients will automatically populate it using the text
                  (including image alt text) at the start of the email's body. -->
            ${preheader}
        </div>
        <#-- Visually Hidden Preheader Text : END -->

        <#-- Create white space after the desired preview text so email clients don’t pull other distracting text into the inbox preview. Extend as necessary. -->
        <#-- Preview Text Spacing Hack : BEGIN -->
        <div style="display: none; font-size: 1px; line-height: 1px; max-height: 0px; max-width: 0px; opacity: 0; overflow: hidden; mso-hide: all; font-family: sans-serif;">
            &zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;
            &zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;

        </div>
        </#if>
        <#-- Preview Text Spacing Hack : END -->

        <#--
            Set the email width. Defined in two places:
            1. max-width for all clients except Desktop Windows Outlook, allowing the email to squish on narrow but never go wider than ${maxWidth}px.
            2. MSO tags for Desktop Windows Outlook enforce a ${maxWidth} width.
        -->
        <div style="max-width: ${maxWidth}px; margin: 0 auto;" class="email-container">
            <!--[if mso]>
            <@table align="center" width="${maxWidth}">
                <tr>
                    <td>
            <![endif]-->

            <#-- Email Body : BEGIN -->
            <@table align="center" width="100%" style="margin: auto;">

                <tr>
                    <td align="${left}" class="email-body" style="background-color: #ffffff; font-family: ${fontFamily}; font-size: ${bodyFontSize}; line-height: 20px; color: ${black}; padding: 20px ${horizontalPadding};">
                        <#nested>
                    </td>
                </tr>

                <#-- Gradient spacer -->
                <tr>
                    <td aria-hidden="true" height="9" style="<@compress single_line=true>
                        font-size: 0px;
                        line-height: 0px;
                        background-color: #00CF79;
                        <#if dir=='ltr'>
                        background-image: linear-gradient(45deg, #00CF79 0%, #00cfcd 100%);
                        <#else>
                        background-image: linear-gradient(-45deg, #00CF79 0%, #00cfcd 100%);
                        </#if>
                    </@compress>">
                        &nbsp;
                    </td>
                </tr>

                <#-- Footer -->
                <tr>
                    <td class="email-footer" style="padding: 20px ${horizontalPadding}; background-color: ${grey1};">
                        <@table width="100%">
                            <tr>
                                <td align="${left}" class="email-block" style="<@compress single_line=true>
                                    font-family: sans-serif;
                                    font-size: ${bodyFontSize};
                                    line-height: ${bodyFontSize};
                                    color: #466366;
                                </@compress>">
                                    <p style="margin: 0; direction: ltr;">ActivityInfo is a product of BeDataDriven&nbsp;B.V.</p>
                                    <p style="margin: 0; font-size: 12px; direction: ltr;">Binckhorstlaan 36, The Hague, The Netherlands</p>
                                    <#if settingsUrl??>
                                    <p style="margin: 0;"><a href="${settingsUrl}" style="color: ${black}; text-decoration: underline; font-size: 12px;">${i18n.notificationSettings}</a></p>
                                    </#if>
                                </td>
                            </tr>
                        </@table>
                    </td>
                </tr>
                <#-- Footer : END -->

            </@table>
            <#-- Email Body : END -->

            <!--[if mso]>
            </td>
            </tr>
            </@table>
            <![endif]-->
        </div>

        <!--[if mso | IE]>
        </td>
        </tr>
        </@table>
        <![endif]-->
    </center>
    </body>
    </html>
</#compress>
</#macro>

<#macro section>

    <tr>
        <td class="email-block" style="padding: 20px ${horizontalPadding};">
            <#nested>
        </td>
    </tr>
</#macro>

<#macro cta url bgcolor="#91f2ca" icon="">
    <@table width="100%">
        <tr>
            <td align="${left}" style="padding-top: 10px">
                <@button url=url bgcolor=bgcolor icon=icon><#nested></@button>
            </td>
        </tr>
        <tr>
            <td align="${left}" style="padding-top: 5px; padding-bottom: 20px;">
                <@plainlink url=url/>
            </td>
        </tr>
    </@table>
</#macro>

<#-- Buttons using the "border button" strategy -->
<#-- See https://litmus.com/blog/a-guide-to-bulletproof-buttons-in-email-design -->

<#macro button url bgcolor="#91f2ca" textcolor="#243233" icon="">
    <@table style="margin: auto;" width="100%">
        <tr>
            <td align="${left}" style="<@compress single_line=true>
                border-radius: 3px;
                background-color: ${bgcolor};
            </@compress>">
                <a href="${url}" style="<@compress single_line=true>
                background-color: ${bgcolor};
               <#if icon?has_content>
                background-image: url('${domain.rootUrl}/img/${icon}.png') ;
                background-repeat: no-repeat;
                background-position: ${left} center;
                padding-${left}: 24px;
                </#if>
                border: none;
                font-family: ${fontFamily};
                font-weight: bold;
                font-size: 15px;
                line-height: 15px;
                text-decoration: none;
                border-top: 12px solid ${bgcolor};
                border-right: 16px solid ${bgcolor};
                border-left: 16px solid ${bgcolor};
                border-bottom: 12px solid ${bgcolor};
                color: ${textcolor};
                display: block;
                border-radius: 3px;
                </@compress>"><#nested></a>
            </td>
        </tr>
    </@table>
</#macro>


<#macro p>
    <p style="margin: 0; clear: both;"><#nested></p>
</#macro>

<#macro signoff>
    <br>
    <@p>${i18n.emailSignoff}
        <br><br>${i18n.emailSignature}</@p>
    <br>
    <@table align="${left}">
        <tr>
            <td align="${left}" style="padding-top: 20px; padding-bottom: 20px; text-align: ${left};">
                <img src="${domain.rootUrl}/img/signoff-logo.png" width="30" height="31" alt="" role="presentation" align="${left}">
            </td>
        </tr>
    </@table>
</#macro>

<#macro plainlink url>
    <a href="${url}" class="plainlink" style="<@compress single_line=true>
        font-family: ${fontFamily};
        font-size: 12px;
        line-height: 12px;
        color: #466366;
        text-decoration: underline;
    </@compress>">${url}</a>
</#macro>