<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="${i18n.login}">

    <form action="/login/ad" method="POST" id="loginForm">
        <input name="page" value="${page?html}" type="hidden">
        <h1>${i18n.loginActiveDirectoryWindows}</h1>

        <noscript>
            <div class="alert alert--error">
                ${i18n.javascriptRequired}
            </div>
        </noscript>

        <#if errorMessage??>
        <div id="errorAlert" class="alert alert--error">
        ${errorMessage?html}
        </div>
        </#if>

        <label class="field">
            <span>${i18n.username}</span>
            <div>
                <input name="username" type="text" autocomplete="username" required value="${username?html}" ${usernameAutoFocus}>
            </div>
        </label>

        <label class="field">
            <span>${i18n.password}</span>
            <input id="password" type="password" name="password" autocomplete="current-password" ${passwordAutoFocus}>
        </label>

        <div id="domain">${i18n.activeDirectoryDomain}: <span>${activeDirectoryDomain?html}</span></div>

        <footer>
            <button id="submitButton" type="submit" disabled class="button button--primary">
                <@forwardIcon/>
                <span class="button__label">${i18n.continue_}</span>
            </button>
        </footer>
    </form>

    <script type="application/javascript">
        document.getElementById('submitButton').disabled = false;
    </script>
</@scaffolding>