<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="${i18n.resetPassword}">

    <form class="form" method="post" id="changePasswordForm" action="changePassword" method="post">
        <h1>${i18n.resetPassword}</h1>

        <#if errorMessage?has_content>
            <div class="alert alert--error" id="server-error">
            <p>${errorMessage}</p>
            </div>
        </#if>

        <input type="hidden" name="token" value="${token}">
        <input type="hidden" name="locale" value="${locale}">

        <#-- For password managers -->
        <input type="email" name="email" id="username" value="${email}" readonly style="position: absolute; opacity: 0;" aria-hidden="true" autocomplete="username"/>

        <label class="field">
            <span>${i18n.enterNewPassword}</span>
            <input  id="password1" type="password" autofocus name="password" required autocomplete="new-password" minlength="${minimumPasswordLength?c}" maxlength="64">
        </label>

        <label class="field">
            <span>${i18n.confirmPassword}</span>
            <input id="password2" type="password" name="password2" required autocomplete="new-password">
        </label>

        <footer>
            <button class="button button--primary" type="submit">${i18n.continue_}</button>
        </footer>
    </form>
    <#include "PasswordMatchScript.ftl">
</@scaffolding>
