<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="${i18n.welcomeToActivityInfo}">


    <form action="" method="post" id="confirmForm">


        <h1>${i18n.welcomeToActivityInfo}</h1>

        <p>${i18n.setupAccount}</p>
        <#if weakPassword == true>
            <div class="alert alert-error">
                Please choose a stronger password. Your password must be between 8 and 64 characters.
            </div>
        </#if>

        <input type="hidden" name="token" value="${token?html}">
        <label class="field">
            <span>${i18n.enterYourName}</span>
            <input type="text" name="name" id="nameInput" value="${name?html}" required autofocus autocomplete="name">
        </label>

        <label class="field">
            <span>${i18n.selectYourLanguage}</span>
            <select name="locale">
                <#list availableLocales as availableLocale>
                    <option value="${availableLocale.code}" <#if availableLocale.code?upper_case == locale.language?upper_case>selected</#if>>${availableLocale.localizedName}</option>
                </#list>
            </select>
        </label>

        <#-- For password managers -->
        <input type="email" name="email" id="username" value="${email?html}" readonly style="position: absolute; opacity: 0;" aria-hidden="true"/>

        <label class="field">
            <span>${i18n.enterNewPassword}</span>
            <input type="password" name="password" required minlength="8" maxlength="64" autocomplete="new-password" id="password1">
        </label>

        <label class="field">
            <span>${i18n.confirmPassword}</span>
            <input type="password" name="password2" required autocomplete="new-password" id="password2">
        </label>

        <#include "Terms.ftl">
        <#include "EmailOptIn.ftl">

        <footer>
            <button type="submit" class="button button--primary">${i18n.continue_}</button>
        </footer>
    </form>
    <#include "PasswordMatchScript.ftl">
</@scaffolding>
