<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="Start Free Trial">

    <form action="" method="post" id="signUpForm">

        <h1>Start your free trial</h1>

        <input type="hidden" name="page" value="${page}">

        <#if errorMessage??>
            <div class="alert alert--error">
                ${errorMessage?html}
            </div>
        </#if>

        <p>Fill out the form below to start your 30-day free trial and
            create your own database today.</p>

        <label class="field">
            <span>Your full name</span>
            <input type="text" name="name" required autofocus placeholder="Enter your full name" value="${name?html}">
        </label>

        <label class="field">
            <span>E-mail address</span>
            <input type="email" name="email" required placeholder="Enter your email address" value="${email?html}">
        </label>

        <label class="field">
            <span>Preferred language</span>
            <select name="locale" id="localeInput">
                <#list availableLocales as availableLocale>
                    <option value="${availableLocale.code}">${availableLocale.localizedName}</option>
                </#list>
            </select>
        </label>

        <#include "Terms.ftl">
        <#include "EmailOptIn.ftl">

        <footer>
            <button type="submit" class="button button--primary">Start your trial</button>
        </footer>
    </form>

</@scaffolding>
