<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="ActivityInfo user registration">

    <form action="" method="post" id="confirmForm">

        <#if genericError == true>
            <div class="alert alert--error">
                Sorry, we could not sign you up at this time.
                Please contact your local representative or send an email to the
                <a href="mailto:support@activityinfo.org?subject=Sign%20up%20error">system administrator</a>.
            </div>
        </#if>
        <#if weakPassword == true>
            <div class="alert alert--error">
                Please choose a stronger password. Your pasword must be between 8 and 64 characters.
            </div>
        </#if>

        <h1>Activate your account</h1>

        <p>Thank you for signing up to ActivityInfo! To complete the process, please fill in the following fields.</p>

        <input type="hidden" name="key" value="${key?html}"/>

        <#-- For password managers -->
        <#if email??>
        <input type="email" name="email" id="username" value="${email?html}" readonly style="position: absolute; opacity: 0;" aria-hidden="true"/>
        </#if>

        <label class="field">
            <span>${i18n.enterNewPassword}</span>
            <input type="password" name="password" minlength="8" maxlength="64" autofocus required autocomplete="new-password" id="password1">
        </label>

        <label class="field">
            <span>${i18n.confirmPassword}</span>
            <input type="password" name="password2" required autocomplete="new-password" id="password2">
        </label>

        <footer>
            <button type="submit" class="button button--primary">${i18n.continue_}</button>
        </footer>
    </form>
    <#include "PasswordMatchScript.ftl">
</@scaffolding>
