<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="Login problem">

    <div class="nonideal">

        <#if !emailSent>
        <@errorIllustration/>
        </#if>

        <h1>There was a problem logging you in.</h1>

        <p>We were not able to complete the login process with your identity provider. The error has
        been logged and we will resolve it as soon as possible.</p>

        <p>In the meantime, you may request a one-time code to continue logging in.</p>

        <#if emailSent>
            <p>In the meantime, we have sent a one-time code to you by email. Please enter the code
            below to continue.</p>

            <form method="post" action="/login/otc">
            <input type="hidden" name="email" value="${email}">

            <label class="field">
                <span>Enter the code you received by email:</span>
                <input type="text" name="code" required pattern="\d*" minlength="6" maxlength="6">
            </label>
            <footer>
                <button id="submitButton" type="submit" class="button button--primary">
                    <@forwardIcon/>
                    <span class="button__label">${i18n.continue_}</span>
                </button>
            </footer>
            </form>
        <#else>

            <div class="nonideal__links">
                <a href="/login" class="button button--primary">Try logging in again</a>
                <a href="mailto:support@activityinfo.org?subject=Idp%20failure" class="button">Contact support</a>
            </div>
        </#if>
    </div>
</@scaffolding>
