--
-- ActivityInfo 4.0
-- Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
--
-- Unauthorized copying of this file, via any medium is strictly prohibited
-- Proprietary and confidential
--

CREATE TABLE license (
    trialExpireTime INTEGER,
    trialCheck INTEGER,
    license BLOB);

CREATE TABLE users (
    id INTEGER PRIMARY KEY,
    email TEXT UNIQUE,
    name TEXT NOT NULL,
    passwordResetToken TEXT,
    passwordResetStartTime INTEGER,
    passwordResetCount INTEGER DEFAULT 0 NOT NULL,
    hashedPassword TEXT,
    locale TEXT,
    deliveryStatus TEXT,
    activationStatus TEXT,
    lastLoginTime INTEGER,
    billingAccountRole TEXT,
    platformRole TEXT,
    idp TEXT);

CREATE TABLE sessions (
    token TEXT PRIMARY KEY,
    userId INTEGER NOT NULL,
    expireTime INTEGER NOT NULL);

CREATE TABLE databases (
    id TEXT PRIMARY KEY,
    label TEXT NOT NULL,
    description TEXT,
    ownerId INTEGER NOT NULL,
    version INTEGER NOT NULL,
    locks TEXT,
    publishedTemplate INTEGER DEFAULT 0 NOT NULL,
    resources TEXT,
    securityCategories TEXT,
    roles TEXT,
    userFormSchemaVersion INTEGER DEFAULT 0 NOT NULL,
    userFormVersion INTEGER DEFAULT 0 NOT NULL,
    deleted INTEGER DEFAULT 0 NOT NULL,
    timeDeleted INTEGER);

CREATE TABLE forms (
    id TEXT PRIMARY KEY,
    label TEXT NOT NULL,
    databaseId TEXT NOT NULL,
    version INTEGER DEFAULT 0 NOT NULL,
    deleted INTEGER DEFAULT 0 NOT NULL,
    schema TEXT,
    schemaVersion INTEGER DEFAULT 0 NOT NULL);

CREATE TABLE serialNumbers (
    formId TEXT NOT NULL,
    fieldId TEXT NOT NULL,
    prefix TEXT,
    nextNumber INTEGER,
    PRIMARY KEY (formId, fieldId, prefix));

CREATE TABLE recordVersions (
    formId TEXT NOT NULL,
    recordId TEXT NOT NULL,
    parentId TEXT,
    time INTEGER NOT NULL,
    version INTEGER NOT NULL,
    schemaVersion INTEGER NOT NULL,
    type TEXT NOT NULL,
    userId INTEGER,
    fieldValues TEXT,
    PRIMARY KEY (formId, recordId, version));

CREATE INDEX recordVersionSyncIndex
    ON recordVersions(formId, version);

CREATE TABLE databaseUsers (
    databaseId TEXT NOT NULL,
    userId INTEGER NOT NULL,
    version INTEGER NOT NULL,
    role TEXT,
    roleId TEXT,
    inviteTime INTEGER,
    grants TEXT,
    PRIMARY KEY (databaseId, userId));

CREATE TABLE mailQueue (
   id INTEGER PRIMARY KEY,
   enqueueTime INTEGER NOT NULL,
   status TEXT NOT NULL,
   checkoutTime INTEGER,
   recipient TEXT,
   mail TEXT);

CREATE TABLE invites (
    token TEXT PRIMARY KEY,
    userId INTEGER NOT NULL,
    time INTEGER NOT NULL,
    databaseId TEXT);

CREATE TABLE jobs (
    id TEXT PRIMARY KEY,
    checkpoint TEXT);

CREATE TABLE apiTokens (
   id TEXT PRIMARY KEY,
   token TEXT NOT NULL UNIQUE,
   scope TEXT NOT NULL,
   userId INTEGER NOT NULL,
   label TEXT NOT NULL,
   timeAdded INTEGER,
   timeLastUsed INTEGER);

CREATE TABLE attachments (
    formId TEXT NOT NULL,
    recordId TEXT NOT NULL,
    fieldId TEXT NOT NULL,
    attachmentId TEXT NOT NULL,
    filename TEXT,
    content BLOB,
    PRIMARY KEY (formId, recordId, fieldId, attachmentId));
