/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.server;

import org.activityinfo.model.form.FormClass;
import org.activityinfo.model.formTree.FormClassProvider;
import org.activityinfo.model.resource.ResourceId;

import java.util.Collection;
import java.util.Map;
import java.util.Optional;

/**
 * Contract for obtaining a {@link FormStorage}
 * for a given {@code formId}
 */
public interface FormStorageProvider extends FormClassProvider {

    Optional<FormStorage> getForm(ResourceId formId);


    Map<ResourceId, FormClass> getFormClasses(Collection<ResourceId> formIds);
}
