/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.server;

import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.store.spi.FormVersionProvider;

import java.util.Optional;

public class FormVersionProviderAdapter implements FormVersionProvider {
    private final FormStorageProvider catalog;

    public FormVersionProviderAdapter(FormStorageProvider catalog) {
        this.catalog = catalog;
    }

    @Override
    public long getCurrentFormVersion(ResourceId formId) {
        Optional<FormStorage> storage = catalog.getForm(formId);
        if(storage.isPresent()) {
            return storage.get().wholeColumnCacheVersion();
        } else {
            return 0L;
        }
    }
}
