/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.server;

import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.model.sync.RecordSyncSet;
import org.activityinfo.store.spi.RecordVersion;

import java.util.Optional;
import java.util.function.Predicate;

/**
 * FormStorage implementation whose records are versioned.
 *
 *
 */
public interface VersionedFormStorage extends FormStorage {

    /**
     * Retrieves a list of versions of this record.
     */
    Iterable<RecordVersion> getVersions(ResourceId recordId);

    Iterable<RecordVersion> getVersionsForParent(ResourceId parentRecordId);

    RecordSyncSet getVersionRange(long localVersion, long toVersion, Predicate<String> visibilityPredicate, Optional<String> cursor);

    default boolean isSyncable() {
        return true;
    }
}
