/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.server.columns;

import org.activityinfo.model.query.ColumnType;
import org.activityinfo.model.query.ColumnView;

public abstract class AbstractNumberColumn extends ColumnView {
    @Override
    public final ColumnType getType() {
        return ColumnType.NUMBER;
    }

    @Override
    public final Object get(int row) {
        return getDouble(row);
    }

    @Override
    public final String getString(int row) {
        return null;
    }

    @Override
    public final String toString() {
        StringBuilder s = new StringBuilder();
        s.append(getClass().getSimpleName());
        s.append('[');
        for (int i = 0; i < numRows(); i++) {
            if(i > 0) {
                s.append(", ");
            }
            s.append(getDouble(i));
        }
        s.append("]");
        return s.toString();
    }
}
