/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

import org.activityinfo.model.type.FieldValue;
import org.activityinfo.model.type.geo.GeoPoint;
import org.activityinfo.model.type.number.Quantity;

import java.util.function.Function;

class CoordinateReader implements Function<FieldValue, FieldValue> {

    private boolean latitude;

    public CoordinateReader(String component) {
        this.latitude = (component.equalsIgnoreCase("latitude"));
    }

    @Override
    public FieldValue apply(FieldValue input) {
        if(input instanceof GeoPoint) {
            GeoPoint point = (GeoPoint) input;
            if(latitude) {
                return new Quantity(point.getLatitude());
            } else {
                return new Quantity(point.getLongitude());
            }
        } else {
            return null;
        }
    }

}
