/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

import org.activityinfo.model.resource.ResourceId;

class FilterKey {
    private ResourceId formId;
    private FilterLevel filterLevel;

    public FilterKey(ResourceId formId, FilterLevel filterLevel) {
        this.formId = formId;
        this.filterLevel = filterLevel;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FilterKey filterKey = (FilterKey) o;

        if (!formId.equals(filterKey.formId)) return false;
        return filterLevel == filterKey.filterLevel;

    }

    @Override
    public int hashCode() {
        int result = formId.hashCode();
        result = 31 * result + filterLevel.hashCode();
        return result;
    }
}
