/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

/**
 * Defines the level of filters that are applied to a query.
 */
public enum FilterLevel {

    /**
     * No filter applied to the raw results from FormStorage
     */
    NONE,

    /**
     * Sub-records of deleted parent records are hidden
     */
    BASE,

    /**
     * Form- and record-level permissions are applied in addition
     * to the "BASE" filters.
     */
    PERMISSIONS
}
