/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

import org.activityinfo.model.analysis.Analysis;
import org.activityinfo.model.analysis.Report;
import org.activityinfo.model.database.VisibleDatabaseTree;
import org.activityinfo.model.form.RecordHistory;
import org.activityinfo.model.formTree.FormTree;
import org.activityinfo.model.formTree.RecordTree;
import org.activityinfo.model.formula.eval.RecordProvider;
import org.activityinfo.model.query.ColumnSet;
import org.activityinfo.model.query.QueryModel;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.model.type.RecordRef;
import org.activityinfo.observable.Observable;
import org.activityinfo.promise.Maybe;

/**
 * Source of form data and metadata for analysis components
 */
public interface FormSource extends RecordProvider {

    Observable<FormTree> getFormTree(ResourceId formId);

    Observable<Maybe<VisibleDatabaseTree>> getDatabase(ResourceId databaseId);

    Observable<ColumnSet> query(QueryModel queryModel);

    Observable<Maybe<Report>> getReport(String id);

    Observable<Maybe<Analysis>> getAnalysis(String reportId, String analysisId);

    Observable<RecordHistory> getFormRecordHistory(RecordRef ref);

}
