/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

import java.util.function.Function;

public class MemoizedSlot<T, R> implements Slot<R> {

    private final Slot<T> input;
    private final Function<T, R> function;

    private R result;

    public MemoizedSlot(Slot<T> input, Function<T, R> function) {
        this.input = input;
        this.function = function;
    }

    @Override
    public R get() {
        if(result == null) {
            result = function.apply(input.get());
        }
        return result;
    }
}
