/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

import com.google.common.util.concurrent.Futures;

import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.Future;


public class NullFormScanCache implements FormScanCache {
    @Override
    public Map<String, Object> getAll(Set<String> keys) {
        return Collections.emptyMap();
    }

    @Override
    public Future<Integer> enqueuePut(Map<String, Object> toPut) {
        return Futures.immediateFuture(0);
    }

    @Override
    public void waitForCachingToFinish(List<Future<Integer>> pendingCachePuts) {
        // NOOP
    }
}