/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

import org.activityinfo.model.permission.FormPermissions;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.store.spi.FormSupervisor;

import java.util.Map;
import java.util.Set;
import java.util.stream.Collectors;

public class NullFormSupervisor implements FormSupervisor {

    @Override
    public FormPermissions getFormPermissions(ResourceId formId) {
        return FormPermissions.readWrite(null);
    }

    @Override
    public Map<ResourceId, FormPermissions> getFormPermissions(Set<ResourceId> formIds) {
        return formIds.stream()
            .collect(Collectors.toMap(
                formId -> formId,
                formId -> FormPermissions.readWrite(null)));
    }
}
