/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

/**
 * Slot for a value that has not yet been computed.
 *
 * <p>This class is used in place of {@code Future} for GWT compatibility and
 * because we don't need to block on the value's availability: we run all table scans
 * at once and don't touch the Slots until all queries have completed.</p>
 */
public interface Slot<T> {

    T get();


}
