/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.columns;

import com.google.common.base.Preconditions;
import org.activityinfo.model.query.ColumnView;
import org.activityinfo.model.query.ColumnViews;
import org.activityinfo.model.query.ConstantColumnView;
import org.activityinfo.store.query.shared.Slot;


public class ConstantColumnBuilder implements Slot<ColumnView> {

    private Slot<Integer> rowCount;
    private ColumnView scalar;

    public ConstantColumnBuilder(Slot<Integer> rowCount, ColumnView value) {
        Preconditions.checkNotNull(value);
        this.rowCount = rowCount;
        this.scalar = value;
    }

    public ConstantColumnBuilder(Slot<Integer> rowCount, String value) {
        this(rowCount, ColumnViews.of(value));
    }

    @Override
    public ColumnView get() {
        return ConstantColumnView.create(rowCount.get(), scalar);
    }
}
