/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */

package org.activityinfo.store.query.shared.columns;

import com.google.common.collect.Lists;
import org.activityinfo.model.query.ColumnView;
import org.activityinfo.model.query.DoubleArrayColumnView;
import org.activityinfo.store.query.shared.CursorObserver;
import org.activityinfo.store.query.shared.PendingSlot;

import java.util.List;

public class DoubleMetaColumnBuilder implements CursorObserver<Double> {

    private final PendingSlot<ColumnView> result;

    private final List<Double> values = Lists.newArrayList();

    public DoubleMetaColumnBuilder(PendingSlot<ColumnView> result) {
        this.result = result;
    }

    @Override
    public void onNext(Double number) {
        values.add(number);
    }

    @Override
    public void done() {
        double array[] = new double[values.size()];
        for(int i=0;i!=array.length;++i) {
            array[i] = Double.NaN; ///offliine, will have null values
            if(values.get(i) != null) {
                array[i] = values.get(i);
            }
        }
        result.set(new DoubleArrayColumnView(array));
    }
}
