/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.columns;

import com.google.common.collect.Lists;
import org.activityinfo.model.query.ColumnView;
import org.activityinfo.model.query.StringArrayColumnView;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.store.query.shared.CursorObserver;
import org.activityinfo.store.query.shared.PendingSlot;

import java.util.List;

public class IdColumnBuilder implements CursorObserver<ResourceId> {

    private final PendingSlot<ColumnView> result;
    private final List<String> ids = Lists.newArrayList();

    public IdColumnBuilder(PendingSlot<ColumnView> result) {
        this.result = result;
    }

    @Override
    public void onNext(ResourceId resourceId) {
        ids.add(resourceId.asString());
    }

    @Override
    public void done() {
        result.set(new StringArrayColumnView(ids));
    }

    public ColumnView get() {
        return result.get();
    }
}
