/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.columns;

import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.store.query.shared.CursorObserver;
import org.activityinfo.store.query.shared.PendingSlot;

/**
 * Counts the number of rows in a set
 */
public class RowCountBuilder implements CursorObserver<ResourceId> {

    private final PendingSlot<Integer> resultSlot;

    private int count = 0;

    public RowCountBuilder(PendingSlot<Integer> resultSlot) {
        this.resultSlot = resultSlot;
    }

    @Override
    public void onNext(ResourceId value) {
        count++;
    }

    @Override
    public void done() {
        resultSlot.set(count);
    }

    public int getCount() {
        return count;
    }
}
