/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.columns;

import org.activityinfo.model.type.FieldValue;
import org.activityinfo.model.type.SerialNumber;
import org.activityinfo.model.type.SerialNumberType;

public class SerialNumberReader implements StringReader {

    private SerialNumberType type;

    public SerialNumberReader(SerialNumberType type) {
        this.type = type;
    }

    @Override
    public String readString(FieldValue value) {
        if(value instanceof SerialNumber) {
            SerialNumber serialNumber = (SerialNumber) value;
            return type.format(serialNumber);
        }
        return null;
    }
}
