/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.columns;

import org.activityinfo.model.query.ColumnView;
import org.activityinfo.model.query.ConstantColumnView;
import org.activityinfo.model.type.FieldValue;
import org.activityinfo.store.query.shared.CursorObserver;
import org.activityinfo.store.query.shared.PendingSlot;


public class UnsupportedColumnTypeBuilder implements CursorObserver<FieldValue> {

    private int rows = 0;

    private final PendingSlot<ColumnView> result;

    public UnsupportedColumnTypeBuilder(PendingSlot<ColumnView> result) {
        this.result = result;
    }


    @Override
    public void onNext(FieldValue value) {
        rows++;
    }

    @Override
    public void done() {
        result.set(new ConstantColumnView(rows, (String)null));
    }
}
