/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.join;

import org.activityinfo.model.query.ColumnView;
import org.activityinfo.store.query.shared.Slot;
import org.activityinfo.store.query.shared.TableFilter;

import java.util.BitSet;


public class ParentMask implements Slot<TableFilter> {

    private final Slot<PrimaryKeyMap> parentKeySlot;
    private final Slot<ColumnView> parentIdSlot;

    private TableFilter result = null;

    public ParentMask(Slot<PrimaryKeyMap> parentKeySlot, Slot<ColumnView> parentIdSlot) {
        this.parentKeySlot = parentKeySlot;
        this.parentIdSlot = parentIdSlot;
    }

    @Override
    public TableFilter get() {
        if(result == null) {
            BitSet bitSet = new BitSet();
            PrimaryKeyMap parentKeyMap = parentKeySlot.get();
            ColumnView parentView = parentIdSlot.get();

            for (int i = 0; i < parentView.numRows(); i++) {
                String parentId = parentView.getString(i);
                bitSet.set(i, parentKeyMap.contains(parentId));
            }
            result = new TableFilter(bitSet);
        }
        return result;
    }
}
