/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.join;

import org.activityinfo.model.query.ColumnView;
import org.activityinfo.store.query.shared.Slot;

/**
 * Join between a master and sub form.
 */
public class SubFormJoin {

    private Slot<PrimaryKeyMap> masterPrimaryKey;
    private Slot<ColumnView> parentColumn;

    public SubFormJoin(Slot<PrimaryKeyMap> masterPrimaryKey, Slot<ColumnView> parentColumn) {
        this.masterPrimaryKey = masterPrimaryKey;
        this.parentColumn = parentColumn;
    }

    public Slot<PrimaryKeyMap> getMasterPrimaryKey() {
        return masterPrimaryKey;
    }

    public Slot<ColumnView> getParentColumn() {
        return parentColumn;
    }
}
