/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.plan;

import org.activityinfo.model.type.FieldValue;

import java.util.Collections;
import java.util.List;

public class ConstantColumn extends ColumnPlanNode {

    private final FieldValue value;
    private CountRecordsOp countRecords;

    public ConstantColumn(FieldValue constantValue, CountRecordsOp countRecords) {
        this.value = constantValue;
        this.countRecords = countRecords;
    }

    @Override
    public String getDebugLabel() {
        return "constant";
    }

    @Override
    public List<? extends PlanNode> getInputs() {
        return Collections.singletonList(countRecords);
    }
}
