/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.plan;

import org.activityinfo.model.resource.ResourceId;

import java.util.Collections;
import java.util.List;

/**
 * Counts the number of records in a form.
 */
public class CountRecordsOp implements PlanNode {

    private ResourceId formId;

    public CountRecordsOp(ResourceId formId) {
        this.formId = formId;
    }

    @Override
    public String getDebugLabel() {
        return "count " + formId;
    }

    @Override
    public List<? extends PlanNode> getInputs() {
        return Collections.emptyList();
    }
}
