/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import java.io.Serializable;

public class Avatar implements Serializable {


    public static final Avatar EMPTY = new Avatar();

    private String contentType;
    private byte[] content;

    public Avatar(String contentType, byte[] content) {
        this.contentType = contentType;
        this.content = content;
    }

    private Avatar() {
        this.contentType = "";
        this.content = new byte[0];
    }

    public String getContentType() {
        return contentType;
    }

    public byte[] getContent() {
        return content;
    }

    public boolean isEmpty() {
        return content.length == 0;
    }

}
