/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.model.resource.ResourceId;

/**
 * Globally unique Id for a given blob content.
 * Blob Ids are generated by the client.
 */
public class BlobId {

    private String value;

    public BlobId(String value) {
        this.value = value;
    }

    public static BlobId generate() {
        return new BlobId(ResourceId.generateId().asString());
    }

    public String asString() {
        return value;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }

        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        BlobId blobId = (BlobId) o;

        if (value == null) {
            return blobId.value == null;
        } else {
            return value.equals(blobId.value);
        }
    }

    @Override
    public int hashCode() {
        return value != null ? value.hashCode() : 0;
    }
}
