/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import javax.servlet.http.HttpServletRequest;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

public class ClientIpAddress {
    private String address;

    public ClientIpAddress(String address) {
        this.address = address;
    }

    @Override
    public String toString() {
        return address;
    }

    public static ClientIpAddress from(HttpServletRequest request) {
        if(request == null) {
            return new ClientIpAddress("0.0.0.0");
        }
        return new ClientIpAddress(request.getRemoteAddr());
    }

    public String toUrlEncodedString() {
        try {
            return URLEncoder.encode(address, "UTF-8");
        } catch(UnsupportedEncodingException e) {
            throw new RuntimeException(e);
        }
    }
}
