/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import com.google.common.base.Strings;

import java.util.logging.Logger;

public class DeploymentEnvironment {

    private static final Logger LOGGER = Logger.getLogger(DeploymentEnvironment.class.getName());

    public static boolean isAppEngine() {
        return !Strings.isNullOrEmpty(System.getProperty("com.google.appengine.application.id"));
    }

    public static boolean isAppEngineProduction() {
        return "Production".equals(System.getProperty("com.google.appengine.runtime.environment"));
    }

    public static boolean isAppEngineDevelopment() {
        return "Development".equals(System.getProperty("com.google.appengine.runtime.environment"));
    }

}
