/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.model.permission.FormPermissions;
import org.activityinfo.model.resource.ResourceId;

import java.util.Map;
import java.util.Set;

/**
 * Provides form- and record-level permissions to the query engine.
 */
public interface FormSupervisor {

    FormPermissions getFormPermissions(ResourceId formId);

    Map<ResourceId,FormPermissions> getFormPermissions(Set<ResourceId> formIds);

}
