/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.model.account.UserAccount;
import org.activityinfo.model.resource.ResourceId;

import java.time.Instant;
import java.util.Optional;

public class Invitation {

    private final Instant invitationTime;
    private final Optional<ResourceId> databaseId;
    private final UserAccount user;

    public Invitation(Instant invitationTime, Optional<ResourceId> databaseId, UserAccount user) {
        this.invitationTime = invitationTime;
        this.databaseId = databaseId;
        this.user = user;
    }

    /**
     * @return the time, in milliseconds since the epoch, of the invitation
     */
    public Instant getInvitationTime() {
        return invitationTime;
    }

    public Optional<ResourceId> getDatabaseId() {
        return databaseId;
    }

    public UserAccount getUser() {
        return user;
    }

}
