/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.json.JsonValue;

import java.util.Optional;

public interface JobExecutionContext {

    String getJobId();

    /**
     * Retrieves opaque, job-specific data that can be used by a long-running job to resume
     * where it left off.
     */
    Optional<JsonValue> getCheckpointData();

    void updateProgress(double percentage);
}
