/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.json.AutoJson;

import java.util.List;

@AutoJson
public class Mail {
    private final String recipient;
    private final String subject;
    private final String replyTo;
    private final List<MailHeader> headers;
    private final String html;
    private final String text;

    public Mail(String recipient, String subject, String replyTo, List<MailHeader> headers, String html, String text) {
        this.recipient = recipient;
        this.subject = subject;
        this.replyTo = replyTo;
        this.headers = headers;
        this.html = html;
        this.text = text;
    }

    public String getRecipient() {
        return recipient;
    }

    public String getSubject() {
        return subject;
    }

    public String getReplyTo() {
        return replyTo;
    }

    public List<MailHeader> getHeaders() {
        return headers;
    }

    public String getHtml() {
        return html;
    }

    public String getText() {
        return text;
    }
}
