/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

public enum MailResult {

    /**
     * The message was successfully sent.
     */
    SENT,

    /**
     * You tried to send email to a recipient that has been marked as inactive.
     * Inactive recipients have either generated a hard bounce or a spam complaint.
     * In this case, only hard bounce recipients can be reactivated by searching for them on
     * your server’s Activity page and clicking the “Reactivate” button.
     */
    INACTIVE_RECIPIENT,

    /**
     * Validation failed for the email request JSON data that you provided. This is most
     * often a problem with the format of the email address.
     */
    INVALID_EMAIL,

    /**
     * There was some other problem sending this email, such as network failure, or an outage in the
     * postmark service, or perhaps a configuration problem on our server. The request can be retried.
     */
    TRANSIENT_FAILURE,

    /**
     * Email notifications are disabled.
     */
    DISABLED;
}
