/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import java.net.URI;
import java.time.Instant;

public class OpenIdRequest {

    private final String state;
    private final String crsfToken;
    private OpenIdRequestType type;
    private final String email;
    private final String ipAddress;
    private final String idp;
    private final Instant timeStarted;
    private final String nonce;
    private final URI redirectUri;
    private final String destinationPath;
    private final String freeTrialRequestId;

    public OpenIdRequest(String state, String crsfToken, OpenIdRequestType type, String email, String ipAddress, String idp, Instant timeStarted, String nonce, URI redirectUri, String destinationPath, String freeTrialRequestId) {
        this.state = state;
        this.crsfToken = crsfToken;
        this.type = type;
        this.email = email;
        this.ipAddress = ipAddress;
        this.idp = idp;
        this.timeStarted = timeStarted;
        this.nonce = nonce;
        this.redirectUri = redirectUri;
        this.destinationPath = destinationPath;
        this.freeTrialRequestId = freeTrialRequestId;
    }

    public String getState() {
        return state;
    }

    public String getCrsfToken() {
        return crsfToken;
    }

    public String getEmail() {
        return email;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public OpenIdRequestType getType() {
        return type;
    }

    public String getIdp() {
        return idp;
    }

    public Instant getTimeStarted() {
        return timeStarted;
    }

    public String getNonce() {
        return nonce;
    }

    public URI getRedirectUri() {
        return redirectUri;
    }

    public String getDestinationPath() {
        return destinationPath;
    }

    public String getFreeTrialRequestId() {
        return freeTrialRequestId;
    }
}
