/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;


import javax.ws.rs.core.Response;
import java.io.IOException;

public interface TemporaryStorageProvider {

    /**
     * Creates a web-accessible temporary file
     *
     *
     * @param jobId
     * @param filename The name of the user-facing file
     * @param contentType the mime type of the file
     * @return
     * @throws IOException
     */
    GeneratedResource create(String jobId, String filename, String contentType) throws IOException;

    Response serve(String id, String contentType);
}
