/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.model.job.JobError;
import org.activityinfo.model.job.JobResult;
import org.activityinfo.model.job.JobState;
import org.activityinfo.model.job.JobStatus;

import java.time.Instant;

public interface UpdateJobTransaction {
    public JobStatus getStatus();

    void updateResult(JobResult value);

    void updateState(JobState status);

    void updateCompletionTime(Instant time);

    void updateError(JobError error);

    /**
     * Update the percentage complete of this job. Should be a value between 0 and 100.
     */
    void updateProgress(double percentComplete);

}
