/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.ui.vdom.client;

import elemental2.dom.Attr;
import elemental2.dom.Element;
import elemental2.dom.NamedNodeMap;
import elemental2.dom.NodeList;
import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsProperty;
import jsinterop.annotations.JsType;
import org.activityinfo.ui.vdom.shared.tree.VAttrMap;
import org.activityinfo.ui.vdom.shared.tree.VComponentInstance;

@JsType(isNative = true, name = "?", namespace = JsPackage.GLOBAL)
public interface DomNode {

    @JsProperty(name = "ownerSVGElement")
    Element getOwnerSVGElement();

    @JsProperty
    DomNode getParentNode();

    @JsProperty(name = "_component")
    VComponentInstance getComponentInstance();

    @JsProperty(name = "_component")
    void setComponentInstance(VComponentInstance instance);

    @JsProperty
    String getNodeName();

    @JsProperty
    String getNormalizedNodeName();

    @JsProperty
    void setNormalizedNodeName(String nodeName);


    @JsProperty
    String getNodeValue();

    @JsProperty
    void setNodeValue(String text);


    @JsProperty
    DomNode getFirstChild();

    @JsProperty(name = "__preactattr_")
    VAttrMap getProps();

    @JsProperty(name = "__preactattr_")
    void setProps(VAttrMap empty);

    @JsProperty
    NodeList<DomNode> getChildNodes();

    @JsProperty
    DomNode getLastChild();

    @JsProperty
    DomNode getPreviousSibling();

    @JsProperty
    DomNode getNextSibling();

    @JsProperty
    NamedNodeMap<Attr> getAttributes();

    @JsProperty
    Object getSplitText();


    DomNode replaceChild(DomNode newChild, DomNode oldChild);

    DomNode appendChild(DomNode newChild);

    DomNode removeChild(DomNode oldChild);

    DomNode insertBefore(DomNode newChild, DomNode refChild);


}
