/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.ui.vdom.shared.tree;

import org.activityinfo.observable.Observable;

import java.util.function.Function;

public class ReactiveProps<T> implements VComponentProps {
    private String debugId;
    private Observable<T> value;
    private VNode loadingIndicator;
    private Function<T, VNode> renderer;

    public ReactiveProps(String debugId, Observable<T> value, Function<T, VNode> renderer, VNode loadingIndicator) {
        this.debugId = debugId;
        this.value = value;
        this.loadingIndicator = loadingIndicator;
        this.renderer = renderer;
    }

    public Observable<T> getValue() {
        return value;
    }

    public VNode getLoadingIndicator() {
        return loadingIndicator;
    }

    public Function<T, VNode> getRenderer() {
        return renderer;
    }

    @Override
    public String getKey() {
        return null;
    }

    public String getDebugId() {
        return debugId;
    }

}
