/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.ui.vdom.shared.tree;

import com.google.gwt.core.shared.GWT;
import org.activityinfo.ui.vdom.client.tree.VAttrMapJs;

public final class VAttr {

    private VAttr() {}

    public static VAttrMap create() {
        if(GWT.isScript()) {
            return VAttrMapJs.create();
        } else {
            return new VAttrMapJre();
        }
    }

    /**
     * Creates a new {@code VAttrMap} with the given style object.
     */
    public static VAttrMap withStyle(Style style) {
        VAttrMap propMap = create();
        propMap.setStyle(style);
        return propMap;
    }

    /**
     * Creates a new {@code VAttrMap} with the given value for the {@code className} property
     */
    public static VAttrMap withClass(String classes) {
        return create().setClass(classes);
    }
}
