/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.ui.vdom.shared.tree;

public final class VComponent extends VNode {


    public final VComponentConstructor constructor;
    private final VComponentProps props;

    public VComponent(VComponentConstructor constructor, VComponentProps props) {
        this.constructor = constructor;
        this.props = props;
    }

    public VComponentConstructor getConstructor() {
        return constructor;
    }

    public VComponentProps getProps() {
        return props;
    }

    @Override
    public void accept(VTreeVisitor visitor) {
        visitor.visitComponent(this);
    }

}
