/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.ui.vdom.shared.tree;

public class VText extends VNode {

    public static final VNode NO_BREAK_SPACE = new VText("\u00A0");

    public static final VNode EMPTY_TEXT = new VText("");


    private final String text;

    public VText(String text) {
        if(text == null) {
            this.text = "";
        } else {
            this.text = text;
        }
    }

    @Override
    public String text() {
        return getText();
    }

    @Override
    public void accept(VTreeVisitor visitor) {
        visitor.visitText(this);
    }

    public String getText() {
        return text;
    }

    @Override
    public String toString() {
        return "VText(" + text() + ")";
    }
}
